#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4073e924, "sev_guest_deactivate" },
	{ 0x2e2df7f4, "irq_remapping_cap" },
	{ 0x4a7a1e35, "kvm_queue_exception_p" },
	{ 0x12b9a552, "__SCK__tp_func_kvm_nested_intr_vmexit" },
	{ 0x5cab95a, "kvm_vcpu_deliver_sipi_vector" },
	{ 0x6805c4e2, "__tracepoint_kvm_inj_virq" },
	{ 0x8f788ec6, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe815cc0, "kvm_cpu_has_interrupt" },
	{ 0xc671780b, "handle_fastpath_set_msr_irqoff" },
	{ 0xce807a25, "up_write" },
	{ 0x2e6a6147, "psp_copy_user_blob" },
	{ 0x6cdc8d1, "kvm_configure_mmu" },
	{ 0x48e080b1, "x86_virt_spec_ctrl" },
	{ 0x7ebeffc4, "kvm_make_all_cpus_request" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x6ac6e6b4, "__tracepoint_kvm_avic_kick_vcpu_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xec3113f7, "pmc_write_counter" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x7931a493, "kvm_emulate_instruction_from_buffer" },
	{ 0x3da82e83, "kvm_init_mmu" },
	{ 0x501f0e73, "kvm_emulate_wbinvd" },
	{ 0x21bf2798, "kvm_vcpu_reset" },
	{ 0xea8985b0, "rmp_make_shared" },
	{ 0xbd321eba, "kvm_zap_gfn_range" },
	{ 0x98f4d306, "hyperv_flush_guest_mapping" },
	{ 0xee90992b, "kvm_set_cr3" },
	{ 0xe2bd7cf7, "kvm_update_cpuid_runtime" },
	{ 0xf6034153, "x86_decode_emulated_instruction" },
	{ 0x92d308d1, "__ct_user_enter" },
	{ 0x19299f0d, "__SCK__kvm_x86_get_cs_db_l_bits" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a7cd6ec, "__SCK__tp_func_kvm_page_fault" },
	{ 0xc72fbfcc, "kvm_alloc_apic_access_page" },
	{ 0xe839e78f, "kvm_get_cr8" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x3a3132c4, "__tracepoint_kvm_vmgexit_exit" },
	{ 0x6636c3c9, "irq_set_vcpu_affinity" },
	{ 0x388e0e10, "__SCT__tp_func_kvm_pi_irte_update" },
	{ 0x50551c32, "__SCK__tp_func_ipi_send_cpu" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xa3d8a55, "kvm_is_linear_rip" },
	{ 0xe4869ebf, "kvm_set_dr" },
	{ 0x299ea2d4, "kvm_set_msi_irq" },
	{ 0x78518fbb, "psmash" },
	{ 0x5d0bb909, "__SCK__tp_func_kvm_rmp_fault" },
	{ 0x6da19b50, "snp_free_firmware_page" },
	{ 0x2eea14d0, "kvm_emulate_hypercall" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5fdfa2c1, "amd_pmu_enable_virt" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x709cd8cb, "kvm_spurious_fault" },
	{ 0xdce64b6d, "__put_devmap_managed_folio_refs" },
	{ 0xa6764ee9, "__SCK__tp_func_kvm_vmgexit_msr_protocol_exit" },
	{ 0x6171fadd, "misc_cg_uncharge" },
	{ 0x949c6f9b, "kvm_emulate_ap_reset_hold" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeef54518, "__tracepoint_kvm_skinit" },
	{ 0xe2b82adf, "get_xsave_addr" },
	{ 0x68952493, "rcu_note_context_switch" },
	{ 0xad1036a2, "amd_iommu_activate_guest_mode" },
	{ 0x48b1d780, "load_pdptrs" },
	{ 0x9073da8b, "__tracepoint_write_msr" },
	{ 0xa588ef67, "__SCT__tp_func_kvm_nested_intercepts" },
	{ 0x5d0113e0, "x86_pred_cmd" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x295b9e51, "kvm_vcpu_read_guest_page" },
	{ 0x5d996b31, "kvm_set_cpu_caps" },
	{ 0xfb578fc5, "memset" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x96b1298, "hv_track_root_tdp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfc6381f9, "kvm_set_cr4" },
	{ 0x1f8e9483, "__SCT__tp_func_kvm_avic_doorbell" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xbc1f5fff, "__SCK__tp_func_kvm_exit" },
	{ 0x9316e72d, "kvm_handle_page_fault" },
	{ 0x95609b26, "context_tracking_key" },
	{ 0x6303c089, "kvm_calc_nested_tsc_offset" },
	{ 0xad43fc4c, "kvm_cpu_caps" },
	{ 0x2d82cc24, "kvm_spec_ctrl_test_value" },
	{ 0x616e6c95, "__SCT__tp_func_kvm_exit" },
	{ 0x47c199c3, "__tracepoint_kvm_avic_unaccelerated_access" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0x6d16c104, "mutex_lock_killable" },
	{ 0x668b19a1, "down_read" },
	{ 0xc79326ea, "kvm_load_guest_xsave_state" },
	{ 0x6edaf8d7, "kvm_set_cr0" },
	{ 0xeea2c4ad, "__kvm_is_valid_cr4" },
	{ 0x4f80e319, "__ct_user_exit" },
	{ 0x35cbbdd4, "pv_ops" },
	{ 0x90d90cca, "kvm_set_cr8" },
	{ 0x28e081f2, "__tracepoint_kvm_vmgexit_msr_protocol_exit" },
	{ 0x17fe3844, "__tracepoint_kvm_invlpga" },
	{ 0xf6e2082d, "kvm_get_dr" },
	{ 0x3e93be33, "snp_lookup_rmpentry" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9fdc29d5, "kvm_update_dr7" },
	{ 0x5aee43a2, "__tracepoint_kvm_nested_intercepts" },
	{ 0xf68103c7, "kvm_mmu_page_fault" },
	{ 0x8348261a, "__SCK__tp_func_kvm_nested_vmexit" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d1b139a, "__SCT__tp_func_kvm_avic_ga_log" },
	{ 0xcda9cacd, "param_ops_bool" },
	{ 0x40a18c91, "kvm_emulate_instruction" },
	{ 0xa6729c43, "cpu_info" },
	{ 0xf72a8058, "kvm_hv_assist_page_enabled" },
	{ 0xef14fd98, "kvm_calc_nested_tsc_multiplier" },
	{ 0x5864e269, "rmp_make_private" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x25db1577, "do_trace_write_msr" },
	{ 0x8d80c4cc, "kvm_vcpu_apicv_activated" },
	{ 0x9873ef8d, "kvm_apic_send_ipi" },
	{ 0x6d2065e3, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0xf4084466, "__tracepoint_read_msr" },
	{ 0xe415baa1, "kvm_vcpu_read_guest" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8e0fb7c, "__tracepoint_kvm_rmp_fault" },
	{ 0x3679433e, "kvm_vcpu_on_spin" },
	{ 0x72f6bfcf, "sev_platform_init" },
	{ 0x9cc27d16, "kvm_gmem_get_pfn" },
	{ 0x9d9c8e9d, "__SCK__tp_func_kvm_vmgexit_exit" },
	{ 0x28edb2de, "kvm_read_guest" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x942f3ced, "set_page_dirty_lock" },
	{ 0xc00130d7, "kvm_vcpu_wake_up" },
	{ 0xdfb62b1b, "ms_hyperv" },
	{ 0x485cd7f6, "kvm_rebooting" },
	{ 0x37d2f004, "kvm_get_rflags" },
	{ 0xcb3cfa3c, "kvm_queue_exception_e" },
	{ 0xe9dc51c5, "cpu_emergency_register_virt_callback" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6becaded, "__SCT__tp_func_kvm_inj_virq" },
	{ 0x1e5b80ed, "alloc_pages_noprof" },
	{ 0xd09da48b, "__SCT__tp_func_kvm_nested_intr_vmexit" },
	{ 0x87babcf8, "__tracepoint_kvm_exit" },
	{ 0xeff7e0d5, "kvm_emulate_cpuid" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0xb68143e4, "kvm_emulate_wrmsr" },
	{ 0x3c0d332a, "__SCK__tp_func_kvm_inj_virq" },
	{ 0xf54e2886, "__SCT__tp_func_kvm_vmgexit_msr_protocol_enter" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xb5ba2fa8, "kvm_find_cpuid_entry_index" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x6d2c9437, "__SCT__tp_func_kvm_nested_vmenter" },
	{ 0x35d0d536, "kvm_vcpu_kick" },
	{ 0x59387ba3, "__SCT__kvm_x86_cache_reg" },
	{ 0xa895d18d, "kvm_mmu_invlpg" },
	{ 0xd5e6e846, "kvm_emulate_invd" },
	{ 0x1cc7634e, "kvm_fast_pio" },
	{ 0x50b42ba1, "entry_ibpb" },
	{ 0x69ad6ac1, "cpu_emergency_unregister_virt_callback" },
	{ 0xd9a90520, "kvm_init_shadow_npt_mmu" },
	{ 0x7202abca, "__SCK__tp_func_kvm_ple_window_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x81596616, "kvm_set_msr_common" },
	{ 0xe93dfc8c, "__SCT__tp_func_kvm_nested_vmenter_failed" },
	{ 0xf5b52d5c, "hv_vp_assist_page" },
	{ 0xa42e9536, "__SCK__tp_func_kvm_nested_vmexit_inject" },
	{ 0x36c75b4e, "context_tracking" },
	{ 0x171abddb, "kvm_intr_is_single_vcpu" },
	{ 0x3f510ff5, "kvm_has_noapic_vcpu" },
	{ 0xf1cd8929, "kvm_read_and_reset_apf_flags" },
	{ 0x3c9d0a56, "kvm_emulate_rdpmc" },
	{ 0x93a3e40e, "__SCT__tp_func_kvm_ple_window_update" },
	{ 0x843d6541, "sev_guest_decommission" },
	{ 0x713905e4, "param_ops_int" },
	{ 0x6e1719b9, "__tracepoint_kvm_nested_vmexit_inject" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc1bae9fe, "__tracepoint_kvm_avic_doorbell" },
	{ 0x4e3fd1b4, "kvm_release_pfn_clean" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7cb17613, "kvm_sev_es_mmio_read" },
	{ 0x7ff2a104, "__SCT__tp_func_kvm_page_fault" },
	{ 0xe8a6f826, "__SCK__tp_func_kvm_vmgexit_msr_protocol_enter" },
	{ 0x6150e5be, "kvm_cpu_has_injectable_intr" },
	{ 0x596c5934, "kvm_skip_emulated_instruction" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0xa32d31fa, "kvm_set_or_clear_apicv_inhibit" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xdc3b43d9, "kvm_handle_invalid_op" },
	{ 0x53b954a2, "up_read" },
	{ 0x2c2f5a09, "x86_family" },
	{ 0xcf509080, "kvm_caps" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x6f4f37e0, "__kvm_vcpu_update_apicv" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe3816ddc, "kvm_sev_es_mmio_write" },
	{ 0xbc0ebe99, "hv_flush_remote_tlbs_range" },
	{ 0xd8863764, "kvm_get_kvm" },
	{ 0x55fda324, "kvm_complete_insn_gp" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0xf40472d5, "kvm_apic_write_nodecode" },
	{ 0xe0e786a7, "__SCT__tp_func_kvm_skinit" },
	{ 0x9cf59e7a, "allow_smaller_maxphyaddr" },
	{ 0x3807c697, "__SCK__kvm_x86_cache_reg" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe9234b59, "kvm_x86_vendor_init" },
	{ 0xd428ecae, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xcbaa327d, "misc_cg_set_capacity" },
	{ 0x2043134f, "__tracepoint_kvm_ple_window_update" },
	{ 0x56206366, "__SCK__tp_func_kvm_avic_incomplete_ipi" },
	{ 0xd9506464, "kvm_arch_has_assigned_device" },
	{ 0x27e586e8, "kvm_apic_match_dest" },
	{ 0x50a6fe4a, "gfn_to_memslot" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa628ecf0, "kvm_clear_guest" },
	{ 0x18582826, "amd_pmu_disable_virt" },
	{ 0x9d14205c, "cr4_read_shadow" },
	{ 0xb8bdeb6e, "kvm_host" },
	{ 0xb82c0987, "enable_pmu" },
	{ 0x4de05420, "kvm_requeue_exception" },
	{ 0x3e059f28, "sev_guest_activate" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x53d9f927, "__SCT__kvm_x86_get_cs_db_l_bits" },
	{ 0x6b9be5e3, "file_is_kvm" },
	{ 0x77ff053, "default_cpu_present_to_apicid" },
	{ 0x75feb584, "__tracepoint_kvm_avic_ga_log" },
	{ 0x150f60f4, "__SCK__tp_func_kvm_nested_vmenter_failed" },
	{ 0xd475c188, "kvm_pmu_cap" },
	{ 0x27046576, "kvm_exit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd12d676a, "kvm_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7e6beb19, "kvm_deliver_exception_payload" },
	{ 0xc071e99f, "__SCT__tp_func_kvm_entry" },
	{ 0xd56e6697, "__tracepoint_kvm_avic_incomplete_ipi" },
	{ 0x2dc12841, "param_ops_ushort" },
	{ 0x915862f6, "__tracepoint_kvm_nested_vmexit" },
	{ 0x1db1c372, "enable_vmware_backdoor" },
	{ 0x1d013832, "kvm_enable_efer_bits" },
	{ 0x40a0aafc, "__flush_tlb_all" },
	{ 0x6599dbff, "__tracepoint_kvm_nested_vmenter" },
	{ 0x2510fc6d, "__SCT__tp_func_kvm_nested_vmexit" },
	{ 0xbd9d6dfc, "kvm_mmu_set_me_spte_mask" },
	{ 0x8a7fe54a, "__SCT__tp_func_kvm_vmgexit_enter" },
	{ 0xfeea58f2, "srso_alias_untrain_ret" },
	{ 0xd0326a67, "kvm_emulate_xsetbv" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa38f21b9, "amd_iommu_update_ga" },
	{ 0x832640c7, "snp_alloc_firmware_page" },
	{ 0x94dc3a1e, "__SCK__tp_func_kvm_cr" },
	{ 0x2e98c92c, "kvm_apicv_activated" },
	{ 0xb0455e84, "snp_leak_pages" },
	{ 0xb4503362, "do_machine_check" },
	{ 0x624da705, "__tracepoint_kvm_vmgexit_msr_protocol_enter" },
	{ 0xce576a13, "enable_apicv" },
	{ 0xad9b683b, "__SCT__tp_func_kvm_rmp_fault" },
	{ 0x6ba73cf0, "handle_ud" },
	{ 0x4942be67, "__SCT__tp_func_kvm_avic_incomplete_ipi" },
	{ 0xb9646b8b, "kvm_mmu_new_pgd" },
	{ 0xd7aae6e4, "unpin_user_pages" },
	{ 0xa4b044, "amd_iommu_deactivate_guest_mode" },
	{ 0xb45bef8f, "kvm_post_set_cr4" },
	{ 0x8affb27, "__SCK__tp_func_kvm_nested_intercepts" },
	{ 0x68c2c7c9, "__tracepoint_kvm_nested_vmenter_failed" },
	{ 0x4ba5236e, "kvm_get_msr_common" },
	{ 0xbf648d60, "__SCK__tp_func_kvm_avic_ga_log" },
	{ 0xe86dbc30, "kvm_gmem_populate" },
	{ 0x20efe767, "smp_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc3765e8, "__SCK__tp_func_kvm_nested_vmenter" },
	{ 0xc4ff3322, "pcpu_hot" },
	{ 0x3db873b4, "kvm_hv_get_assist_page" },
	{ 0x6340434e, "x86_model" },
	{ 0x88359f44, "kvm_emulate_halt" },
	{ 0xbff5a7c3, "__SCK__tp_func_kvm_vmgexit_enter" },
	{ 0xfdf00743, "kvm_emulate_mwait" },
	{ 0xc80c2ba4, "kvm_vcpu_map" },
	{ 0xc15ed9b2, "__SCK__tp_func_kvm_invlpga" },
	{ 0x98b75bb8, "__SCK__tp_func_kvm_skinit" },
	{ 0xcd2390ef, "kvm_msr_allowed" },
	{ 0x687b78fc, "kvm_x86_vendor_exit" },
	{ 0x52104987, "kvm_wait_lapic_expire" },
	{ 0xb773622e, "hv_flush_remote_tlbs" },
	{ 0xd1ea6e4e, "sev_issue_cmd_external_user" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa044d095, "kvm_put_kvm" },
	{ 0x31241246, "perf_event_read_value" },
	{ 0x9493fc86, "node_states" },
	{ 0x61b443f8, "x86_spec_ctrl_current" },
	{ 0xb5190c17, "kvm_find_cpuid_entry" },
	{ 0x374d21ba, "kvm_task_switch" },
	{ 0x5388b1a0, "amd_get_dr_addr_mask" },
	{ 0xc95756d8, "__SCK__tp_func_kvm_avic_unaccelerated_access" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x39cff107, "kvm_write_guest" },
	{ 0xe4a10861, "misc_cg_try_charge" },
	{ 0xafd9d106, "kvm_sev_es_string_io" },
	{ 0x36a096ae, "__tracepoint_kvm_cr" },
	{ 0x6ada8f59, "kvm_mmu_set_mmio_spte_mask" },
	{ 0x53614ec, "kvm_set_user_return_msr" },
	{ 0x22de4931, "amd_iommu_register_ga_log_notifier" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x778e30b9, "__SCT__tp_func_kvm_cr" },
	{ 0xe9665ea, "kvm_emulate_monitor" },
	{ 0xe04426bd, "kvm_requeue_exception_e" },
	{ 0xade5e32f, "__tracepoint_kvm_vmgexit_enter" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x1169bb97, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x5c7e9f84, "__SCT__tp_func_kvm_apicv_accept_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc96d35f4, "report_ignored_msrs" },
	{ 0x4a1c261b, "__SCT__tp_func_kvm_invlpga" },
	{ 0x5f911332, "__SCT__tp_func_kvm_avic_kick_vcpu_slowpath" },
	{ 0xd79d5b5b, "kvm_queue_exception" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x35b1417b, "kvm_emulate_rdmsr" },
	{ 0xcff45f4, "__SCT__tp_func_kvm_vmgexit_msr_protocol_exit" },
	{ 0x793ac193, "__SCT__tp_func_ipi_send_cpu" },
	{ 0x9f278951, "__tracepoint_kvm_apicv_accept_irq" },
	{ 0x92710339, "__tracepoint_kvm_pi_irte_update" },
	{ 0x8fac14a2, "sev_guest_df_flush" },
	{ 0x9aab9391, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x8b618aa6, "__SCT__tp_func_kvm_nested_vmexit_inject" },
	{ 0x2e77ea1d, "kvm_vcpu_unmap" },
	{ 0x10acd0a, "kvm_post_set_cr0" },
	{ 0xcfdc9e9, "__free_pages" },
	{ 0x7fe19488, "kvm_add_user_return_msr" },
	{ 0x8f399345, "__tracepoint_kvm_nested_intr_vmexit" },
	{ 0xcc96f2d9, "kvm_valid_efer" },
	{ 0x38f1a25a, "__tracepoint_ipi_send_cpu" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3bdfbd2e, "__SCK__tp_func_kvm_pi_irte_update" },
	{ 0xfab33e4c, "enable_mmio_caching" },
	{ 0x8f225871, "kvm_set_rflags" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb67d3ae2, "__SCK__tp_func_kvm_apicv_accept_irq" },
	{ 0xd3aaad12, "__SCK__tp_func_kvm_avic_doorbell" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xe6f54858, "__SCK__tp_func_kvm_entry" },
	{ 0x10db48bc, "split_page" },
	{ 0x489ce58c, "__SCK__tp_func_kvm_avic_kick_vcpu_slowpath" },
	{ 0x48644036, "__SCT__tp_func_kvm_vmgexit_exit" },
	{ 0xf32dff97, "__SCT__tp_func_kvm_avic_unaccelerated_access" },
	{ 0x627b4c7b, "kvm_handle_invpcid" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x78aa7818, "__tracepoint_kvm_entry" },
	{ 0xe3dee632, "mark_page_accessed" },
	{ 0x29574d4d, "kvm_load_host_xsave_state" },
	{ 0x7a86b81d, "__tracepoint_kvm_page_fault" },
	{ 0x177a82c3, "entry_untrain_ret" },
	{ 0x3e3b5766, "sev_do_cmd" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "ccp,kvm");

MODULE_ALIAS("cpu:type:x86,ven*fam*mod*:feature:*00C2*");

MODULE_INFO(srcversion, "329051994E3714DFF10CBD5");
