#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_ttm_print_info, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_mmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_dumb_map_offset, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_setup, "", "");

SYMBOL_CRC(drm_gem_ttm_print_info, 0x035d9b9a, "");
SYMBOL_CRC(drm_gem_ttm_vmap, 0xaab1e0e8, "");
SYMBOL_CRC(drm_gem_ttm_vunmap, 0xd409c980, "");
SYMBOL_CRC(drm_gem_ttm_mmap, 0xed531373, "");
SYMBOL_CRC(drm_gem_ttm_dumb_map_offset, 0xafc64edb, "");
SYMBOL_CRC(drm_fbdev_ttm_setup, 0xc3c46f80, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10de4ca2, "drm_client_framebuffer_delete" },
	{ 0x279c7191, "drm_client_framebuffer_create" },
	{ 0x86e44fb9, "drm_fb_helper_deferred_io" },
	{ 0x418ac02b, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x88598414, "drm_driver_legacy_fb_format" },
	{ 0x5060724e, "drm_fb_helper_fill_info" },
	{ 0xa514d2f9, "fb_deferred_io_init" },
	{ 0x576b7499, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x61cf4a5a, "dev_driver_string" },
	{ 0x71c77711, "drm_fb_helper_hotplug_event" },
	{ 0xc74e314a, "drm_gem_object_lookup" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5556abc, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x323e985b, "sys_imageblit" },
	{ 0xe157f324, "drm_fb_helper_damage_range" },
	{ 0x677429b, "drm_fb_helper_blank" },
	{ 0x3f3417a2, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8bd351ce, "drm_fb_helper_damage_area" },
	{ 0x49274585, "sys_fillrect" },
	{ 0xda1a4b5c, "module_put" },
	{ 0x12565917, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xa34a0626, "drm_client_init" },
	{ 0x1a01342e, "drm_print_bits" },
	{ 0xf6b4ad5a, "drm_fb_helper_prepare" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x15644226, "__drm_dev_dbg" },
	{ 0xd207a03d, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x88ba65fd, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x4b2018f, "drm_client_release" },
	{ 0x8cbc5faa, "sys_copyarea" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb77741e9, "fb_sys_read" },
	{ 0x3449a03c, "drm_fb_helper_debug_leave" },
	{ 0x75130df9, "ttm_bo_mmap_obj" },
	{ 0xbc7f63aa, "drm_client_buffer_vunmap_local" },
	{ 0x2cd2d150, "ttm_bo_vmap" },
	{ 0xed8ae04d, "drm_client_buffer_vmap_local" },
	{ 0xc1a3706, "drm_fb_helper_initial_config" },
	{ 0x63de9110, "drm_fb_helper_unregister_info" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0xcf94a247, "drm_fb_helper_ioctl" },
	{ 0xf4adb14e, "drm_fb_helper_set_par" },
	{ 0xf6718df5, "drm_client_register" },
	{ 0xcd6b4021, "try_module_get" },
	{ 0xb030a99e, "drm_fb_helper_init" },
	{ 0x9e2d4ab9, "drm_fb_helper_debug_enter" },
	{ 0x2c5cd7c2, "drm_fb_helper_lastclose" },
	{ 0xfb08c272, "drm_fb_helper_setcmap" },
	{ 0xe370b22c, "drm_fb_helper_alloc_info" },
	{ 0x3196654d, "drm_helper_disable_unused_functions" },
	{ 0x44cbd8e7, "drm_fb_helper_unprepare" },
	{ 0x63a53bbe, "drm_fb_helper_fini" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "ttm");


MODULE_INFO(srcversion, "66A6C30A95B161197D8C13A");
