#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x815588a6, "clk_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9bf4bfe3, "cci_multi_reg_write" },
	{ 0xf1c313c4, "devm_kmalloc" },
	{ 0xa41c47e5, "devm_cci_regmap_init_i2c" },
	{ 0xb1ebb1f5, "__dev_fwnode" },
	{ 0xfdea61, "fwnode_graph_get_next_endpoint" },
	{ 0xa404e3da, "v4l2_fwnode_endpoint_alloc_parse" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe66d2327, "devm_clk_get" },
	{ 0xaf8ca13c, "devm_gpiod_get_optional" },
	{ 0xfd608715, "devm_regulator_bulk_get" },
	{ 0xec008876, "__pm_runtime_set_status" },
	{ 0xf55d6420, "pm_runtime_enable" },
	{ 0x69451257, "pm_runtime_set_autosuspend_delay" },
	{ 0x3f1df6e4, "__pm_runtime_use_autosuspend" },
	{ 0xeb785c18, "v4l2_subdev_init" },
	{ 0x3cc4b265, "v4l2_i2c_subdev_set_name" },
	{ 0x1d831827, "media_entity_pads_init" },
	{ 0x6828a8c3, "v4l2_ctrl_handler_init_class" },
	{ 0xf4a475ee, "v4l2_ctrl_new_std" },
	{ 0x167137c6, "__v4l2_subdev_init_finalize" },
	{ 0x504217d8, "__v4l2_ctrl_modify_range" },
	{ 0x40b4d352, "v4l2_i2c_subdev_init" },
	{ 0xa9f38e82, "v4l2_ctrl_new_std_menu" },
	{ 0x56f9bced, "v4l2_ctrl_new_int_menu" },
	{ 0x8d8197a6, "v4l2_ctrl_new_std_menu_items" },
	{ 0xf7c829c8, "v4l2_ctrl_cluster" },
	{ 0x3af3f558, "__v4l2_async_register_subdev" },
	{ 0x267c9d56, "v4l2_ctrl_handler_free" },
	{ 0x9f3733b, "__pm_runtime_disable" },
	{ 0xe15d28e5, "v4l2_fwnode_endpoint_free" },
	{ 0x95c24ada, "dev_err_probe" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0x93108ef0, "v4l2_async_unregister_subdev" },
	{ 0x24ea0ae1, "__pm_runtime_resume" },
	{ 0x76054570, "__v4l2_ctrl_handler_setup" },
	{ 0x36e1507a, "v4l2_subdev_get_fmt" },
	{ 0xbe7b5158, "v4l2_subdev_link_validate" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe62d3ca, "i2c_register_driver" },
	{ 0xe4e140b8, "__v4l2_subdev_state_get_crop" },
	{ 0x9fa1170e, "__v4l2_subdev_state_get_format" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe648c08f, "v4l2_device_unregister_subdev" },
	{ 0x9fad26f7, "__v4l2_device_register_subdev" },
	{ 0x5da21a09, "media_create_pad_link" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x7a8c0fcb, "__v4l2_subdev_state_get_compose" },
	{ 0xc6418a37, "pm_runtime_get_if_in_use" },
	{ 0xbed9e63e, "cci_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x334ebd6c, "__pm_runtime_suspend" },
	{ 0x98059f0e, "cci_update_bits" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x40ef4f7d, "cci_read" },
	{ 0xc5de6519, "i2c_del_driver" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa8339bdf, "regulator_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xd66802f2, "gpiod_set_value" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x5ed91655, "regulator_bulk_disable" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "v4l2-cci,v4l2-fwnode,videodev,mc,v4l2-async");

MODULE_ALIAS("of:N*T*Connn,mt9m114");
MODULE_ALIAS("of:N*T*Connn,mt9m114C*");

MODULE_INFO(srcversion, "565AC60661603499E4ED22F");
