#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x5ed91655, "regulator_bulk_disable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb51ff693, "v4l2_subdev_link_validate_default" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x47370ea9, "v4l2_get_link_freq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x3bf6c65b, "regmap_bulk_read" },
	{ 0xdfdc7888, "regmap_bulk_write" },
	{ 0xd66802f2, "gpiod_set_value" },
	{ 0xa8339bdf, "regulator_bulk_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1c313c4, "devm_kmalloc" },
	{ 0xf1706f5f, "__devm_regmap_init_i2c" },
	{ 0xe66d2327, "devm_clk_get" },
	{ 0x95c24ada, "dev_err_probe" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xfd608715, "devm_regulator_bulk_get" },
	{ 0xaf8ca13c, "devm_gpiod_get_optional" },
	{ 0x40b4d352, "v4l2_i2c_subdev_init" },
	{ 0x1d831827, "media_entity_pads_init" },
	{ 0x167137c6, "__v4l2_subdev_init_finalize" },
	{ 0xb1ebb1f5, "__dev_fwnode" },
	{ 0xdbc87f72, "fwnode_graph_get_endpoint_by_id" },
	{ 0xa404e3da, "v4l2_fwnode_endpoint_alloc_parse" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x825971ad, "phy_mipi_dphy_get_default_config_for_hsclk" },
	{ 0x6828a8c3, "v4l2_ctrl_handler_init_class" },
	{ 0x56f9bced, "v4l2_ctrl_new_int_menu" },
	{ 0x69451257, "pm_runtime_set_autosuspend_delay" },
	{ 0xf55d6420, "pm_runtime_enable" },
	{ 0x24ea0ae1, "__pm_runtime_resume" },
	{ 0xd18a39fc, "__pm_runtime_idle" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x334ebd6c, "__pm_runtime_suspend" },
	{ 0xa362a65, "device_property_present" },
	{ 0xfe33cb94, "device_property_read_string" },
	{ 0x27e2e38f, "devm_clk_hw_register" },
	{ 0x26477a79, "v4l2_fwnode_endpoint_parse" },
	{ 0xf5d28ffd, "v4l2_async_subdev_nf_init" },
	{ 0x8cedbc84, "__v4l2_async_nf_add_fwnode_remote" },
	{ 0x48db4894, "v4l2_async_nf_register" },
	{ 0x3af3f558, "__v4l2_async_register_subdev" },
	{ 0xf4ef1bb9, "media_pad_remote_pad_first" },
	{ 0x206173a2, "v4l2_subdev_call_wrappers" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa3ecf4cf, "pm_runtime_force_suspend" },
	{ 0x6abc6f19, "pm_runtime_force_resume" },
	{ 0x550f803b, "v4l2_subdev_get_fwnode_pad_1_to_1" },
	{ 0xbe7b5158, "v4l2_subdev_link_validate" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe62d3ca, "i2c_register_driver" },
	{ 0x2c09dcf3, "v4l2_subdev_cleanup" },
	{ 0x267c9d56, "v4l2_ctrl_handler_free" },
	{ 0xe15d28e5, "v4l2_fwnode_endpoint_free" },
	{ 0x45fbadb1, "v4l2_async_nf_unregister" },
	{ 0x4a3680cf, "v4l2_async_nf_cleanup" },
	{ 0x93108ef0, "v4l2_async_unregister_subdev" },
	{ 0x9f3733b, "__pm_runtime_disable" },
	{ 0xec008876, "__pm_runtime_set_status" },
	{ 0x3f1df6e4, "__pm_runtime_use_autosuspend" },
	{ 0x9fa1170e, "__v4l2_subdev_state_get_format" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0x36e1507a, "v4l2_subdev_get_fmt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd5448069, "_dev_warn" },
	{ 0x57b10ca9, "v4l2_create_fwnode_links_to_pad" },
	{ 0xc5de6519, "i2c_del_driver" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc,v4l2-fwnode,v4l2-async");

MODULE_ALIAS("of:N*T*Ctoshiba,tc358746");
MODULE_ALIAS("of:N*T*Ctoshiba,tc358746C*");

MODULE_INFO(srcversion, "34C898039EAEB717A554827");
