#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x33ed9822, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0xb32b4483, "");
SYMBOL_CRC(ivtv_api, 0x0203d0e1, "");
SYMBOL_CRC(ivtv_vapi, 0x78144627, "");
SYMBOL_CRC(ivtv_vapi_result, 0xdc6715c2, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x71d7b11a, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0xcb59b7db, "");
SYMBOL_CRC(ivtv_udma_setup, 0xdb4196da, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x511aa48e, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x8b933f6d, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x737e5395, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0xfc38fdc6, "");
SYMBOL_CRC(ivtv_firmware_check, 0x43ac5adf, "");
SYMBOL_CRC(ivtv_claim_stream, 0x24c0e6b3, "");
SYMBOL_CRC(ivtv_release_stream, 0x03075dc0, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x7b346d57, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x5ec0a6ed, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6d28c48, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xf953d31, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0xfb377fe5, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xb9e4618b, "v4l2_fh_is_singular" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x731a562, "pci_read_config_word" },
	{ 0x993a3468, "v4l2_ctrl_subscribe_event" },
	{ 0x207a68b5, "v4l2_fh_init" },
	{ 0x30a46019, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd946d9dc, "__kthread_init_worker" },
	{ 0x95f1c756, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9773fc40, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf38cceb1, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x89f32807, "pci_set_master" },
	{ 0xa9f38e82, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9fad26f7, "__v4l2_device_register_subdev" },
	{ 0x1011a31, "v4l2_device_register" },
	{ 0x28fce6ba, "param_ops_string" },
	{ 0xcbc807f9, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfbef3b30, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7a08a827, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7dd4dfa1, "__dma_sync_single_for_device" },
	{ 0x386f6052, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0x6130d809, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf4a475ee, "v4l2_ctrl_new_std" },
	{ 0xe0b10d7a, "v4l2_ctrl_g_ctrl" },
	{ 0xfaca8195, "cx2341x_handler_init" },
	{ 0xcfde0f6f, "cx2341x_handler_set_50hz" },
	{ 0x267c9d56, "v4l2_ctrl_handler_free" },
	{ 0xbdd0a052, "v4l2_device_unregister" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x58d85dee, "dma_set_mask" },
	{ 0x3296c83b, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x206173a2, "v4l2_subdev_call_wrappers" },
	{ 0x1231fae4, "dma_unmap_sg_attrs" },
	{ 0xad8f57e8, "v4l2_event_queue" },
	{ 0xb85f4943, "v4l2_i2c_new_subdev" },
	{ 0x9d1e9fe2, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x713905e4, "param_ops_int" },
	{ 0x7ba46326, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbaa0cb8b, "video_device_release_empty" },
	{ 0xf7c829c8, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xadb5a271, "pci_write_config_dword" },
	{ 0x46539134, "v4l2_event_unsubscribe" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x66e96a36, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf8b2fa2b, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe57bb64f, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x903da33a, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb71d9124, "i2c_bit_add_bus" },
	{ 0x9fdd75dd, "v4l2_fh_del" },
	{ 0xd75d3c44, "v4l2_i2c_new_subdev_board" },
	{ 0xf0855fad, "kthread_flush_worker" },
	{ 0x10b74770, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x46b088c9, "dma_unmap_page_attrs" },
	{ 0xdf6446eb, "request_firmware" },
	{ 0x72da659e, "__pci_register_driver" },
	{ 0x6828a8c3, "v4l2_ctrl_handler_init_class" },
	{ 0x124e7719, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xd7aae6e4, "unpin_user_pages" },
	{ 0x4427007b, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x87f41a2, "i2c_transfer_buffer_flags" },
	{ 0xeb785c18, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x706ed630, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x326006e5, "wake_up_process" },
	{ 0x61cf4a5a, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x29ee3299, "dma_map_page_attrs" },
	{ 0x77d83797, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xa89dfaba, "v4l2_ctrl_handler_log_status" },
	{ 0x74cb5e18, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa033d26, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xc4c42253, "i2c_new_scanned_device" },
	{ 0xfb395101, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x4748683f, "kthread_queue_work" },
	{ 0x9aab9391, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcfdc9e9, "__free_pages" },
	{ 0x3c977d9f, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x59d4489a, "__v4l2_ctrl_s_ctrl" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B1225A0FA9EB7CCB07B31CC");
