#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_format, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_crop, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_compose, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_frame_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_is_streaming, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_link_freq_to_bitmap, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x105cb6e4, "");
SYMBOL_CRC(video_device_release, 0xc7b3806c, "");
SYMBOL_CRC(video_device_release_empty, 0xbaa0cb8b, "");
SYMBOL_CRC(video_devdata, 0x0a033d26, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0x7a08a827, "");
SYMBOL_CRC(video_unregister_device, 0x95f1c756, "");
SYMBOL_CRC(video_device_pipeline_start, 0x87e5a961, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x33196a74, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0xbfa6d213, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0x09e3fa0e, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0xfdc4eb5e, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0x5452e855, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x903da33a, "");
SYMBOL_CRC(v4l2_device_register, 0x01011a31, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x10387f5e, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0xfb377fe5, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x98de78e1, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0xbdd0a052, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev, 0x9fad26f7, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0x11b35778, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0xe648c08f, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x207a68b5, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x10b74770, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x2c248251, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x9fdd75dd, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0xf8b2fa2b, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0x65c8a1fc, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0xb9e4618b, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0x07e23b72, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0xad8f57e8, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0xc99c7c43, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x30a46019, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0xd10e8c78, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0xf38cceb1, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0xc50aa9e2, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0x46539134, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0x456057ae, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x0b7c6f40, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x966e93fa, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x206173a2, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x550f803b, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0xb51ff693, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0xbe7b5158, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0xea9f91b1, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x0122534d, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0x0a075c07, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0x167137c6, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0x2c09dcf3, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_format, 0x9fa1170e, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_crop, 0xe4e140b8, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_compose, 0x7a8c0fcb, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_interval, 0xcde04e7b, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x36e1507a, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_frame_interval, 0x4210b438, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0xb77159d1, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0x180f326c, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0xf51ba7ec, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0x2776e4eb, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x78932324, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0xe231fc18, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x61c77c75, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x98c949a8, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0xe09bb6f2, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0xd98a830f, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0xeb785c18, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0xa89e8b65, "_gpl");
SYMBOL_CRC(v4l2_subdev_is_streaming, 0xb5556874, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0xc56dfda8, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x21a907d2, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x4e4260a2, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0xba0b69b3, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x47370ea9, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_link_freq_to_bitmap, 0x3a793f0a, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0xeda6f3d4, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0x4082afad, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0xa3fae912, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xfe4041b7, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x00739c71, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x6828a8c3, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0x267c9d56, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x690823b1, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x9253fab4, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0xf4a475ee, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0xa9f38e82, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x8d8197a6, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x7aafe9ab, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0x56f9bced, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0x40d0f763, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x1cb14ed1, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0xf7c829c8, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0x697ca4e6, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0x363094c2, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x5ba77100, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x76054570, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x74cb5e18, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xa89dfaba, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x66f9f59b, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x8f6203a2, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0xda6ff923, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0xe97302e1, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x4901ffe0, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x7dfa30fe, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0xe0b10d7a, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x0aa04018, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x59d4489a, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x3b50e901, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0x0506d397, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x387acf66, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0x504217d8, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0x63a71bde, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x87c25c05, "");
SYMBOL_CRC(v4l2_queryctrl, 0xaba92e31, "");
SYMBOL_CRC(v4l2_querymenu, 0x25650519, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0xc3beeb41, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x4d8ed169, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0x88d3b4d1, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0x993a3468, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x2cdafa83, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x4cadc7e0, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0xa88257eb, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0xc8bd3273, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0x21231733, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0xbc15e80a, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0xc4fbd094, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x65e2bc30, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x646600a2, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0xe4e4435c, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x92f81284, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x57b10ca9, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0xd8508f43, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0xb5a0f91b, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0xbb878ac0, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x60e163dc, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0xe7662d35, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0xe2b2a1ee, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0x9475c6f0, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x147b2819, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x264b08ea, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0x6b27cba5, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0x30fbb516, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x96f70c11, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0xd7983474, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0xa45a46cc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x0c2966ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0x97191aa6, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x4017c905, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x9d82138c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0x3cc4b265, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x40b4d352, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0xd75d3c44, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0xb85f4943, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0xb16464be, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd309cca5, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x519aab2, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x8579bc53, "media_pipeline_start" },
	{ 0xda053cc0, "media_pipeline_stop" },
	{ 0xfb578fc5, "memset" },
	{ 0xd5448069, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xab9b537c, "media_get_pad_index" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x67464ef5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2e0f4acd, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xae012bd1, "led_set_brightness" },
	{ 0x52d8f418, "media_graph_walk_start" },
	{ 0xda84ee5c, "media_devnode_create" },
	{ 0x95c24ada, "dev_err_probe" },
	{ 0x9ce1ab89, "media_entity_get_fwnode_pad" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xd0bd0dfc, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xa1dc3dc9, "__media_pipeline_start" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa7a68020, "class_register" },
	{ 0xb4fd1e38, "led_sysfs_disable" },
	{ 0x5da4496a, "media_entity_find_link" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb1ebb1f5, "__dev_fwnode" },
	{ 0xb59c630d, "pci_bus_type" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0xed8f8202, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfe0bad63, "cdev_alloc" },
	{ 0x3ba3b644, "media_devnode_remove" },
	{ 0xcd6b4021, "try_module_get" },
	{ 0x92a24db2, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xffa6d199, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5f6018d9, "led_sysfs_enable" },
	{ 0xaf9b1b70, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x30dcd9a9, "fwnode_graph_get_remote_endpoint" },
	{ 0x5fd3914c, "trace_raw_output_prep" },
	{ 0xa3dbc7f1, "spi_unregister_device" },
	{ 0x9f5c1dbd, "device_unregister" },
	{ 0xcffb40c, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7973a1b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x65e5a1dc, "media_request_object_unbind" },
	{ 0xf85f3171, "led_put" },
	{ 0x1adb7c6d, "led_trigger_remove" },
	{ 0xfdea61, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x46ed2888, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x6a5ed39d, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4ff3322, "pcpu_hot" },
	{ 0xdc89277d, "fwnode_graph_get_port_parent" },
	{ 0xb993bf53, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x185b35ba, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x71f02fb8, "media_create_intf_link" },
	{ 0x5da21a09, "media_create_pad_link" },
	{ 0x71924fbd, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x322c8eae, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x27621aaa, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbf7ca517, "put_device" },
	{ 0xc4c42253, "i2c_new_scanned_device" },
	{ 0xee701a8a, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9aab9391, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe4452273, "media_request_object_put" },
	{ 0xda1a4b5c, "module_put" },
	{ 0xa91440f4, "media_pipeline_alloc_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9de6cc7c, "media_device_register_entity" },
	{ 0xbf1e414b, "media_request_get_by_fd" },
	{ 0x51917b34, "cdev_add" },
	{ 0x1803cfb3, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2aae84df, "perf_trace_run_bpf_submit" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x50c48f6c, "i2c_unregister_device" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5268735b, "media_request_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3f80fe41, "spi_new_device" },
	{ 0x6a43ac0e, "trace_event_reg" },
	{ 0x64cdf7b4, "media_request_object_bind" },
	{ 0x33c4fed4, "class_unregister" },
	{ 0x49f7a5a0, "media_graph_walk_next" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "162A8688E74215E37F34629");
