#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mei_fw_status2str, "_gpl", "");
KSYMTAB_FUNC(mei_cancel_work, "_gpl", "");
KSYMTAB_FUNC(mei_reset, "_gpl", "");
KSYMTAB_FUNC(mei_start, "_gpl", "");
KSYMTAB_FUNC(mei_restart, "_gpl", "");
KSYMTAB_FUNC(mei_stop, "_gpl", "");
KSYMTAB_FUNC(mei_write_is_idle, "_gpl", "");
KSYMTAB_FUNC(mei_device_init, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg_resume, "_gpl", "");
KSYMTAB_FUNC(mei_irq_compl_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_read_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_write_handler, "_gpl", "");
KSYMTAB_FUNC(mei_cl_all_disconnect, "_gpl", "");
KSYMTAB_FUNC(mei_register, "_gpl", "");
KSYMTAB_FUNC(mei_deregister, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_rx_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_notif_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_uuid, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_ver, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enabled, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_map, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_unmap, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_disable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_gsc_command, "_gpl", "");
KSYMTAB_FUNC(__mei_cldev_driver_register, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_driver_unregister, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mei_reg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_read, "", "");
KSYMTAB_DATA(__tracepoint_mei_reg_write, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_write, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_write, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_write, "", "");
KSYMTAB_DATA(__tracepoint_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_pci_cfg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_pci_cfg_read, "", "");

SYMBOL_CRC(mei_fw_status2str, 0x90a24af4, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0xcce93db5, "_gpl");
SYMBOL_CRC(mei_reset, 0xc00ee839, "_gpl");
SYMBOL_CRC(mei_start, 0x9f3f27a4, "_gpl");
SYMBOL_CRC(mei_restart, 0xa06b0147, "_gpl");
SYMBOL_CRC(mei_stop, 0x12aabf06, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0x955fa607, "_gpl");
SYMBOL_CRC(mei_device_init, 0x6cd018f6, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0x72977d13, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0xa5468cd5, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0xdf0712cc, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0xb0ceb3b4, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0x0f995c4d, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0xad73dd6e, "_gpl");
SYMBOL_CRC(mei_register, 0xd265b725, "_gpl");
SYMBOL_CRC(mei_deregister, 0x4293969b, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0xf2b093ea, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag_timeout, 0xb305e3bb, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0xfd6abcfa, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0xea7d9131, "_gpl");
SYMBOL_CRC(mei_cldev_recv_timeout, 0xbed9a781, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag_timeout, 0xfbcda281, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0xb5e67165, "_gpl");
SYMBOL_CRC(mei_cldev_send_timeout, 0x3ffa1c5f, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0xa0036eec, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0x1a0c3974, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0xb6c81087, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0xdddb0b26, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0x6daef8dd, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0x6581adb2, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0x01d5795f, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0x8d465de8, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0x087b37d0, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0x193f8c97, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0x88f8ec31, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0xa3b8b4cc, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0xfd4b1148, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0xbd54f734, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0x6ede580f, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0xa76e3941, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0x360d6125, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0x423f5fa2, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0x43eb48ee, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0x74cffc9d, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0x5d657254, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0x780c018c, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0x5d26d61d, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0x3f17f776, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0xe3bd13ac, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4860a740, "debugfs_write_file_bool" },
	{ 0xbf7ca517, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x9aab9391, "const_pcpu_hot" },
	{ 0xc80d80a1, "_dev_info" },
	{ 0xda1a4b5c, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x468a9a0a, "compat_ptr_ioctl" },
	{ 0x51917b34, "cdev_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2aae84df, "perf_trace_run_bpf_submit" },
	{ 0x66f92d27, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x6e5abb5, "simple_open" },
	{ 0xca869793, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5d3f64e1, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x56fd941c, "fasync_helper" },
	{ 0x6a43ac0e, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x7bdfde3, "driver_unregister" },
	{ 0x33c4fed4, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb9e28e31, "device_del" },
	{ 0x799f3006, "dmam_free_coherent" },
	{ 0xd5448069, "_dev_warn" },
	{ 0x452ae98b, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x58f7ce74, "nonseekable_open" },
	{ 0xe30c008a, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8bcf0f95, "device_create_with_groups" },
	{ 0x87eb4e80, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x67464ef5, "trace_event_buffer_reserve" },
	{ 0x24ea0ae1, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8bd24df, "seq_write" },
	{ 0x900ccd59, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3a65434, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8f41954, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x334ebd6c, "__pm_runtime_suspend" },
	{ 0xbcbd48e3, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xb02e60e6, "single_open" },
	{ 0x10a9186a, "debugfs_create_dir" },
	{ 0xfa7fc25c, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xa58c4441, "driver_register" },
	{ 0xa7a68020, "class_register" },
	{ 0x70b29baf, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0xed8f8202, "cdev_del" },
	{ 0x96f5f901, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7fd327ff, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xcd6b4021, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xea67f8b7, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xaf9b1b70, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2ae433be, "dmam_alloc_attrs" },
	{ 0x5fd3914c, "trace_raw_output_prep" },
	{ 0xcffb40c, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdc7e5638, "kill_fasync" },
	{ 0x7973a1b, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9b21d1bc, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x46ed2888, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa4a7d15c, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xacca2e80, "__module_get" },
	{ 0x185b35ba, "get_device" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd4dd1556, "debugfs_read_file_bool" },
	{ 0x71924fbd, "trace_event_buffer_commit" },
	{ 0x3ba3c1f2, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CA8D81974AB6504C1978736");
