#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58d85dee, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1aee8509, "netif_set_tso_max_size" },
	{ 0xbc7c6ec4, "phy_resume" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x95c24ada, "dev_err_probe" },
	{ 0xfec0d174, "pcim_iomap_table" },
	{ 0x3648d2c0, "napi_schedule_prep" },
	{ 0x1c2c651f, "napi_consume_skb" },
	{ 0x9240d3de, "napi_disable" },
	{ 0xf7aca556, "dev_kfree_skb_any_reason" },
	{ 0x219c05ea, "netdev_notice" },
	{ 0x5a6b1a61, "phy_stop" },
	{ 0xcbd7212b, "phy_do_ioctl_running" },
	{ 0xbf727c65, "netif_set_tso_max_segs" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0x7ba46326, "pcim_enable_device" },
	{ 0x815588a6, "clk_enable" },
	{ 0xa3323125, "phy_disconnect" },
	{ 0xd18a39fc, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x85bfab82, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x92fa26a9, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7fc665bf, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7499109f, "phy_set_max_speed" },
	{ 0xa59a1ed1, "device_set_wakeup_enable" },
	{ 0x53264281, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1c5f3d47, "skb_copy_bits" },
	{ 0x6ba2fc8d, "eth_mac_addr" },
	{ 0x6babbd2d, "pcim_set_mwi" },
	{ 0xe292666b, "pci_wake_from_d3" },
	{ 0x958f5698, "skb_tstamp_tx" },
	{ 0xf74fae0d, "netdev_sw_irq_coalesce_default_on" },
	{ 0x674a232f, "netdev_update_features" },
	{ 0x494d34a1, "pci_alloc_irq_vectors" },
	{ 0xede9ed9d, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2ae433be, "dmam_alloc_attrs" },
	{ 0x368729fd, "unregister_netdev" },
	{ 0x46b088c9, "dma_unmap_page_attrs" },
	{ 0xdf6446eb, "request_firmware" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x72da659e, "__pci_register_driver" },
	{ 0xbd0a9838, "phy_ethtool_set_eee" },
	{ 0x7111a67c, "pci_dev_run_wake" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa416d5f2, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xea0a496f, "phy_ethtool_set_link_ksettings" },
	{ 0x45f7e764, "eth_validate_addr" },
	{ 0x14d21e1f, "led_classdev_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x596ab799, "netdev_warn" },
	{ 0xfa70e1cb, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6e3d7fb2, "pci_irq_vector" },
	{ 0xa12acb7e, "phy_write_mmd" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x706ed630, "pci_unregister_driver" },
	{ 0xc4954ddd, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa2e258c9, "pskb_expand_head" },
	{ 0x7daa0f73, "phy_read_paged" },
	{ 0xa1f137d6, "phy_restore_page" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x61cf4a5a, "dev_driver_string" },
	{ 0xeca238fc, "dev_addr_mod" },
	{ 0xe447eb15, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x29ee3299, "dma_map_page_attrs" },
	{ 0xf4799797, "genphy_soft_reset" },
	{ 0xe87584ea, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x6f78885c, "__mdiobus_write" },
	{ 0x1169bb97, "__alloc_pages_noprof" },
	{ 0xfa6f085f, "pm_schedule_suspend" },
	{ 0xbae8dfbf, "devm_clk_get_optional_enabled" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdbf31182, "pci_status_get_and_clear_errors" },
	{ 0x7a338e94, "phy_speed_up" },
	{ 0xb8c24d24, "phy_connect_direct" },
	{ 0x3d564f94, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x29ac8a54, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xacaccd88, "pci_disable_link_state" },
	{ 0xcfdc9e9, "__free_pages" },
	{ 0xc80d80a1, "_dev_info" },
	{ 0xfa38e6df, "napi_gro_receive" },
	{ 0xfb3c4289, "netif_device_attach" },
	{ 0x4c98be6a, "pci_select_bars" },
	{ 0xaab17a93, "phy_ethtool_get_link_ksettings" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbf9607a1, "devm_alloc_etherdev_mqs" },
	{ 0xd670aa99, "pcim_iomap_regions" },
	{ 0xcb8b5028, "pci_clear_master" },
	{ 0xb6d28c48, "__dma_sync_single_for_cpu" },
	{ 0x6d05ea52, "__phy_modify" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x11f69cba, "softnet_data" },
	{ 0xcc69d9cd, "phy_suspend" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x64350f6d, "netdev_printk" },
	{ 0x3712b1d5, "phy_modify_paged" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x51f9a0d5, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3bcc5fa6, "phy_speed_down" },
	{ 0x9c0f952, "dma_alloc_attrs" },
	{ 0x731a562, "pci_read_config_word" },
	{ 0xafb1e9b4, "napi_enable" },
	{ 0xbb728ab1, "register_netdev" },
	{ 0x2c204198, "mdiobus_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xc1d050d6, "led_classdev_register_ext" },
	{ 0xa16636, "ethtool_op_get_link" },
	{ 0xff2fd532, "eth_platform_get_mac_address" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb3ff9344, "netif_tx_wake_queue" },
	{ 0xdc1dd97a, "phy_start" },
	{ 0x1b7ce4e3, "phy_modify" },
	{ 0xd5448069, "_dev_warn" },
	{ 0x428449e2, "phy_mac_interrupt" },
	{ 0xce4fad3f, "netif_schedule_queue" },
	{ 0x89f32807, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9e56e606, "phy_print_status" },
	{ 0x848efc44, "__pskb_pull_tail" },
	{ 0x9d45f179, "phy_start_aneg" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xc8cbed61, "phy_set_asym_pause" },
	{ 0xabe38635, "phy_ethtool_get_eee" },
	{ 0xd91ac3c0, "devm_mdiobus_alloc_size" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb6a379f3, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb38c8596, "dma_free_attrs" },
	{ 0x4aacfe22, "pci_reset_bus" },
	{ 0x24ea0ae1, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7dd4dfa1, "__dma_sync_single_for_device" },
	{ 0x1537fa06, "phy_support_asym_pause" },
	{ 0x386f6052, "pci_write_config_byte" },
	{ 0x9436553c, "phy_get_pause" },
	{ 0x4229da7, "mdiobus_write" },
	{ 0x8e87a9f, "phy_select_page" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcfc80c0c, "phy_write_paged" },
	{ 0x22bf1980, "mdiobus_get_phy" },
	{ 0x83a3e2a5, "phy_ethtool_nway_reset" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x87114f0f, "phy_support_eee" },
	{ 0xf02e1a11, "phy_init_hw" },
	{ 0x228e77e6, "pcie_set_readrq" },
	{ 0x6fd7d67d, "__devm_mdiobus_register" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "libphy,mdio_devres");

MODULE_ALIAS("pci:v000010ECd00002502sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00002600sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008129sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008136sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008161sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008162sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008167sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008168sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010FFd00008168sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008169sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004300sv00001186sd00004B10bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004302sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001259d0000C107sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000016ECd00000116sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001737d00001032sv*sd00000024bc*sc*i*");
MODULE_ALIAS("pci:v00000001d00008168sv*sd00002410bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008125sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008126sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00003000sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7E3703DC6EAED5E083D3B2D");
