#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4799797, "genphy_soft_reset" },
	{ 0xd75f7ba5, "bcm_phy_write_exp" },
	{ 0x63316df0, "bcm_phy_write_misc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x46996cf9, "bcm_phy_read_exp" },
	{ 0xd0c54d03, "bcm_phy_read_misc" },
	{ 0x649ba242, "bcm_phy_read_shadow" },
	{ 0xc1d34c8, "bcm_phy_write_shadow" },
	{ 0xb211e933, "bcm_phy_enable_apd" },
	{ 0x95ee278b, "bcm_phy_28nm_a0b0_afe_config_init" },
	{ 0x89f6ff35, "bcm_phy_r_rc_cal_reset" },
	{ 0xfa068ce4, "bcm_phy_enable_jumbo" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0xe78a3f89, "__mdiobus_read" },
	{ 0x6f78885c, "__mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x665cb60f, "bcm_phy_get_strings" },
	{ 0xbd3a2bd0, "genphy_read_status" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x40949936, "phy_drivers_register" },
	{ 0x4229da7, "mdiobus_write" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a504f21, "bcm_phy_downshift_set" },
	{ 0xf3bcce5d, "bcm_phy_set_eee" },
	{ 0xf996409a, "genphy_restart_aneg" },
	{ 0x4943fcdf, "bcm_phy_downshift_get" },
	{ 0xb51c457e, "__genphy_config_aneg" },
	{ 0x419ee8fe, "bcm_phy_get_stats" },
	{ 0xf1c313c4, "devm_kmalloc" },
	{ 0xde504dfa, "bcm_phy_get_sset_count" },
	{ 0xbae8dfbf, "devm_clk_get_optional_enabled" },
	{ 0x2c204198, "mdiobus_read" },
	{ 0xe6e8ecfe, "phy_drivers_unregister" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0011010110010000010100110001????");
MODULE_ALIAS("mdio:0011010110010000010100110101????");
MODULE_ALIAS("mdio:0011010110010000010100110100????");
MODULE_ALIAS("mdio:1010111000000010010100101000????");
MODULE_ALIAS("mdio:1010111000000010010100010010????");
MODULE_ALIAS("mdio:1010111000000010010100011001????");
MODULE_ALIAS("mdio:1010111000000010010100001001????");
MODULE_ALIAS("mdio:1010111000000010010100111011????");
MODULE_ALIAS("mdio:1010111000000010010100011010????");
MODULE_ALIAS("mdio:1010111000000010010100100110????");
MODULE_ALIAS("mdio:0110000000001101100001001001????");
MODULE_ALIAS("mdio:0110000000001101100001100101????");
MODULE_ALIAS("mdio:0110000000001101100001001011????");
MODULE_ALIAS("mdio:0110000000001101100001101011????");
MODULE_ALIAS("mdio:0110000000001101100001110011????");
MODULE_ALIAS("mdio:1010111000000010010100101110????");
MODULE_ALIAS("mdio:0110000000001101100001001000????");
MODULE_ALIAS("mdio:0110000000001101100001110101????");
MODULE_ALIAS("mdio:0110000000001101100001010001????");
MODULE_ALIAS("mdio:0011010110010000010100110011????");

MODULE_INFO(srcversion, "7FE7F78C0CD1BC084EDF2BD");
