#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x7f959a44, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x74767da0, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x50f33e1b, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x5bda2ecf, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x23db6782, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xb61e4495, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x1c5b35c6, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xbb752965, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x5867c590, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x1e1ef646, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0xdc19d181, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xcf4c3286, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xd11131d9, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x0aa53a20, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x06e2fee3, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x35e2c9c3, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0xf9dd5d36, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x41fea677, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x65c7b8fc, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x51043fe8, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x041eac2a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4229da7, "mdiobus_write" },
	{ 0x2c204198, "mdiobus_read" },
	{ 0xa12acb7e, "phy_write_mmd" },
	{ 0x1b7ce4e3, "phy_modify" },
	{ 0xe03702b1, "phy_trigger_machine" },
	{ 0x44a672c8, "phy_error" },
	{ 0x70ef753b, "phy_modify_changed" },
	{ 0xfe277f28, "genphy_update_link" },
	{ 0xc50bf5f5, "genphy_read_lpa" },
	{ 0x583a3a5f, "phy_resolve_aneg_pause" },
	{ 0xf02e1a11, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0xb0ae4e8, "phy_read_mmd" },
	{ 0x3bf234c6, "ethnl_cable_test_result" },
	{ 0x174c3cf5, "ethnl_cable_test_fault_length" },
	{ 0xb0f2f65c, "phy_modify_mmd" },
	{ 0xf4799797, "genphy_soft_reset" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "7713A75A3D1ED6CE6391A77");
