#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x547e1241, "");
SYMBOL_CRC(ath11k_core_resume, 0x2317543e, "");
SYMBOL_CRC(ath11k_core_pre_init, 0x586048df, "");
SYMBOL_CRC(ath11k_core_init, 0x9184dd15, "");
SYMBOL_CRC(ath11k_core_deinit, 0x00c771c6, "");
SYMBOL_CRC(ath11k_core_free, 0x1c1b604e, "");
SYMBOL_CRC(ath11k_core_alloc, 0x88451183, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x4befd58e, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0x5a0968d6, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x86b0b402, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x50568c02, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x8c24f918, "");
SYMBOL_CRC(ath11k_info, 0xeb10a2a3, "");
SYMBOL_CRC(ath11k_err, 0xf8021a79, "");
SYMBOL_CRC(ath11k_warn, 0x1fa7ca9d, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x34a4cc7d, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x51a94a7c, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0xbc4e1f2e, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0x45777ea2, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x5f42e0bd, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x29c602d2, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x28c573df, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x25d4704a, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x76f30ef5, "");
SYMBOL_CRC(ath11k_pcic_read32, 0xabe69eef, "");
SYMBOL_CRC(ath11k_pcic_read, 0xe366619f, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0xa2191a6a, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x5573eb70, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x4feb6d77, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0xf3c6be98, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0xb5e4ad7f, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x0ddb0a3b, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0x54279751, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x32f05913, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0xf51b8b34, "");
SYMBOL_CRC(ath11k_pcic_stop, 0xfdf66eb6, "");
SYMBOL_CRC(ath11k_pcic_start, 0x4dce7277, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xf4053763, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x38440c7c, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0x0cca05e1, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x2f9991a0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xbc35bfa1, "ieee80211_wake_queues" },
	{ 0x8f386f18, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xaed5d083, "qmi_txn_init" },
	{ 0xf043ab88, "ieee80211_report_low_ack" },
	{ 0x74df462, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0xa43a75d4, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x42dd282b, "ieee80211_free_txskb" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe6d0e0e4, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3cc6645d, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x261fb45a, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xd5448069, "_dev_warn" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x12a5e214, "ieee80211_beacon_free_ema_list" },
	{ 0x4c7276af, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x23177f86, "ieee80211_ready_on_channel" },
	{ 0x79eae919, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2fb4ad8d, "skb_trim" },
	{ 0x30a4fef9, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35cbbdd4, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2ece5717, "ieee80211_vif_to_wdev" },
	{ 0x51fb4548, "alloc_netdev_dummy" },
	{ 0xb38c8596, "dma_free_attrs" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x24ce5bb8, "ieee80211_scan_completed" },
	{ 0x1bd12219, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xf541e52b, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcda9cacd, "param_ops_bool" },
	{ 0x57521b3e, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xe828ffb8, "ieee80211_color_change_finish" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x97ec73dd, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x788e95b5, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x72b6e1d4, "ieee80211_queue_work" },
	{ 0x3648d2c0, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x9240d3de, "napi_disable" },
	{ 0xf7aca556, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xab0741f5, "regulatory_set_wiphy_regd" },
	{ 0x86ced9ce, "cfg80211_chandef_dfs_cac_time" },
	{ 0xb4949a01, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfa6703f3, "ieee80211_beacon_get_template_ema_list" },
	{ 0x499dd071, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x13c3773e, "__cfg80211_get_bss" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x3e2de027, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1045131, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc143a28c, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xde44d5f2, "ieee80211_gtk_rekey_notify" },
	{ 0xa59a1ed1, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xef1382fb, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa9b4f3c4, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb9db2ced, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe8a6525a, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5d919ba5, "firmware_request_nowarn" },
	{ 0x64b02b47, "qmi_handle_init" },
	{ 0xd347f61b, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xede9ed9d, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x85cfac8, "device_get_mac_address" },
	{ 0x937d98d1, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5d60e89e, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3d9f99eb, "ieee80211_free_hw" },
	{ 0x46b088c9, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xff92c183, "ieee80211_iterate_stations_atomic" },
	{ 0x124e7719, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xe5f857f3, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x30ab8cab, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2dc8c1, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xc4ff3322, "pcpu_hot" },
	{ 0x37114f30, "thermal_cooling_device_register" },
	{ 0x6d0363f4, "ieee80211_register_hw" },
	{ 0x7e481b39, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x20261d03, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd73e718, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x74a44690, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa2e258c9, "pskb_expand_head" },
	{ 0x61cf4a5a, "dev_driver_string" },
	{ 0xc52042b9, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0x29ee3299, "dma_map_page_attrs" },
	{ 0x58d4e54d, "qmi_send_request" },
	{ 0xe87584ea, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x1ba4d836, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9893f61a, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x2087f4b3, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x3d564f94, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x5dddccb, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc98b7431, "qmi_txn_wait" },
	{ 0xc80d80a1, "_dev_info" },
	{ 0xedc41376, "skb_queue_tail" },
	{ 0x47152b6d, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5b03d4be, "sysfs_create_link" },
	{ 0xbdb07e87, "ieee80211_obss_color_collision_notify" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x1992e9b3, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x812d5fc4, "__skb_get_hash_net" },
	{ 0xb6d28c48, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x315fe6f4, "ieee80211_queue_delayed_work" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x7b21c3c2, "crypto_shash_setkey" },
	{ 0x7e691f06, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc572f223, "qmi_txn_cancel" },
	{ 0x117527e3, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x74808162, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x90f42c57, "ieee80211_find_sta_by_ifaddr" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf8c5b646, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3c0bd174, "skb_push" },
	{ 0x9c0f952, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xafb1e9b4, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x87634664, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "89A5A48765F328B695DC1FB");
