#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92132179, "mwifiex_shutdown_sw" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x64bf9487, "mwifiex_add_card" },
	{ 0x7a8e9e9d, "__sdio_register_driver" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xcd4945ad, "_mwifiex_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2fb4ad8d, "skb_trim" },
	{ 0x9312e2fd, "sdio_get_host_pm_caps" },
	{ 0x464af81f, "mwifiex_prepare_fw_dump_info" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x357ab9ff, "mwifiex_main_process" },
	{ 0x999e8297, "vfree" },
	{ 0x73d4af36, "mwifiex_process_sleep_confirm_resp" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb14615df, "mwifiex_disable_auto_ds" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x88f71be7, "mmc_hw_reset" },
	{ 0x6e333a57, "sdio_claim_irq" },
	{ 0x69960243, "sdio_enable_func" },
	{ 0x31a1d621, "sdio_writesb" },
	{ 0x19870775, "mwifiex_cancel_hs" },
	{ 0x754d539c, "strlen" },
	{ 0xf7aca556, "dev_kfree_skb_any_reason" },
	{ 0xf9a482f9, "msleep" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9d31bbde, "sdio_readb" },
	{ 0xd49d7d0f, "sdio_writeb" },
	{ 0x537d3630, "sdio_release_host" },
	{ 0x99316d44, "sdio_disable_func" },
	{ 0x3e4a6cea, "sdio_set_block_size" },
	{ 0x95f413e4, "mwifiex_init_shutdown_fw" },
	{ 0xf1c313c4, "devm_kmalloc" },
	{ 0xe8a6525a, "skb_put" },
	{ 0x73d38603, "mwifiex_drv_info_dump" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x54eca9bb, "sdio_claim_host" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x924d9ea5, "mwifiex_upload_device_dump" },
	{ 0x2f04a142, "mwifiex_enable_hs" },
	{ 0x8bb81c53, "mwifiex_remove_card" },
	{ 0x4dbd2eaf, "mwifiex_deauthenticate_all" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x26e6b4c1, "mwifiex_handle_rx_packet" },
	{ 0x34a798ae, "mwifiex_reinit_sw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe3014031, "sdio_f0_readb" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x55567816, "sdio_release_irq" },
	{ 0xedc41376, "skb_queue_tail" },
	{ 0xb8b63d99, "mwifiex_dnld_fw" },
	{ 0xf2171cd4, "sdio_set_host_pm_flags" },
	{ 0x3c38e93, "sdio_unregister_driver" },
	{ 0xdff8594b, "sdio_readsb" },
	{ 0xd4dad9f3, "mwifiex_alloc_dma_align_buf" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x7e691f06, "skb_pull" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "mwifiex,mmc_core");

MODULE_ALIAS("sdio:c*v02DFd9116*");
MODULE_ALIAS("sdio:c*v02DFd9119*");
MODULE_ALIAS("sdio:c*v02DFd9129*");
MODULE_ALIAS("sdio:c*v02DFd912D*");
MODULE_ALIAS("sdio:c*v02DFd9135*");
MODULE_ALIAS("sdio:c*v02DFd9139*");
MODULE_ALIAS("sdio:c*v02DFd9145*");
MODULE_ALIAS("sdio:c*v02DFd9159*");
MODULE_ALIAS("sdio:c*v02DFd9149*");
MODULE_ALIAS("sdio:c*v02DFd9141*");

MODULE_INFO(srcversion, "EFAD2FF59DFC744DB82A5E9");
