#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(s3fwrn5_probe, "", "");
KSYMTAB_FUNC(s3fwrn5_remove, "", "");
KSYMTAB_FUNC(s3fwrn5_recv_frame, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_set_wake, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_power_ctrl, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_set_mode, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_get_mode, "", "");

SYMBOL_CRC(s3fwrn5_probe, 0xa4a6d187, "");
SYMBOL_CRC(s3fwrn5_remove, 0xb8af4544, "");
SYMBOL_CRC(s3fwrn5_recv_frame, 0x6b2b5f0c, "");
SYMBOL_CRC(s3fwrn5_phy_set_wake, 0x774203fc, "");
SYMBOL_CRC(s3fwrn5_phy_power_ctrl, 0x832abfe4, "");
SYMBOL_CRC(s3fwrn5_phy_set_mode, 0xedb12f10, "");
SYMBOL_CRC(s3fwrn5_phy_get_mode, 0xf2ab60da, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53cf4e34, "crypto_shash_tfm_digest" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdf6446eb, "request_firmware" },
	{ 0x6b981b92, "gpiod_set_raw_value" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc52042b9, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x32a2882, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc80d80a1, "_dev_info" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x74808162, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3f0185, "nci_core_reset" },
	{ 0x5ef05168, "nci_prop_cmd" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4f9f41e0, "nci_unregister_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x60fd0528, "nci_core_init" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6d291993, "gpio_to_desc" },
	{ 0x121f6efa, "nci_recv_frame" },
	{ 0x754d539c, "strlen" },
	{ 0xb4949a01, "crypto_alloc_shash" },
	{ 0x8bd0d243, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x658716b0, "nci_free_device" },
	{ 0xfdf2b030, "nci_allocate_device" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x22938f9f, "nci_register_device" },
	{ 0xf1c313c4, "devm_kmalloc" },
	{ 0xe8a6525a, "skb_put" },
	{ 0xd347f61b, "consume_skb" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "nci");


MODULE_INFO(srcversion, "17D4D3F7D2E69284C999E53");
