#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rpmsg_class, "", "");
KSYMTAB_FUNC(rpmsg_create_channel, "", "");
KSYMTAB_FUNC(rpmsg_release_channel, "", "");
KSYMTAB_FUNC(rpmsg_create_ept, "", "");
KSYMTAB_FUNC(rpmsg_destroy_ept, "", "");
KSYMTAB_FUNC(rpmsg_send, "", "");
KSYMTAB_FUNC(rpmsg_sendto, "", "");
KSYMTAB_FUNC(rpmsg_send_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_trysend, "", "");
KSYMTAB_FUNC(rpmsg_trysendto, "", "");
KSYMTAB_FUNC(rpmsg_poll, "", "");
KSYMTAB_FUNC(rpmsg_trysend_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_set_flow_control, "_gpl", "");
KSYMTAB_FUNC(rpmsg_get_mtu, "", "");
KSYMTAB_FUNC(rpmsg_find_device, "", "");
KSYMTAB_FUNC(rpmsg_register_device_override, "", "");
KSYMTAB_FUNC(rpmsg_register_device, "", "");
KSYMTAB_FUNC(rpmsg_unregister_device, "", "");
KSYMTAB_FUNC(__register_rpmsg_driver, "", "");
KSYMTAB_FUNC(unregister_rpmsg_driver, "", "");

SYMBOL_CRC(rpmsg_class, 0x9c114a14, "");
SYMBOL_CRC(rpmsg_create_channel, 0x41a11dac, "");
SYMBOL_CRC(rpmsg_release_channel, 0x49dc8a61, "");
SYMBOL_CRC(rpmsg_create_ept, 0xd6e36ea0, "");
SYMBOL_CRC(rpmsg_destroy_ept, 0xb9998ee2, "");
SYMBOL_CRC(rpmsg_send, 0x2766d8be, "");
SYMBOL_CRC(rpmsg_sendto, 0x9d576284, "");
SYMBOL_CRC(rpmsg_send_offchannel, 0x04f5c2d0, "");
SYMBOL_CRC(rpmsg_trysend, 0x6b809f4b, "");
SYMBOL_CRC(rpmsg_trysendto, 0xf66e7e8a, "");
SYMBOL_CRC(rpmsg_poll, 0x856dec4e, "");
SYMBOL_CRC(rpmsg_trysend_offchannel, 0x7ced5825, "");
SYMBOL_CRC(rpmsg_set_flow_control, 0x8f690258, "_gpl");
SYMBOL_CRC(rpmsg_get_mtu, 0x8ca2f8bc, "");
SYMBOL_CRC(rpmsg_find_device, 0x78e40bce, "");
SYMBOL_CRC(rpmsg_register_device_override, 0xd36adf6a, "");
SYMBOL_CRC(rpmsg_register_device, 0x1bfddbce, "");
SYMBOL_CRC(rpmsg_unregister_device, 0xb802dd47, "");
SYMBOL_CRC(__register_rpmsg_driver, 0xa59dffcd, "");
SYMBOL_CRC(unregister_rpmsg_driver, 0x867c3ae1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0xba149e54, "device_find_child" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a921311, "strncmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x754d539c, "strlen" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf9b1b70, "dev_set_name" },
	{ 0x9b21d1bc, "device_initialize" },
	{ 0x389512da, "driver_set_override" },
	{ 0xca869793, "device_add" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf7ca517, "put_device" },
	{ 0x9f5c1dbd, "device_unregister" },
	{ 0xa58c4441, "driver_register" },
	{ 0x7bdfde3, "driver_unregister" },
	{ 0xa7a68020, "class_register" },
	{ 0x92997ed8, "_printk" },
	{ 0x96f5f901, "bus_register" },
	{ 0xd995ffac, "class_destroy" },
	{ 0x66f92d27, "bus_unregister" },
	{ 0x497591f, "dev_pm_domain_attach" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6eff7ade, "dev_pm_domain_detach" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6B950788EA1B7C82C3DBF18");
