#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda1a4b5c, "module_put" },
	{ 0x18454f8c, "cxgb4_remove_tid" },
	{ 0x7159329, "cxgbi_sock_fail_act_open" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x37a0cba, "kfree" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x666dda4b, "cxgbi_sock_free_cpl_skbs" },
	{ 0x636c9a22, "cxgbi_sock_purge_wr_queue" },
	{ 0x2025bd5a, "cxgb4_l2t_release" },
	{ 0xf95bef72, "cxgb4_clip_release" },
	{ 0xca77bcac, "cxgb4_free_atid" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1bd944b0, "cxgbi_sock_closed" },
	{ 0xe2e5d23f, "___pskb_trim" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xebc02ce9, "cxgbi_sock_established" },
	{ 0xd85ca07b, "cxgbi_conn_tx_open" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x711d6f5b, "cxgb4_pktgl_to_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x62fbb070, "cxgbi_sock_act_open_req_arp_failure" },
	{ 0xdd353c63, "cxgb4_alloc_atid" },
	{ 0x57af9d56, "cxgb4_l2t_get" },
	{ 0xd69a0294, "cxgb4_best_mtu" },
	{ 0x1233d349, "cxgb4_port_chan" },
	{ 0x2113518a, "cxgb4_port_idx" },
	{ 0xcd6b4021, "try_module_get" },
	{ 0x500a3c1, "__neigh_event_send" },
	{ 0x14019cfd, "neigh_destroy" },
	{ 0xbea5fa0, "ip6_mtu" },
	{ 0x8fac1a08, "cxgb4_clip_get" },
	{ 0x4e02270a, "dcb_ieee_getapp_mask" },
	{ 0x481e392a, "dcb_getapp" },
	{ 0xbd7308ab, "ipv4_mtu" },
	{ 0xa2f9a19c, "cxgbi_conn_pdu_ready" },
	{ 0xdf0c176c, "cxgbi_create_session" },
	{ 0xb2d0b688, "cxgbi_destroy_session" },
	{ 0x2b1e7e6c, "cxgbi_create_conn" },
	{ 0xf22a63db, "iscsi_conn_unbind" },
	{ 0xdf02c2da, "cxgbi_bind_conn" },
	{ 0x8733cfd, "iscsi_conn_start" },
	{ 0xe31a02b, "iscsi_conn_stop" },
	{ 0x61e3e857, "iscsi_tcp_conn_teardown" },
	{ 0x884ce39b, "cxgbi_set_conn_param" },
	{ 0x98e63f83, "cxgbi_get_ep_param" },
	{ 0x76731ae8, "iscsi_conn_get_param" },
	{ 0x4993d39a, "iscsi_session_get_param" },
	{ 0x58e9cfde, "cxgbi_get_host_param" },
	{ 0xd8ad4e41, "cxgbi_set_host_param" },
	{ 0xad9ef4ec, "iscsi_conn_send_pdu" },
	{ 0x8bd27bfc, "cxgbi_get_conn_stats" },
	{ 0x5c41b103, "iscsi_tcp_task_init" },
	{ 0x6c0d2f8b, "iscsi_tcp_task_xmit" },
	{ 0xb3924b42, "cxgbi_cleanup_task" },
	{ 0x9dee17d2, "cxgbi_conn_alloc_pdu" },
	{ 0xd6e34943, "cxgbi_conn_xmit_pdu" },
	{ 0xb6ceba2f, "cxgbi_conn_init_pdu" },
	{ 0x387da626, "cxgbi_parse_pdu_itt" },
	{ 0xdbcca6a, "iscsi_session_recovery_timedout" },
	{ 0xea36bd67, "cxgbi_ep_connect" },
	{ 0x48493f61, "cxgbi_ep_poll" },
	{ 0xeee80401, "cxgbi_ep_disconnect" },
	{ 0xef346615, "cxgbi_attr_is_visible" },
	{ 0x778879, "iscsi_queuecommand" },
	{ 0x28f14a4f, "iscsi_eh_abort" },
	{ 0x17879608, "iscsi_eh_device_reset" },
	{ 0xf6009152, "iscsi_eh_recover_target" },
	{ 0x4b973d04, "iscsi_target_alloc" },
	{ 0xf481d481, "scsi_change_queue_depth" },
	{ 0xef982d85, "iscsi_eh_cmd_timed_out" },
	{ 0x2dc12841, "param_ops_ushort" },
	{ 0xb9db2ced, "param_ops_uint" },
	{ 0x713905e4, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x56613d6e, "cxgbi_iscsi_init" },
	{ 0xec34651c, "cxgb4_register_uld" },
	{ 0x93b3fc74, "register_dcbevent_notifier" },
	{ 0xb748ff97, "cxgbi_device_unregister" },
	{ 0x46e13bb7, "cxgbi_sock_rcv_wr_ack" },
	{ 0x7a56f011, "__kfree_skb" },
	{ 0xb8028e49, "cxgb4_ofld_send" },
	{ 0x74808162, "sk_skb_reason_drop" },
	{ 0xa6257a2f, "complete" },
	{ 0xd072ce88, "cxgbi_sock_rcv_close_conn_rpl" },
	{ 0xc9c368cf, "cxgbi_sock_rcv_abort_rpl" },
	{ 0x79f34f96, "cxgbi_sock_rcv_peer_close" },
	{ 0x3d74caf5, "cxgb4_select_ntuple" },
	{ 0x30ea461e, "cxgb4_l2t_send" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x268366ff, "cxgbi_device_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66ac2bd4, "cxgbi_ddp_ppm_setup" },
	{ 0x8a4df261, "cxgbi_device_portmap_create" },
	{ 0xe459ab88, "cxgbi_hbas_add" },
	{ 0x9b33e0d7, "unregister_dcbevent_notifier" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0x7fdb6004, "cxgbi_device_unregister_all" },
	{ 0xdab6df1c, "cxgbi_iscsi_cleanup" },
	{ 0x2430099, "init_net" },
	{ 0x2123af93, "dev_get_by_index" },
	{ 0x9d1f3a4e, "cxgbi_device_find_by_netdev_rcu" },
	{ 0x9e0063d3, "iscsi_conn_failure" },
	{ 0x32a2882, "__alloc_skb" },
	{ 0x8319f739, "cxgbi_ddp_set_one_ppod" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a58603f, "cxgbi_sock_skb_entail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "cxgb4,libcxgbi,libiscsi,libiscsi_tcp,scsi_mod");


MODULE_INFO(srcversion, "4E0025AE3FC5F365D2C0C5C");
