#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x73a92774, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0xe522b3ce, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0xae261d33, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xc5590f35, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x5a890ac5, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0xbfecaedb, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x0fc2e5b0, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0xfe2693ec, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x07186870, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x3e0218a1, "");
SYMBOL_CRC(fcoe_link_speed_update, 0xfc3b39e2, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x3df64b6d, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x9d0c1c9f, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0xadb27ab7, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x7b16aa6c, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x543925fb, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x1bc9419b, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x18fce7c6, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0xa263e0fb, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x91256c1a, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x72621ea3, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0xae84fbad, "");
SYMBOL_CRC(fcoe_transport_detach, 0x15128d2e, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x9b3f2279, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0xb3516aec, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x06c97397, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x6e6deb26, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3c0bd174, "skb_push" },
	{ 0x3bfa8be2, "fc_lport_set_local_id" },
	{ 0x36e4c7d9, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdce64b6d, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf1119fdb, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x519aab2, "device_register" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x40940d92, "fc_vport_id_lookup" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x766f437c, "fc_elsct_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb510932, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x848efc44, "__pskb_pull_tail" },
	{ 0x204c632, "fc_fcp_init" },
	{ 0x4c7276af, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2fb4ad8d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc1c868ef, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6d2065e3, "__folio_put" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe69e4b, "dev_get_by_name" },
	{ 0x513c2b5d, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8b2e3fe4, "fc_seq_els_rsp_send" },
	{ 0x1e5b80ed, "alloc_pages_noprof" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x713905e4, "param_ops_int" },
	{ 0x45b08088, "fc_rport_create" },
	{ 0x56006973, "_dev_printk" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0xe18c93ad, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x96f5f901, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8674f512, "fc_linkup" },
	{ 0x302f3fbe, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xea540569, "dev_get_stats" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb9db2ced, "param_ops_uint" },
	{ 0xe8a6525a, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xaf9b1b70, "dev_set_name" },
	{ 0xd347f61b, "consume_skb" },
	{ 0x55330fb4, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9f5c1dbd, "device_unregister" },
	{ 0x5d60e89e, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0x323ad6a1, "fc_rport_logoff" },
	{ 0xc4ff3322, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd36e9d5a, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4422e397, "fc_rport_login" },
	{ 0x447de538, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xc4f04961, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbf7ca517, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x9aab9391, "const_pcpu_hot" },
	{ 0xedc41376, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5298d50b, "fc_lport_reset" },
	{ 0x66f92d27, "bus_unregister" },
	{ 0x2430099, "init_net" },
	{ 0x7e691f06, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x74808162, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "59CB1CA3943A63B83782239");
