#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0xde130337, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x20045eba, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x4a34a664, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x89a815b8, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xb4daad81, "");
SYMBOL_CRC(sdw_show_ping_status, 0x2e4d2df7, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x1c949f5d, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0xeb1b34b6, "");
SYMBOL_CRC(sdw_write_no_pm, 0x145d3c32, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x7877b60d, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x3362237c, "");
SYMBOL_CRC(sdw_read_no_pm, 0x8bcb5b60, "");
SYMBOL_CRC(sdw_update_no_pm, 0x21c28fea, "");
SYMBOL_CRC(sdw_update, 0xc71f9d78, "");
SYMBOL_CRC(sdw_nread, 0xc1fee0d9, "");
SYMBOL_CRC(sdw_nwrite, 0x1ec98775, "");
SYMBOL_CRC(sdw_read, 0x16a0cf38, "");
SYMBOL_CRC(sdw_write, 0xffc55e2a, "");
SYMBOL_CRC(sdw_compare_devid, 0x0c2702ca, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xb13e0491, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xa78270c2, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x08f84f3e, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x4c8c2243, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x44e401fa, "");
SYMBOL_CRC(sdw_clear_slave_status, 0xec37a2a5, "");
SYMBOL_CRC(sdw_slave_add, 0x96bd1afc, "");
SYMBOL_CRC(sdw_master_read_prop, 0xd5eff252, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x0d626654, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0x73523b86, "");
SYMBOL_CRC(sdw_stream_remove_master, 0xeaf0fd8f, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x5e36758d, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0xc03151a4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd8bb7e6d, "devm_kasprintf" },
	{ 0xe30c008a, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xda8b3c2b, "fwnode_property_present" },
	{ 0x87eb4e80, "debugfs_create_file" },
	{ 0xecefe218, "irq_domain_instantiate" },
	{ 0x24ea0ae1, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf009066b, "device_get_named_child_node" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0xc3a65434, "seq_printf" },
	{ 0x240c8111, "irq_create_mapping_affinity" },
	{ 0x8f41954, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x298edd32, "acpi_dev_for_each_child" },
	{ 0x334ebd6c, "__pm_runtime_suspend" },
	{ 0xf9129e18, "irq_set_chip" },
	{ 0x3f1df6e4, "__pm_runtime_use_autosuspend" },
	{ 0xb02e60e6, "single_open" },
	{ 0x9f3733b, "__pm_runtime_disable" },
	{ 0x10a9186a, "debugfs_create_dir" },
	{ 0xa58c4441, "driver_register" },
	{ 0xd18a39fc, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x96f5f901, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9cdfc49b, "debugfs_create_str" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa362a65, "device_property_present" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf58238d6, "is_acpi_device_node" },
	{ 0xb3a7799, "simple_attr_open" },
	{ 0x594ea426, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf1c313c4, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf9b1b70, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9f5c1dbd, "device_unregister" },
	{ 0x69451257, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x369335c1, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xdf6446eb, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xa4a7d15c, "seq_lseek" },
	{ 0x497591f, "dev_pm_domain_attach" },
	{ 0x6fcd6f3d, "devm_device_add_group" },
	{ 0xacedb249, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeda6c69d, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xec008876, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbf7ca517, "put_device" },
	{ 0xf55d6420, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x3528d17e, "device_property_read_u32_array" },
	{ 0x1ef6eb14, "fwnode_property_read_u32_array" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x6eff7ade, "dev_pm_domain_detach" },
	{ 0xba7e26c3, "pm_generic_runtime_suspend" },
	{ 0x33df9eb9, "debugfs_attr_read" },
	{ 0x66f92d27, "bus_unregister" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0xc5af45fe, "simple_attr_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5d3f64e1, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x7bdfde3, "driver_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x519aab2, "device_register" },
	{ 0x6f48727e, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xd5448069, "_dev_warn" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3145F82C43934FB645317B0");
