#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54ea6dfe, "xen_start_flags" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xedb309a2, "xen_find_device_domain_owner" },
	{ 0x731a562, "pci_read_config_word" },
	{ 0x943059be, "xen_register_device_domain_owner" },
	{ 0xea5cbce, "xen_irq_lateeoi" },
	{ 0x59e9001a, "xenbus_unregister_driver" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xebc2cb21, "bind_interdomain_evtchn_to_irqhandler_lateeoi" },
	{ 0x3c4e22ea, "__xenbus_register_backend" },
	{ 0x8589234f, "pci_store_saved_state" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf174f768, "pci_restore_state" },
	{ 0xd5448069, "_dev_warn" },
	{ 0x89f32807, "pci_set_master" },
	{ 0x39d4732a, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2d6cb561, "xenbus_watch_path" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xee72c709, "xenbus_unmap_ring_vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0xcda9cacd, "param_ops_bool" },
	{ 0x386f6052, "pci_write_config_byte" },
	{ 0xa7e8558a, "pci_dev_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x34884ea1, "pci_load_and_free_saved_state" },
	{ 0x78e2c60b, "pci_disable_msix" },
	{ 0xd973ec74, "pci_disable_device" },
	{ 0x6c134c15, "xenbus_dev_is_online" },
	{ 0x870e16b7, "xen_test_irq_shared" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x9d1e9fe2, "pci_read_config_byte" },
	{ 0xbcbd48e3, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x56006973, "_dev_printk" },
	{ 0x48f6babd, "pci_write_config_word" },
	{ 0xaa71f87d, "xenbus_map_ring_valloc" },
	{ 0x5cab9945, "unregister_xenbus_watch" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadb5a271, "pci_write_config_dword" },
	{ 0xb59c630d, "pci_bus_type" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x45d14bdf, "hypercall_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0x400e018e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x1cb9a1c8, "xenbus_gather" },
	{ 0xa7c12aa8, "bus_unregister_notifier" },
	{ 0x3a5e3255, "pci_enable_device" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc5d466b6, "driver_remove_file" },
	{ 0xb4665456, "pci_dev_put" },
	{ 0x9f5c1dbd, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4a900789, "xenbus_dev_fatal" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0x96848186, "scnprintf" },
	{ 0x72da659e, "__pci_register_driver" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x36f0c45b, "pci_disable_msi" },
	{ 0x37a0cba, "kfree" },
	{ 0xcde02c15, "pci_clear_mwi" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xfa70e1cb, "pci_set_power_state" },
	{ 0xb86e2d41, "xenbus_switch_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0x706ed630, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce8a7db7, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc81c3421, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x97e97fa9, "pci_enable_msix_range" },
	{ 0x4c7f89ce, "driver_create_file" },
	{ 0x6f194951, "xen_unregister_device_domain_owner" },
	{ 0x8b1171e2, "bus_register_notifier" },
	{ 0xc80d80a1, "_dev_info" },
	{ 0xd72feba2, "xenbus_read_driver_state" },
	{ 0x3835080c, "pci_set_mwi" },
	{ 0x302eb55e, "pci_find_capability" },
	{ 0xa452f2a4, "xen_pirq_from_irq" },
	{ 0xcb8b5028, "pci_clear_master" },
	{ 0x49b52f92, "__pci_reset_function_locked" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe1e5471a, "pci_enable_msi" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xaa1748ee, "pci_load_saved_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8C734A2AB2F3061B16342CE");
