#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0x7e9895ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa1ceeea0, "nfs_setattr_update_inode" },
	{ 0xc6234641, "nfs_sops" },
	{ 0x10475a3c, "init_user_ns" },
	{ 0x6a6bc629, "rpc_restart_call" },
	{ 0x360622de, "nfs_link" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0xacb9ba0a, "dput" },
	{ 0xaeb99325, "put_nfs_open_context" },
	{ 0x98ce197e, "nfs_permission" },
	{ 0x1e5b80ed, "alloc_pages_noprof" },
	{ 0x55a32b71, "nfs_add_or_obtain" },
	{ 0x64036a7d, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0xe46fffeb, "nfs_free_client" },
	{ 0xfb86009b, "nfs_close_context" },
	{ 0xc73595ce, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0xcdfca7f, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x248a3e8b, "nfs_symlink" },
	{ 0xcb3878c, "nfs_unlink" },
	{ 0x73bb9863, "forget_cached_acl" },
	{ 0x93a80f99, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0xfb8169ee, "nlmclnt_proc" },
	{ 0xcf784da9, "nfs_writeback_update_inode" },
	{ 0xb0da1261, "nfs_alloc_client" },
	{ 0xb1a4f3b6, "nfs_dentry_operations" },
	{ 0xb7cc27eb, "xdr_write_pages" },
	{ 0xce1f6aa4, "nfs_access_zap_cache" },
	{ 0x1ae2cafa, "nfs_wb_all" },
	{ 0xe498255f, "xdr_inline_decode" },
	{ 0x653f52c2, "forget_all_cached_acls" },
	{ 0x67672cc5, "nfs_submount" },
	{ 0x65b42757, "__tracepoint_nfs_xdr_status" },
	{ 0xc3b6ba4a, "nfs_mknod" },
	{ 0xed9ea705, "nfs_create_server" },
	{ 0x4acf5ca1, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0x7fe7fc27, "nfs_post_op_update_inode" },
	{ 0xc4ff3322, "pcpu_hot" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xfd3991a3, "xdr_read_pages" },
	{ 0xa7618682, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x77a83a9, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x379a796, "nfs_mkdir" },
	{ 0xbaadf2ed, "nfs_revalidate_inode" },
	{ 0xc700a2b0, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x57869e69, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb4d2e322, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x9aab9391, "const_pcpu_hot" },
	{ 0xe8ff02c4, "nfs_get_client" },
	{ 0xcfdc9e9, "__free_pages" },
	{ 0xfd9c612b, "nfs_file_operations" },
	{ 0x60a7d837, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xaa5270c4, "nfs_put_lock_context" },
	{ 0x398ef220, "nfs_rename" },
	{ 0x4befc33e, "nfs_lookup" },
	{ 0x894cf27d, "nfs_sysfs_link_rpc_client" },
	{ 0x91d0ab02, "nfsacl_encode" },
	{ 0x5cb9e6f4, "posix_acl_create" },
	{ 0xb55bbc48, "get_nfs_open_context" },
	{ 0x3e10c677, "__SCK__tp_func_nfs_xdr_status" },
	{ 0x7ca8ec26, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0xe308dcce, "nfs_getattr" },
	{ 0x36122422, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x69c3b452, "nfs_zap_acl_cache" },
	{ 0xa7fd46f5, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa0b2dd61, "rpc_bind_new_program" },
	{ 0x962243c0, "register_nfs_version" },
	{ 0x734f0258, "nfs_atomic_open_v23" },
	{ 0xf40b929, "rpc_call_start" },
	{ 0x9a02e926, "rpc_call_sync" },
	{ 0xa4763082, "rpc_prepare_reply_pages" },
	{ 0x4e58640a, "nfs_fs_type" },
	{ 0x689901e3, "nfs_setattr" },
	{ 0x2014b27, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x4abf8206, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xbef79ae3, "make_kgid" },
	{ 0xf95ef1d9, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x139f0c49, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc32a0513, "nfs_rmdir" },
	{ 0x2ff2bdaa, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3cda044d, "nfs_async_iocounter_wait" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "0E628C06DAFF661C697C5A5");
