#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0xb888dd50, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x9c0de04c, "");
SYMBOL_CRC(dccp_v4_send_check, 0xc5cb1217, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0xfa693c97, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x7c051dec, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x6300ad84, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0xc180cbb3, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x5fd6a64a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10b44d8e, "dccp_rcv_state_process" },
	{ 0x4c389f5c, "dccp_reqsk_send_ack" },
	{ 0x1ccc4713, "inet_lookup_reuseport" },
	{ 0x97c1a44d, "__inet_lookup_listener" },
	{ 0x1fd9ab7d, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xe5d7a322, "sock_common_getsockopt" },
	{ 0xac65cd33, "inet_bind" },
	{ 0x46371e7a, "__inet_inherit_port" },
	{ 0x94cfe2d2, "inet_dccp_listen" },
	{ 0xb87b4a3c, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e8ed804, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xc4ff3322, "pcpu_hot" },
	{ 0xa264b96, "__xfrm_policy_check" },
	{ 0xa010ffe6, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb6d184f5, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x96b0e687, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd09de52c, "sk_error_report" },
	{ 0x9b65c15, "register_pernet_subsys" },
	{ 0xef002ef7, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb264ec82, "inet_getname" },
	{ 0x7befba6f, "inet_stream_connect" },
	{ 0xd3e413b2, "proto_unregister" },
	{ 0xb89eb7a3, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9fa9f61a, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0x9ff8a5a1, "dccp_done" },
	{ 0x219cb5e5, "inet_release" },
	{ 0xd0098aa, "__sk_dst_check" },
	{ 0xadf581df, "dccp_disconnect" },
	{ 0x69f6e51d, "ip_route_output_key_hash" },
	{ 0x4529528b, "proto_register" },
	{ 0x15645791, "inet_hash" },
	{ 0xe98d57e0, "__sk_receive_skb" },
	{ 0xc771f7d9, "dccp_poll" },
	{ 0x23cd0d48, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0xfd346e55, "inet_csk_get_port" },
	{ 0x31a25c56, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x1caad3d8, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x84e91f82, "inet_accept" },
	{ 0x5ed87ccc, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbea5fa0, "ip6_mtu" },
	{ 0x74808162, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xdc498ea1, "inet_add_protocol" },
	{ 0x726c96a4, "inet_shutdown" },
	{ 0xa11ae0ed, "sk_free" },
	{ 0x91ea9671, "dccp_close" },
	{ 0x79d5a2ed, "dccp_reqsk_init" },
	{ 0xce6baa6, "inet_hash_connect" },
	{ 0xcb7d63a6, "kmem_cache_free" },
	{ 0x9c2a5846, "inet_csk_route_child_sock" },
	{ 0xf1594472, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x20b0c90d, "security_sk_classify_flow" },
	{ 0xc13ab588, "inet_csk_update_pmtu" },
	{ 0x784a9330, "dccp_getsockopt" },
	{ 0xb9bf737, "dccp_parse_options" },
	{ 0x54654f64, "unregister_pernet_subsys" },
	{ 0x3cf7953b, "skb_checksum" },
	{ 0x17604725, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd3fe5b63, "sock_no_mmap" },
	{ 0x848efc44, "__pskb_pull_tail" },
	{ 0x521db37c, "dccp_child_process" },
	{ 0x81cb3680, "sock_common_recvmsg" },
	{ 0xd3ba057a, "dccp_setsockopt" },
	{ 0x6b265806, "dccp_ioctl" },
	{ 0xa0c6a114, "inet_sk_rebuild_header" },
	{ 0xf5e4593c, "inet_del_protocol" },
	{ 0xbd7308ab, "ipv4_mtu" },
	{ 0x4698624c, "dccp_recvmsg" },
	{ 0x4905c218, "inet_sendmsg" },
	{ 0xe80adaf4, "dccp_check_req" },
	{ 0x7ca168de, "dccp_create_openreq_child" },
	{ 0xe98a6860, "inet_csk_prepare_forced_close" },
	{ 0x519b6011, "security_skb_classify_flow" },
	{ 0x128d2ab4, "sock_pfree" },
	{ 0xe9453216, "dccp_rcv_established" },
	{ 0x1ad8aaff, "dccp_send_sync" },
	{ 0xf37f594f, "dst_release" },
	{ 0xac6a3a07, "sock_release" },
	{ 0x676a7fe4, "dccp_make_response" },
	{ 0xc2bcb264, "dccp_destroy_sock" },
	{ 0xde1228e6, "dccp_ctl_make_reset" },
	{ 0x5f37700, "sock_gettstamp" },
	{ 0x8d73ca00, "sk_setup_caps" },
	{ 0x7b67afbc, "ip_build_and_send_pkt" },
	{ 0xb41b84af, "dccp_sendmsg" },
	{ 0x59bcc013, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0x720e40e4, "inet_twsk_put" },
	{ 0xc47984f3, "inet_unhash" },
	{ 0xb8cfa520, "ip_getsockopt" },
	{ 0xf43f496f, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4351b4f3, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x92eba394, "inet_csk_reqsk_queue_drop" },
	{ 0xd9610f1a, "__inet_lookup_established" },
	{ 0x9b48a955, "inet_bhash2_reset_saddr" },
	{ 0x6756520b, "inet_csk_addr2sockaddr" },
	{ 0x2fd8a884, "inet_unregister_protosw" },
	{ 0x18cd2cd1, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x54009702, "dccp_shutdown" },
	{ 0x85c8ef56, "inet_bhash2_update_saddr" },
	{ 0x764dd8b4, "dccp_connect" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "67349EA39CB2AF9FCC07215");
