#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x44301abf, "");
SYMBOL_CRC(wpan_phy_for_each, 0xe435f7f1, "");
SYMBOL_CRC(wpan_phy_new, 0x841f9262, "");
SYMBOL_CRC(wpan_phy_register, 0xc66c16b0, "");
SYMBOL_CRC(wpan_phy_unregister, 0x126db173, "");
SYMBOL_CRC(wpan_phy_free, 0x76eb167e, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x05cc1249, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x4715f928, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x16737ff7, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xb625c040, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x6c8149b0, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x356b126a, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x939362e9, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x5b944fa8, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x8c4414c6, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0xc2feb550, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x843c5aae, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0x400bf17b, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0xfb0bedea, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0xea30ee0c, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0xf559eb32, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe4d86ce5, "nla_put" },
	{ 0x6a43ac0e, "trace_event_reg" },
	{ 0x33c4fed4, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc4674794, "unregister_pernet_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x60af3c64, "bpf_trace_run1" },
	{ 0xb9e28e31, "device_del" },
	{ 0x9e24bebc, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x848efc44, "__pskb_pull_tail" },
	{ 0x2fb4ad8d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb173e312, "bpf_trace_run3" },
	{ 0x3d343b4c, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x254f45ab, "get_net_ns_by_pid" },
	{ 0x67464ef5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x92e25383, "device_match_name" },
	{ 0xe69e4b, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4fa5d6bd, "genl_unregister_family" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7c15c6b8, "genl_register_family" },
	{ 0x7c91d6c5, "__dev_change_net_namespace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x99b454e5, "register_pernet_device" },
	{ 0x5793fde6, "get_net_ns_by_fd" },
	{ 0xa7a68020, "class_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x7fd327ff, "class_find_device" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xea67f8b7, "bpf_trace_run4" },
	{ 0xe8a6525a, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xaf9b1b70, "dev_set_name" },
	{ 0x2914da40, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5fd3914c, "trace_raw_output_prep" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xcffb40c, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7973a1b, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9b21d1bc, "device_initialize" },
	{ 0xf3305f55, "genlmsg_put" },
	{ 0x46ed2888, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4ff3322, "pcpu_hot" },
	{ 0xb993bf53, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x185b35ba, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4ce0afbe, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa20d19f1, "device_rename" },
	{ 0x71924fbd, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbf7ca517, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x32a2882, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x799b936b, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x965f733, "__dev_get_by_index" },
	{ 0x2aae84df, "perf_trace_run_bpf_submit" },
	{ 0x2430099, "init_net" },
	{ 0x7e691f06, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xca869793, "device_add" },
	{ 0x74808162, "sk_skb_reason_drop" },
	{ 0x42ecc735, "netlink_unicast" },
	{ 0x2123af93, "dev_get_by_index" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3c0bd174, "skb_push" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C5A5A248D67C6B2F1CD34F");
