#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_register_bpf, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x524e0740, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x130c9db6, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x50332d8e, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xda1edee2, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0xac99adf7, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xd3e8c917, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0xe8e30cfc, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x51c6252f, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x9dbb8d85, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0xb8ad4eb5, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xe9c15fb7, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x3b558978, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x6c9d8e94, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x86c63a07, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0xb0e148d0, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x8cd84a4a, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x1459f499, "_gpl");
SYMBOL_CRC(nf_flow_register_bpf, 0x098f9d9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x7e691f06, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2123af93, "dev_get_by_index" },
	{ 0xd146cd40, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb2eb7668, "flow_indr_dev_setup_offload" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x54654f64, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x848efc44, "__pskb_pull_tail" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x33059b8b, "register_btf_kfunc_id_set" },
	{ 0x668b19a1, "down_read" },
	{ 0x4361a7f9, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35cbbdd4, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xc1c868ef, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x14019cfd, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x48f8ade, "inet_proto_csum_replace4" },
	{ 0xd8bd24df, "seq_write" },
	{ 0xa9332a0e, "remove_proc_entry" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0x7b015c4a, "nf_ct_acct_add" },
	{ 0xc3a65434, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf37f594f, "dst_release" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x3ade6a78, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x6a111a53, "flow_rule_alloc" },
	{ 0x1e7f3e00, "ip6_dst_check" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x229269ab, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdf3be2bf, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4eaf75a2, "neigh_xmit" },
	{ 0xb052bf45, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x82967028, "ip6_output" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xc4ff3322, "pcpu_hot" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x9f65e047, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa2e258c9, "pskb_expand_head" },
	{ 0x9b65c15, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "D38EE1D1B2B6E6DB747EA0B");
