#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(acp_sof_quirk_table, "_gpl", "");
KSYMTAB_FUNC(amd_sof_acp_suspend, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_resume, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_probe, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_remove, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_get_bar_index, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_pre_fw_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_dsp_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_load_signed_firmware, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_send_msg, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_irq_thread, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_msg_data, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_set_stream_data_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_mailbox_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_window_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_hw_params, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_open, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_close, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_pointer, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_get, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_put, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_release, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_DATA(sof_acp_common_ops, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_register, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_unregister, "", "SND_SOC_SOF_AMD_COMMON");

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0x60c11bd1, "");
SYMBOL_CRC(amd_sof_acp_resume, 0x1aa20284, "");
SYMBOL_CRC(amd_sof_acp_probe, 0xa01d1a48, "");
SYMBOL_CRC(amd_sof_acp_remove, 0x341032d7, "");
SYMBOL_CRC(acp_dsp_block_read, 0x37e28982, "");
SYMBOL_CRC(acp_dsp_block_write, 0xa6fad978, "");
SYMBOL_CRC(acp_get_bar_index, 0x107a3188, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0x47a30a36, "");
SYMBOL_CRC(acp_sof_dsp_run, 0x0e723fdc, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0x76f01a28, "");
SYMBOL_CRC(acp_mailbox_write, 0x2dc17990, "");
SYMBOL_CRC(acp_mailbox_read, 0xb4c3b2d7, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0xec229763, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0x13ef4677, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0x38badfa2, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0xcc0b7516, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0x4a0c9bf7, "");
SYMBOL_CRC(acp_pcm_hw_params, 0x0b63e05a, "");
SYMBOL_CRC(acp_pcm_open, 0xc18d15a8, "");
SYMBOL_CRC(acp_pcm_close, 0xd7689c71, "");
SYMBOL_CRC(acp_pcm_pointer, 0x7d328960, "");
SYMBOL_CRC(acp_dsp_stream_get, 0xe9a21064, "");
SYMBOL_CRC(acp_dsp_stream_put, 0xf21b6dea, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x2e897972, "");
SYMBOL_CRC(acp_sof_trace_release, 0xf4f89299, "");
SYMBOL_CRC(acp_sof_trace_init, 0x9a63aa3e, "");
SYMBOL_CRC(sof_acp_common_ops, 0x97e1ffc7, "");
SYMBOL_CRC(acp_probes_register, 0x46b02197, "");
SYMBOL_CRC(acp_probes_unregister, 0x0ae83dcf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x124e7719, "devm_ioremap" },
	{ 0xbbc913c4, "sof_xtensa_arch_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa8f15f9, "snd_sgbuf_get_addr" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce8a7db7, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc94448b6, "amd_sdw_scan_controller" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4a2cab64, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x355cafe9, "sdw_amd_probe" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc80d80a1, "_dev_info" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd0d061e, "platform_device_unregister" },
	{ 0x9c0f952, "dma_alloc_attrs" },
	{ 0x4407305d, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x2525356b, "sof_print_oops_and_stack" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x2ce6021d, "snd_sof_dsp_update_bits" },
	{ 0x26b68f0d, "sdw_amd_get_slave_info" },
	{ 0xd5448069, "_dev_warn" },
	{ 0x89f32807, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1601f095, "sof_io_read" },
	{ 0xd8bb7e6d, "devm_kasprintf" },
	{ 0x1681661, "snd_sof_ipc_reply" },
	{ 0xfc569696, "platform_device_register_full" },
	{ 0xb38c8596, "dma_free_attrs" },
	{ 0xcda9cacd, "param_ops_bool" },
	{ 0x95e68082, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x804259a2, "snd_sof_dsp_panic" },
	{ 0x9de74a78, "sof_client_dev_unregister" },
	{ 0xb47d5f50, "snd_sof_load_firmware_memcpy" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadb5a271, "pci_write_config_dword" },
	{ 0xee5a86fb, "sof_io_write" },
	{ 0x79d25fc6, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4bce3346, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc82de83f, "sdw_amd_exit" },
	{ 0x7902487e, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xf58238d6, "is_acpi_device_node" },
	{ 0xf1c313c4, "devm_kmalloc" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb4665456, "pci_dev_put" },
	{ 0x1f3ac878, "pci_get_device" },
	{ 0xdf6446eb, "request_firmware" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-xtensa-dsp,snd-pcm,snd-amd-sdw-acpi,soundwire-amd,snd-sof,snd-soc-acpi");


MODULE_INFO(srcversion, "8F7185ABB17DA99E6903399");
