#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0x53949de4, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0x791cd756, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0x46e8d524, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0x0c997388, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0xce0c8fde, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0x3f987f8f, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0xe77c633f, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0x54974954, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0x37821a85, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0xdcb278e9, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0xc28bd51a, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0x3473f0cf, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0xb3f9c885, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0xfe6033d9, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0xc4da439b, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0xa6193292, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf1c313c4, "devm_kmalloc" },
	{ 0x2f7a73d5, "snd_hdac_bus_send_cmd" },
	{ 0xa384804b, "snd_hdac_bus_get_response" },
	{ 0x7e4a1c86, "snd_hdac_bus_update_rirb" },
	{ 0xea578cdd, "snd_hdac_codec_modalias" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0x739cf925, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbf7ca517, "put_device" },
	{ 0xaca4a297, "snd_hdac_device_register" },
	{ 0x3394b32a, "snd_hdac_i915_init" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0xf64c3da0, "snd_hdac_device_unregister" },
	{ 0x5dd8756, "device_attach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x46f15b09, "snd_hdac_bus_stop_cmd_io" },
	{ 0xd5448069, "_dev_warn" },
	{ 0x6e51a0cd, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x333b40b, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7005fdac, "snd_hdac_acomp_exit" },
	{ 0x24ea0ae1, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc76cccaf, "snd_hda_codec_device_init" },
	{ 0xd148bce7, "snd_hdac_set_codec_wakeup" },
	{ 0x713905e4, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "5F25B294FEF91B187659B1B");
