#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(btmrvl_interrupt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_check_evtpkt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_process_event, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_module_cfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_pscan_window_reporting, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_hscfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_ps, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_hs, "_gpl", "");
KSYMTAB_FUNC(btmrvl_register_hdev, "_gpl", "");
KSYMTAB_FUNC(btmrvl_add_card, "_gpl", "");
KSYMTAB_FUNC(btmrvl_remove_card, "_gpl", "");

SYMBOL_CRC(btmrvl_interrupt, 0x6990801e, "_gpl");
SYMBOL_CRC(btmrvl_check_evtpkt, 0xc62a3151, "_gpl");
SYMBOL_CRC(btmrvl_process_event, 0x9b9aa40f, "_gpl");
SYMBOL_CRC(btmrvl_send_module_cfg_cmd, 0xf6e341b0, "_gpl");
SYMBOL_CRC(btmrvl_pscan_window_reporting, 0xb7846a57, "_gpl");
SYMBOL_CRC(btmrvl_send_hscfg_cmd, 0x1cc97fd3, "_gpl");
SYMBOL_CRC(btmrvl_enable_ps, 0x9e583bf8, "_gpl");
SYMBOL_CRC(btmrvl_enable_hs, 0x89aa1a7b, "_gpl");
SYMBOL_CRC(btmrvl_register_hdev, 0x90e1b8d2, "_gpl");
SYMBOL_CRC(btmrvl_add_card, 0x2689fd17, "_gpl");
SYMBOL_CRC(btmrvl_remove_card, 0x1a7127af, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x326006e5, "wake_up_process" },
	{ 0x447de538, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x32a2882, "__alloc_skb" },
	{ 0x9aab9391, "const_pcpu_hot" },
	{ 0xedc41376, "skb_queue_tail" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6e5abb5, "simple_open" },
	{ 0x74808162, "sk_skb_reason_drop" },
	{ 0x3c0bd174, "skb_push" },
	{ 0x5d3f64e1, "debugfs_remove" },
	{ 0x9773fc40, "kthread_stop" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7885d66d, "default_llseek" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x2505bf18, "kstrtol_from_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x957d1c50, "debugfs_create_x16" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xfbef3b30, "kthread_create_on_node" },
	{ 0xa0c74b2, "hci_unregister_dev" },
	{ 0x87eb4e80, "debugfs_create_file" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x349f3a5d, "hci_register_dev" },
	{ 0x40e1917d, "__hci_cmd_sync" },
	{ 0x108d4192, "debugfs_create_u8" },
	{ 0x10a9186a, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x1c8d8884, "skb_queue_head" },
	{ 0xe8a6525a, "skb_put" },
	{ 0x9bffdbdf, "hci_free_dev" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5d60e89e, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x69c0ead9, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "4DAA8C2DB56C352B9807349");
