#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(b2c2_flexcop_debug, "_gpl", "");
KSYMTAB_FUNC(flexcop_pass_dmx_data, "", "");
KSYMTAB_FUNC(flexcop_pass_dmx_packets, "", "");
KSYMTAB_FUNC(flexcop_device_kmalloc, "", "");
KSYMTAB_FUNC(flexcop_device_kfree, "", "");
KSYMTAB_FUNC(flexcop_device_initialize, "", "");
KSYMTAB_FUNC(flexcop_device_exit, "", "");
KSYMTAB_FUNC(flexcop_i2c_request, "", "");
KSYMTAB_FUNC(flexcop_sram_set_dest, "", "");
KSYMTAB_FUNC(flexcop_wan_set_speed, "", "");
KSYMTAB_FUNC(flexcop_sram_ctrl, "", "");
KSYMTAB_FUNC(flexcop_eeprom_check_mac_addr, "", "");
KSYMTAB_FUNC(flexcop_dump_reg, "", "");
KSYMTAB_FUNC(flexcop_pid_feed_control, "", "");

SYMBOL_CRC(b2c2_flexcop_debug, 0x66c0289a, "_gpl");
SYMBOL_CRC(flexcop_pass_dmx_data, 0xaf7b2cdf, "");
SYMBOL_CRC(flexcop_pass_dmx_packets, 0xdc4606cf, "");
SYMBOL_CRC(flexcop_device_kmalloc, 0x42100f6f, "");
SYMBOL_CRC(flexcop_device_kfree, 0x07f9ec3d, "");
SYMBOL_CRC(flexcop_device_initialize, 0xf461453b, "");
SYMBOL_CRC(flexcop_device_exit, 0x80a94aa1, "");
SYMBOL_CRC(flexcop_i2c_request, 0x11df9a88, "");
SYMBOL_CRC(flexcop_sram_set_dest, 0x51964715, "");
SYMBOL_CRC(flexcop_wan_set_speed, 0x386ebd21, "");
SYMBOL_CRC(flexcop_sram_ctrl, 0xc5af4ece, "");
SYMBOL_CRC(flexcop_eeprom_check_mac_addr, 0xdb1c4e4f, "");
SYMBOL_CRC(flexcop_dump_reg, 0xfb7e7ecd, "");
SYMBOL_CRC(flexcop_pid_feed_control, 0xd10cb152, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x868784cb, "__symbol_get" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x6cfbbc24, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x5550cb9c, "dvb_dmxdev_release" },
	{ 0xbeb1c386, "param_ops_short" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3578bad9, "dvb_frontend_detach" },
	{ 0xcbc807f9, "i2c_add_adapter" },
	{ 0x92d5c148, "dvb_net_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb0618d5, "dvb_unregister_frontend" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0xbf6b7ed, "cx24123_get_tuner_i2c_adapter" },
	{ 0xedb89b19, "dvb_register_frontend" },
	{ 0x65212f88, "cx24113_agc_callback" },
	{ 0x8df1b19f, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x713905e4, "param_ops_int" },
	{ 0x8e2d3153, "s5h1420_get_tuner_i2c_adapter" },
	{ 0xf9a482f9, "msleep" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd367cf2c, "dvb_dmxdev_init" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xdf6446eb, "request_firmware" },
	{ 0x4427007b, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x30cba871, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x18acd31f, "dvb_dmx_swfilter_packets" },
	{ 0x3c977d9f, "i2c_del_adapter" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,cx24123,cx24113,s5h1420");


MODULE_INFO(srcversion, "4C4280033A9676EC02C54AD");
