#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0x26477a79, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0xe15d28e5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0xa404e3da, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0x2b85f427, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0x527e78a7, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0x767aaabd, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0x5d861521, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0x6634efc7, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0x837c6101, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1ef6eb14, "fwnode_property_read_u32_array" },
	{ 0xda8b3c2b, "fwnode_property_present" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0xaa74de56, "fwnode_graph_parse_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0x27a4de7d, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb1ebb1f5, "__dev_fwnode" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0xd5448069, "_dev_warn" },
	{ 0x6bf3ea0a, "fwnode_property_get_reference_args" },
	{ 0xba351f9d, "fwnode_get_next_child_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe5b85fb3, "fwnode_property_read_u64_array" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0xf5d28ffd, "v4l2_async_subdev_nf_init" },
	{ 0xc56dfda8, "v4l2_subdev_get_privacy_led" },
	{ 0xf58238d6, "is_acpi_device_node" },
	{ 0xc05f8838, "__v4l2_async_nf_add_fwnode" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x21a907d2, "v4l2_subdev_put_privacy_led" },
	{ 0x4a3680cf, "v4l2_async_nf_cleanup" },
	{ 0xd1029418, "is_acpi_data_node" },
	{ 0x48db4894, "v4l2_async_nf_register" },
	{ 0x3af3f558, "__v4l2_async_register_subdev" },
	{ 0x45fbadb1, "v4l2_async_nf_unregister" },
	{ 0xdc89277d, "fwnode_graph_get_port_parent" },
	{ 0xdf1d039, "fwnode_get_name" },
	{ 0xc98081cc, "fwnode_graph_get_remote_port_parent" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x30dcd9a9, "fwnode_graph_get_remote_endpoint" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "1118A6A1EB4212D5621572D");
