#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nanddev_isbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_markbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_isreserved, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_erase, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_max_bad_blocks, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_update, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_get_block_status, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_set_block_status, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_prepare_io_req, "", "");
KSYMTAB_FUNC(nand_ecc_finish_io_req, "", "");
KSYMTAB_FUNC(nand_get_small_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_hamming_ooblayout, "_gpl", "");
KSYMTAB_FUNC(of_get_nand_ecc_user_config, "", "");
KSYMTAB_FUNC(nand_ecc_is_strong_enough, "", "");
KSYMTAB_FUNC(nand_ecc_init_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_cleanup_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_tweak_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_restore_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_get_sw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_die_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_register_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_unregister_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_put_on_host_hw_engine, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_get_engine, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_get_engine, "", "");

SYMBOL_CRC(nanddev_isbad, 0xd8b339d9, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0x657ce44a, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0x2d48bab1, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0x94040791, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0x9f5a0e7b, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x275b0fc1, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0x694e3110, "_gpl");
SYMBOL_CRC(nanddev_init, 0x18cc86f6, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0x75987b3c, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0xdd183cf9, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0x21b4f859, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0xfbbb141e, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0xeb659159, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0xe2091126, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0x21f9cbdf, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0x2a4006d5, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0xf9324f13, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0x677589af, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0xa194cd6b, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0x7f3d47b6, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0x4a5eb963, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0xb7564473, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0xb3362bfd, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0x8e244db8, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0x3979c6b1, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0xd211074f, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0x79e13300, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0x357f8f64, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0xa29e65f2, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0xa2586b41, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0x127e27e6, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0x9aae23e9, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0x3c4c2e64, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0xac45e8a7, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0xee9ee60d, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0xe30af14c, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0xe2d2cd41, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0x8ac5e549, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0x70b9838a, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0x4eac1920, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0x6285fca9, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0x294e00e9, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0xbf3d9902, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x91735698, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbf7ca517, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x59aa1f05, "mtd_ooblayout_count_eccbytes" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0x30160406, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "C8CC18D47CCA8CBC7F50A06");
