#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74808162, "sk_skb_reason_drop" },
	{ 0xcc2b8a35, "can_dropped_invalid_skb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xee58e566, "usb_alloc_urb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb8f9c416, "usb_anchor_urb" },
	{ 0xf05762ad, "can_put_echo_skb" },
	{ 0x45758b62, "usb_submit_urb" },
	{ 0x4634787f, "usb_free_urb" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd347f61b, "consume_skb" },
	{ 0xe9a1fd2a, "can_free_echo_skb" },
	{ 0xacf9b982, "usb_unanchor_urb" },
	{ 0x29ac8a54, "netif_device_detach" },
	{ 0xc4954ddd, "netdev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x64350f6d, "netdev_printk" },
	{ 0x90c79b53, "usb_deregister" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0x1d8b1fa9, "unregister_candev" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xe88994e0, "open_candev" },
	{ 0x37e730b4, "can_rx_offload_enable" },
	{ 0x9240d3de, "napi_disable" },
	{ 0x57b80f26, "close_candev" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x862258db, "timecounter_init" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x574e6b0, "can_rx_offload_queue_timestamp" },
	{ 0xa9cda215, "can_rx_offload_queue_tail" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xcff04a6a, "can_rx_offload_get_echo_skb_queue_tail" },
	{ 0xb3ff9344, "netif_tx_wake_queue" },
	{ 0x2de17433, "alloc_can_err_skb" },
	{ 0xad96db5e, "can_rx_offload_irq_finish" },
	{ 0xf485253e, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x8eca38cc, "alloc_canfd_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xccced933, "alloc_can_skb" },
	{ 0x8c03b4d5, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa580f9bd, "usb_register_driver" },
	{ 0x91e6da4f, "usb_control_msg_send" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x12e58f42, "usb_control_msg_recv" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x85bfab82, "ethtool_op_get_ts_info" },
	{ 0x6786c023, "can_ethtool_op_get_ts_info_hwts" },
	{ 0x1c8c9144, "can_eth_ioctl_hwts" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x49acd1f8, "alloc_candev_mqs" },
	{ 0xc80d80a1, "_dev_info" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8df7c61b, "can_rx_offload_add_manual" },
	{ 0xd2a79970, "register_candev" },
	{ 0xfce80c65, "can_rx_offload_del" },
	{ 0xf2d5e9f8, "free_candev" },
	{ 0x92fa26a9, "netdev_info" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "can-dev,usbcore");

MODULE_ALIAS("usb:v1D50p606Fd*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v1209p2323d*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v1CD2p606Fd*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v16D0p10B8d*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v16D0p0F30d*dc*dsc*dp*ic*isc*ip*in00*");

MODULE_INFO(srcversion, "12459A8E3E24ADA71916535");
