#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fun_submit_admin_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(fun_get_res_count, "_gpl", "");
KSYMTAB_FUNC(fun_res_destroy, "_gpl", "");
KSYMTAB_FUNC(fun_bind, "_gpl", "");
KSYMTAB_FUNC(fun_reserve_irqs, "", "");
KSYMTAB_FUNC(fun_release_irqs, "", "");
KSYMTAB_FUNC(fun_serv_stop, "_gpl", "");
KSYMTAB_FUNC(fun_serv_restart, "_gpl", "");
KSYMTAB_FUNC(fun_serv_sched, "_gpl", "");
KSYMTAB_FUNC(fun_dev_disable, "", "");
KSYMTAB_FUNC(fun_dev_enable, "", "");
KSYMTAB_FUNC(fun_alloc_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_free_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_sq_create, "_gpl", "");
KSYMTAB_FUNC(fun_cq_create, "_gpl", "");

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0x3602dbac, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0xad9c57d5, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0xb11967dd, "_gpl");
SYMBOL_CRC(fun_bind, 0xc3f05171, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0xe2eeae63, "");
SYMBOL_CRC(fun_release_irqs, 0x19d4ef56, "");
SYMBOL_CRC(fun_serv_stop, 0xf1043411, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0xd7599d2e, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0xf0e5424e, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0x26fa8ef3, "");
SYMBOL_CRC(fun_dev_enable, 0x2381952b, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0xa2dd799b, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0xb0b5993a, "_gpl");
SYMBOL_CRC(fun_sq_create, 0xc6a973c7, "_gpl");
SYMBOL_CRC(fun_cq_create, 0x1c3540e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbf4312, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9ac5ca07, "pci_enable_device_mem" },
	{ 0x494d34a1, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x46b088c9, "dma_unmap_page_attrs" },
	{ 0xedc03953, "iounmap" },
	{ 0x17f4e86e, "sbitmap_queue_wake_all" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4ff3322, "pcpu_hot" },
	{ 0x6e3d7fb2, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0xa52b0e35, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x288f427c, "sbitmap_queue_init_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x29ee3299, "dma_map_page_attrs" },
	{ 0x1169bb97, "__alloc_pages_noprof" },
	{ 0x9b2c6b1a, "sbitmap_prepare_to_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0x9aab9391, "const_pcpu_hot" },
	{ 0xc80d80a1, "_dev_info" },
	{ 0x4c98be6a, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb6d28c48, "__dma_sync_single_for_cpu" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9c0f952, "dma_alloc_attrs" },
	{ 0x112df548, "sbitmap_queue_clear" },
	{ 0xdce64b6d, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x89f32807, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb6a379f3, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb38c8596, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xfbcff4f6, "sbitmap_finish_wait" },
	{ 0x7dd4dfa1, "__dma_sync_single_for_device" },
	{ 0xdce5778b, "pcie_print_link_status" },
	{ 0x6d2065e3, "__folio_put" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd973ec74, "pci_disable_device" },
	{ 0x58d85dee, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabf1b35b, "__sbitmap_queue_get" },
	{ 0x2393818c, "pci_free_irq_vectors" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x400e018e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x98300088, "pci_msix_vec_count" },
	{ 0x2a33c91c, "pci_request_selected_regions" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B834C245229F619B0CF1B21");
