#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ixgbe_xdp_locking_key, "", "");

SYMBOL_CRC(ixgbe_xdp_locking_key, 0xbaa35511, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf18f020e, "ptp_clock_event" },
	{ 0xce4fad3f, "netif_schedule_queue" },
	{ 0xd14a7c03, "dca3_get_tag" },
	{ 0x89f32807, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xca36cd71, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcccfe2ab, "ptp_clock_unregister" },
	{ 0x848efc44, "__pskb_pull_tail" },
	{ 0x870d0de8, "xp_dma_unmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd91ac3c0, "devm_mdiobus_alloc_size" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x929b13a, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6cbe154, "netdev_unbind_sb_channel" },
	{ 0xb6a379f3, "dma_set_coherent_mask" },
	{ 0x5675e9d4, "netdev_walk_all_upper_dev_rcu" },
	{ 0xf7d55f7c, "__page_frag_cache_drain" },
	{ 0x100614b, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc98d6233, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xac6c8f6e, "netdev_bind_sb_channel_queue" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x87eb4e80, "debugfs_create_file" },
	{ 0x2b761bab, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9dbebd4f, "netdev_reset_tc" },
	{ 0xb38c8596, "dma_free_attrs" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcda9cacd, "param_ops_bool" },
	{ 0x7dd4dfa1, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x81ffec9e, "driver_for_each_device" },
	{ 0xdce5778b, "pcie_print_link_status" },
	{ 0x21f82d70, "xp_set_rxq_info" },
	{ 0xcc2e63b4, "xdp_rxq_info_unreg" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x4229da7, "mdiobus_write" },
	{ 0xa7e8558a, "pci_dev_get" },
	{ 0x968e3dad, "napi_build_skb" },
	{ 0xc5473611, "__xdp_rxq_info_reg" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b4e87f1, "netif_carrier_off" },
	{ 0x935ca51b, "__hw_addr_sync_dev" },
	{ 0xc030d68a, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5f1b5b8f, "netif_carrier_on" },
	{ 0xeb10e71b, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x768dcfa2, "__mdiobus_register" },
	{ 0x78e2c60b, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd973ec74, "pci_disable_device" },
	{ 0x9f5e777f, "xp_free" },
	{ 0x8cf8adbe, "dev_uc_add" },
	{ 0x58d85dee, "dma_set_mask" },
	{ 0x1aee8509, "netif_set_tso_max_size" },
	{ 0x1231fae4, "dma_unmap_sg_attrs" },
	{ 0x4ee5c1ac, "skb_add_rx_frag_netmem" },
	{ 0x9b84a71b, "xdp_master_redirect" },
	{ 0x5c963990, "__napi_schedule_irqoff" },
	{ 0x3648d2c0, "napi_schedule_prep" },
	{ 0x1c2c651f, "napi_consume_skb" },
	{ 0xf566cfd0, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0x9240d3de, "napi_disable" },
	{ 0xf7aca556, "dev_kfree_skb_any_reason" },
	{ 0xf9cc192d, "dcb_ieee_delapp" },
	{ 0x713905e4, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x10a9186a, "debugfs_create_dir" },
	{ 0x48f6babd, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xabf394a9, "pci_enable_sriov" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0f1ac, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x85bfab82, "ethtool_op_get_ts_info" },
	{ 0xe875f95c, "xsk_tx_release" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x92fa26a9, "netdev_info" },
	{ 0x60443957, "mdio45_probe" },
	{ 0x66e96a36, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x1f88a470, "pci_get_dsn" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x32b4a10e, "netdev_crit" },
	{ 0xd64e0e06, "__tracepoint_xdp_exception" },
	{ 0x4f285a4b, "xsk_tx_completed" },
	{ 0x7fc665bf, "napi_alloc_skb" },
	{ 0x6a2809b, "alloc_etherdev_mqs" },
	{ 0x32302e48, "secpath_set" },
	{ 0xfc71f146, "mdiobus_c45_read" },
	{ 0x400e018e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8e03b23f, "xp_alloc" },
	{ 0xea540569, "dev_get_stats" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xa59a1ed1, "device_set_wakeup_enable" },
	{ 0xef7eaa57, "pcie_capability_read_word" },
	{ 0x53264281, "__skb_pad" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xed0ae45d, "pci_find_ext_capability" },
	{ 0x191e3679, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x671f1525, "xp_dma_map" },
	{ 0x1c5f3d47, "skb_copy_bits" },
	{ 0xe0a59f57, "dma_pool_create" },
	{ 0xb9db2ced, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a33c91c, "pci_request_selected_regions" },
	{ 0xfbf4312, "pci_release_selected_regions" },
	{ 0xf1c313c4, "devm_kmalloc" },
	{ 0xe292666b, "pci_wake_from_d3" },
	{ 0xe8a6525a, "skb_put" },
	{ 0x958f5698, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9ac5ca07, "pci_enable_device_mem" },
	{ 0xe8b92e9, "dca_remove_requester" },
	{ 0xd347f61b, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xede9ed9d, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8565b9a3, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb4665456, "pci_dev_put" },
	{ 0x58c66ac9, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa4ee2f97, "ndo_dflt_bridge_getlink" },
	{ 0x368729fd, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xbd87b86, "xdp_convert_zc_to_xdp_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x2a285782, "xdp_features_set_redirect_target" },
	{ 0x3a302957, "__kmalloc_node_noprof" },
	{ 0x1f3ac878, "pci_get_device" },
	{ 0x46b088c9, "dma_unmap_page_attrs" },
	{ 0x838eb641, "vmalloc_node_noprof" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x72da659e, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x5b7f8cd7, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x774a6895, "dev_trans_start" },
	{ 0x36f0c45b, "pci_disable_msi" },
	{ 0x4a6cfac6, "ptp_clock_index" },
	{ 0xe2e5d23f, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4ff3322, "pcpu_hot" },
	{ 0x68f06dbe, "xdp_do_redirect" },
	{ 0x45f7e764, "eth_validate_addr" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x596ab799, "netdev_warn" },
	{ 0xc7a677dc, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfa70e1cb, "pci_set_power_state" },
	{ 0xa6d6161c, "xdp_rxq_info_unreg_mem_model" },
	{ 0xd73e718, "__netif_napi_del" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x706ed630, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xe59fda6e, "netdev_features_change" },
	{ 0xc4954ddd, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa2e258c9, "pskb_expand_head" },
	{ 0xee3d9113, "mdiobus_c45_write" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x61cf4a5a, "dev_driver_string" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xeca238fc, "dev_addr_mod" },
	{ 0xba61225e, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xe447eb15, "eth_type_trans" },
	{ 0xce8a7db7, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x29ee3299, "dma_map_page_attrs" },
	{ 0xe87584ea, "napi_complete_done" },
	{ 0x1169bb97, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xb01e9e4b, "ndo_dflt_fdb_add" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc2f8ecee, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x97e97fa9, "pci_enable_msix_range" },
	{ 0xef40f8ce, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x32a2882, "__alloc_skb" },
	{ 0x29ac8a54, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcfdc9e9, "__free_pages" },
	{ 0x3a43006e, "dev_addr_add" },
	{ 0xde7ee382, "__hw_addr_unsync_dev" },
	{ 0xc80d80a1, "_dev_info" },
	{ 0xfa38e6df, "napi_gro_receive" },
	{ 0xfb3c4289, "netif_device_attach" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x3f0a990e, "xdp_features_clear_redirect_target" },
	{ 0x4c98be6a, "pci_select_bars" },
	{ 0x8a7f24ab, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x815fd38c, "xp_raw_get_dma" },
	{ 0x15540aab, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa4fbf8ef, "device_wakeup_disable" },
	{ 0x3e971961, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x812d5fc4, "__skb_get_hash_net" },
	{ 0xb6d28c48, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xe1e5471a, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x11f69cba, "softnet_data" },
	{ 0x6e5abb5, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1710612a, "dca_add_requester" },
	{ 0x8ba3aee6, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb410f982, "ptp_clock_register" },
	{ 0x4e02270a, "dcb_ieee_getapp_mask" },
	{ 0x593acf2, "xsk_tx_peek_desc" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1db1b799, "netif_set_real_num_tx_queues" },
	{ 0x74808162, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf273d655, "netif_set_real_num_rx_queues" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2b282b4c, "pci_get_domain_bus_and_slot" },
	{ 0x9c0f952, "dma_alloc_attrs" },
	{ 0x5d3f64e1, "debugfs_remove" },
	{ 0x6193a894, "pcie_flr" },
	{ 0x731a562, "pci_read_config_word" },
	{ 0xafb1e9b4, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x18289f6e, "xsk_clear_rx_need_wakeup" },
	{ 0xbb0fac85, "xsk_uses_need_wakeup" },
	{ 0xbb728ab1, "register_netdev" },
	{ 0x2c204198, "mdiobus_read" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x8f386f18, "free_netdev" },
	{ 0xb93221eb, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa16636, "ethtool_op_get_link" },
	{ 0xff2fd532, "eth_platform_get_mac_address" },
	{ 0xef80a6bb, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc4b325ef, "__SCK__tp_func_xdp_exception" },
	{ 0x3d3cc43a, "dev_addr_del" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1a33ab9, "dca_unregister_notify" },
	{ 0x6b50a72d, "netif_tx_stop_all_queues" },
	{ 0xf174f768, "pci_restore_state" },
	{ 0xb3ff9344, "netif_tx_wake_queue" },
	{ 0x206e7480, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xac34ecec, "dca_register_notify" },
	{ 0x481e392a, "dcb_getapp" },
	{ 0x261fb45a, "devm_hwmon_device_register_with_groups" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xd5448069, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "dca,mdio_devres,libphy,mdio,xfrm_algo");

MODULE_ALIAS("pci:v00008086d000010B6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010C6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000150Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010F4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001508sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010F7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001517sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001507sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001514sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010F9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000152Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001529sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010F8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001528sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000154Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000154Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001558sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001557sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000154Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001560sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001563sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015ADsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015ACsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015AEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E5sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "30F8A1AF344292112FBC471");
