#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x477d40cd, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x291674bd, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x5d4d5a6a, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x00d9072a, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x206b6582, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x6955a387, "");
SYMBOL_CRC(mlx5_cmd_check, 0xf29f6989, "");
SYMBOL_CRC(mlx5_cmd_do, 0x0aa47c76, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x661bd26c, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x69abb2cf, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x5a646eda, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x70d0a080, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x85977164, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xf7935e55, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xdce1641c, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x950e20dc, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x3f82dea9, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xd6f50612, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x29ef9044, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x2841049a, "");
SYMBOL_CRC(mlx5_eq_enable, 0x5589ec96, "");
SYMBOL_CRC(mlx5_eq_disable, 0x646e8c53, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x8f18522e, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0xed26c144, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x604bdc92, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x9dd576d4, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x14f02e10, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xe7a19e6e, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xf9b42aaa, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xfe59641d, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xe6206288, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xa5be3c6e, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xb8676169, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x20607b92, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xeee89128, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xf4a98715, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x3e7b3c62, "");
SYMBOL_CRC(mlx5_create_cq, 0x10349715, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x8e77a237, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xf6da7d87, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x8165131c, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x88c2347a, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x6b8b5240, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xb673fa3b, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x6aefcd12, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x9e55c960, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x3672d3c1, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xeb57425b, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x05f59129, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x0e301cb9, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xf37c3dd7, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x398c7209, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x2be974ab, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xac3f1149, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xfdfcda0c, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x87541e79, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x3bd9027e, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xd31b7233, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x6c05867b, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xa0a05467, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x5e04cb6a, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x2dc5caa1, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x6003e4eb, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x45b0feb6, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x3f2d53f8, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x2ead8dd0, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xa8105d1c, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x2707db18, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xfd0e1201, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xb92b828d, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x36b0ed02, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xbcf6dfbe, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x8cbef68a, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x6bb417d8, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x003f4891, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x39e18653, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xeaa67e42, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x4951c1a3, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xfabc3ca3, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x9c48b59d, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xb09b58ae, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x9f26b02c, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xc39cdd97, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xf11d5b27, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x9ffe2d8f, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xc19cf6f2, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x4c346c69, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x21e5a637, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x73d16d39, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xdbd6a266, "");
SYMBOL_CRC(mlx5_core_query_sq, 0xe433a336, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x5d1032e8, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xaf1d60d3, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x33c37433, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x3f359f8c, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x663f8611, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xee27ccec, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x2ac18660, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x702e81b4, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xcbd734b3, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xf445f3c7, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x3dceb8f4, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xdf1d91bb, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x1743d15e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xf19ef051, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xfbefe163, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xa4ce304a, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xee26435c, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xd1f03417, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xf0366c05, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x3c0c8c11, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x9ced150c, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xbe6be2a4, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xab2e6683, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x8cbfcb79, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xb4068063, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xb759c5ae, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xc49e839e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x548f19fc, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x8799b467, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xa7a98f81, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x9079e7cd, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x51d4711b, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x26ef0b07, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xfde16a9e, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xd2f92ca0, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xfa42fb56, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x24ecc2ee, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x606471cb, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x6f059d2b, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xf33219bc, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x27471f32, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xafc29d8e, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x986f8491, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xc2e3d37c, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xdba238e6, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xfb6f7dae, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xa8670c65, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x69a26a1d, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x316a75d1, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x5df724fd, "");
SYMBOL_CRC(mlx5_fc_create, 0x03e72ff6, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x4e11ba72, "");
SYMBOL_CRC(mlx5_fc_query, 0xb9c8dd94, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xbe7da78c, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x68bdb919, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xcfdd8611, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x76ace413, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x68fb3912, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x125ed7fc, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x6e8c3965, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x058d1066, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x7c815f31, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xfdd6cc9b, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xe89d66e0, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x577cfe67, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x6b7e6e61, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0xb064524b, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x5de2d5b0, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x43e8b303, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xa05a1aae, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x6f179e18, "");
SYMBOL_CRC(mlx5_notifier_register, 0x82075178, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xa591cb27, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x21bca4f3, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xb0312f8f, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x6cafae0e, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xe992dabc, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x15129855, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xfba34fd9, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x6ea545e8, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x39b8f06c, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xc7b1f22b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x90ac47af, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x0f4a047a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x5857b1fe, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xa65eb3b9, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xf143063d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x51e28473, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x17222d93, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0xbb60deff, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xc8193cb7, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x19f26d98, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x229b663b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xa6702d08, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x9e31c9ec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x42946059, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x13a226be, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x5ed395f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0xf7466bef, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x180c5ca9, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x7aa23d00, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7dacbe18, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x5cda8fdc, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x38b9acba, "");
SYMBOL_CRC(mlx5_wc_support_get, 0xb106639a, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x78cd14ee, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x8a4e7b8d, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x3780f76c, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xf1e51100, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0xe70cdbb5, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x7e2a6f4b, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xb0fbf162, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x1bd8c4fd, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x5c17128f, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x8ca89347, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xfad41ddf, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x2e8b7cfb, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x38bfe039, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x0017a403, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x61e348dd, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x97389115, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xebc20bfd, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x86e27f69, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x05cdf5ea, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x8ec036ab, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x68a3d55a, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xdf1fad2d, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x86f94ca3, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xb54805b6, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x4e7e8dbb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdce64b6d, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa16636, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xef80a6bb, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf1119fdb, "__ethtool_get_link_ksettings" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc4b325ef, "__SCK__tp_func_xdp_exception" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xf174f768, "pci_restore_state" },
	{ 0x60af3c64, "bpf_trace_run1" },
	{ 0x8d55eea, "__inet6_lookup_established" },
	{ 0xb3ff9344, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xb9e28e31, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x3baadcf5, "page_pool_create" },
	{ 0x3cf7953b, "skb_checksum" },
	{ 0x39756cbf, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xd5448069, "_dev_warn" },
	{ 0x207aa3ba, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x8daf18b7, "__kmalloc_cache_node_noprof" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x610f4788, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5531042e, "devl_resources_unregister" },
	{ 0xf18f020e, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xce4fad3f, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x89f32807, "pci_set_master" },
	{ 0x43fdfccc, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f44042f, "debugfs_create_u32" },
	{ 0x9a5717ad, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x56aa69cc, "flow_rule_match_ipv6_addrs" },
	{ 0xca36cd71, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x44bdb1ec, "devl_params_unregister" },
	{ 0xcccfe2ab, "ptp_clock_unregister" },
	{ 0x848efc44, "__pskb_pull_tail" },
	{ 0x870d0de8, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x4c7276af, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xd25824ff, "devlink_trap_report" },
	{ 0x500a3c1, "__neigh_event_send" },
	{ 0xc6d51cae, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x9b514096, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe85309cf, "devl_traps_register" },
	{ 0xe8baf627, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x929b13a, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb6a379f3, "dma_set_coherent_mask" },
	{ 0x6a20b126, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x35cbbdd4, "pv_ops" },
	{ 0x494a204b, "flow_rule_match_enc_control" },
	{ 0xb173e312, "bpf_trace_run3" },
	{ 0xe30c008a, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc98d6233, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x87eb4e80, "debugfs_create_file" },
	{ 0xa5a0e85e, "rps_may_expire_flow" },
	{ 0x15fe73b8, "metadata_dst_free" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x2b761bab, "xsk_set_tx_need_wakeup" },
	{ 0xc1c868ef, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9dbebd4f, "netdev_reset_tc" },
	{ 0x14019cfd, "neigh_destroy" },
	{ 0xb38c8596, "dma_free_attrs" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x67464ef5, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x1b6efafe, "debugfs_create_x32" },
	{ 0xc68438d3, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb58fe40e, "flow_rule_match_enc_ports" },
	{ 0x423ee7c5, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4b5ede96, "pci_release_regions" },
	{ 0xa0942332, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7dd4dfa1, "__dma_sync_single_for_device" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8b185d39, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x75cb7576, "devl_assert_locked" },
	{ 0xdce5778b, "pcie_print_link_status" },
	{ 0x21f82d70, "xp_set_rxq_info" },
	{ 0x3111c33f, "flow_rule_match_vlan" },
	{ 0x304e8a80, "devl_port_unregister" },
	{ 0xcc2e63b4, "xdp_rxq_info_unreg" },
	{ 0xe204a49d, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x6c6b6951, "devl_param_driverinit_value_get" },
	{ 0x968e3dad, "napi_build_skb" },
	{ 0x2c45d72d, "netdev_master_upper_dev_get_rcu" },
	{ 0x6d2065e3, "__folio_put" },
	{ 0xc5473611, "__xdp_rxq_info_reg" },
	{ 0xc6601fc9, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0x993674eb, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x16dcd1e9, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd28710b2, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b4e87f1, "netif_carrier_off" },
	{ 0xc3a65434, "seq_printf" },
	{ 0xbb0df5d, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd00a29c4, "devlink_priv" },
	{ 0xf9e7ce4d, "devlink_port_register_with_ops" },
	{ 0xc030d68a, "pci_disable_sriov" },
	{ 0xd2e13a5c, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf37f594f, "dst_release" },
	{ 0x5f1b5b8f, "netif_carrier_on" },
	{ 0xeb10e71b, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xf4f7e76a, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x994bc1b0, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1e5b80ed, "alloc_pages_noprof" },
	{ 0xd973ec74, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x9f5e777f, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x8189678c, "page_pool_update_nid" },
	{ 0x8f41954, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x58d85dee, "dma_set_mask" },
	{ 0x31fa112d, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1aee8509, "netif_set_tso_max_size" },
	{ 0x447fdfdc, "vlan_dev_vlan_id" },
	{ 0x2d483fe4, "__skb_flow_dissect" },
	{ 0xe10ce4e2, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf85564b4, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x4ee5c1ac, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x9b84a71b, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xb2fee9b6, "skb_coalesce_rx_frag" },
	{ 0xdb903c25, "xp_raw_get_data" },
	{ 0x731d160c, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x3648d2c0, "napi_schedule_prep" },
	{ 0x8c49d234, "qdisc_reset" },
	{ 0x1c2c651f, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xb117b3ee, "xp_alloc_batch" },
	{ 0xce57d05, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0x9240d3de, "napi_disable" },
	{ 0xf7aca556, "dev_kfree_skb_any_reason" },
	{ 0xf9cc192d, "dcb_ieee_delapp" },
	{ 0x39e05b44, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x487d3af7, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x108d4192, "debugfs_create_u8" },
	{ 0xb02e60e6, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xda4d4c12, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x10a9186a, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x122aef46, "skb_ext_add" },
	{ 0x9dc88be4, "pcie_bandwidth_available" },
	{ 0x2393818c, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x68e4dd65, "flow_rule_match_control" },
	{ 0xb73f1beb, "flow_rule_match_ip" },
	{ 0xabf394a9, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x584ed4e0, "auxiliary_device_sysfs_irq_add" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x2cf0f1ac, "dcb_ieee_setapp" },
	{ 0xd4d8e41b, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe875f95c, "xsk_tx_release" },
	{ 0x56df954, "devl_traps_unregister" },
	{ 0x71b1056e, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xadb5a271, "pci_write_config_dword" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x92fa26a9, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xb611ef15, "neigh_lookup" },
	{ 0x7d52603e, "kmem_cache_destroy" },
	{ 0x58de6751, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd64e0e06, "__tracepoint_xdp_exception" },
	{ 0xd9610f1a, "__inet_lookup_established" },
	{ 0x4f285a4b, "xsk_tx_completed" },
	{ 0x7fc665bf, "napi_alloc_skb" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x6a2809b, "alloc_etherdev_mqs" },
	{ 0x74917609, "netdev_lower_get_next" },
	{ 0x32302e48, "secpath_set" },
	{ 0x2f18f89, "flow_block_cb_lookup" },
	{ 0x400e018e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xab225abd, "devl_rate_leaf_create" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8e03b23f, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xef7eaa57, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x632986cf, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf3308ed2, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x191e3679, "bpf_prog_put" },
	{ 0x7cbccab6, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xb3a7799, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6a7ff4ac, "pci_cfg_access_unlock" },
	{ 0x671f1525, "xp_dma_map" },
	{ 0xea67f8b7, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x3fed360e, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x1c5f3d47, "skb_copy_bits" },
	{ 0x594ea426, "debugfs_attr_write" },
	{ 0xe0a59f57, "dma_pool_create" },
	{ 0xb9db2ced, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x98300088, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3a5e3255, "pci_enable_device" },
	{ 0xe8a6525a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x958f5698, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc91cadf5, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x9dde36c5, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xee8fad, "register_fib_notifier" },
	{ 0x5a66b673, "auxiliary_device_init" },
	{ 0xaef7470e, "ip6_dst_hoplimit" },
	{ 0x674a232f, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf690f1a4, "flow_rule_match_enc_ip" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x494d34a1, "pci_alloc_irq_vectors" },
	{ 0xede9ed9d, "netif_napi_add_weight" },
	{ 0x6329a81f, "pci_enable_atomic_ops_to_root" },
	{ 0x1d172fbf, "seq_release" },
	{ 0x396d5c50, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x5fd3914c, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xdc1e7c0b, "xsk_clear_tx_need_wakeup" },
	{ 0x54b4dc73, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0xe4066234, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x58c66ac9, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa4ee2f97, "ndo_dflt_bridge_getlink" },
	{ 0x368729fd, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xbd87b86, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcffb40c, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x8811de2a, "flow_rule_match_tcp" },
	{ 0x3a302957, "__kmalloc_node_noprof" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x2ac2e19e, "register_netdevice_notifier_dev_net" },
	{ 0x46b088c9, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7973a1b, "trace_event_printf" },
	{ 0xddb5a71c, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb16aeb9f, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x72da659e, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x3d2bba7f, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x5b7f8cd7, "pci_num_vf" },
	{ 0xb81b06c0, "debugfs_create_atomic_t" },
	{ 0xd3450002, "flow_rule_match_eth_addrs" },
	{ 0xb39bb810, "xfrm_state_check_expire" },
	{ 0x79863f6, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4a6cfac6, "ptp_clock_index" },
	{ 0x154e8400, "pci_request_regions" },
	{ 0xe2e5d23f, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x46ed2888, "trace_event_raw_init" },
	{ 0xb052bf45, "flow_block_cb_free" },
	{ 0xff0f9a38, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbd1c1178, "xp_can_alloc" },
	{ 0xcde99dd7, "psample_sample_packet" },
	{ 0xd0c7d817, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x883dd124, "devlink_alloc_ns" },
	{ 0xbddbc2eb, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x69749381, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x47acee0c, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x9808b8cc, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xc4ff3322, "pcpu_hot" },
	{ 0xa4a7d15c, "seq_lseek" },
	{ 0xda8489f, "page_pool_destroy" },
	{ 0x68f06dbe, "xdp_do_redirect" },
	{ 0x3b764e64, "devlink_free" },
	{ 0x8b20f316, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb993bf53, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x596ab799, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xc7a677dc, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa9a8623e, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6e3d7fb2, "pci_irq_vector" },
	{ 0x8e925f7a, "flow_rule_match_ipv4_addrs" },
	{ 0xb6d184f5, "ip_route_output_flow" },
	{ 0xd73e718, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x20a7769d, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x747930c1, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x706ed630, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xc4954ddd, "netdev_err" },
	{ 0x4490736, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x787444c9, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x61cf4a5a, "dev_driver_string" },
	{ 0x9fa5e406, "netdev_port_same_parent_id" },
	{ 0x71924fbd, "trace_event_buffer_commit" },
	{ 0xeca238fc, "dev_addr_mod" },
	{ 0xba61225e, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xd05de2fb, "ptp_find_pin" },
	{ 0xe447eb15, "eth_type_trans" },
	{ 0xce8a7db7, "pci_read_config_dword" },
	{ 0x3191f6da, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xd87a2e79, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x999a9cd7, "auxiliary_driver_unregister" },
	{ 0x29ee3299, "dma_map_page_attrs" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0xe87584ea, "napi_complete_done" },
	{ 0x1169bb97, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa343d52, "devlink_port_attrs_pci_vf_set" },
	{ 0xab01672d, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xdce48e6f, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbf7ca517, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x3d564f94, "__napi_schedule" },
	{ 0x2cc0c853, "devlink_port_health_reporter_create" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xd3e04405, "pcie_relaxed_ordering_enabled" },
	{ 0xef40f8ce, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x84c9ab2c, "devlink_port_attrs_pci_pf_set" },
	{ 0x3bf16b86, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x29ac8a54, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x9aab9391, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcfdc9e9, "__free_pages" },
	{ 0xc80d80a1, "_dev_info" },
	{ 0x4e375bb5, "skb_vlan_pop" },
	{ 0xfa38e6df, "napi_gro_receive" },
	{ 0xfb3c4289, "netif_device_attach" },
	{ 0xcf8e6352, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x8a7f24ab, "netdev_pick_tx" },
	{ 0x1e9c305b, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x815fd38c, "xp_raw_get_dma" },
	{ 0x15540aab, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x83829e7c, "xdp_rxq_info_is_reg" },
	{ 0xcce88c72, "flow_rule_match_enc_opts" },
	{ 0xc2c5802, "work_busy" },
	{ 0x302a9e37, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x78393d41, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0xface0b21, "devl_health_reporter_create" },
	{ 0x3e971961, "flow_block_cb_setup_simple" },
	{ 0x3766ad32, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xed81b9f7, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfba443e1, "unregister_netdevice_notifier_dev_net" },
	{ 0x302eb55e, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xdcf98e7, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x33df9eb9, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xd806f0b4, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xa6b9cebb, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xb6d28c48, "__dma_sync_single_for_cpu" },
	{ 0x72398e93, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x965f733, "__dev_get_by_index" },
	{ 0x2aae84df, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xa37240ed, "devlink_port_unregister" },
	{ 0xa0bfbd4d, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x2430099, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x11f69cba, "softnet_data" },
	{ 0x353582f6, "ipv6_stub" },
	{ 0x6e5abb5, "simple_open" },
	{ 0x7e691f06, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8ba3aee6, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc5af45fe, "simple_attr_release" },
	{ 0xb410f982, "ptp_clock_register" },
	{ 0x4548fb86, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x593acf2, "xsk_tx_peek_desc" },
	{ 0xce6809df, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x1db1b799, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x74808162, "sk_skb_reason_drop" },
	{ 0xfbd6f743, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x708bf1d5, "irq_get_irq_data" },
	{ 0x30f505e6, "dev_remove_pack" },
	{ 0xf273d655, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x2123af93, "dev_get_by_index" },
	{ 0x70be5e0c, "bpf_trace_run5" },
	{ 0xa2400b66, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x18346b0b, "skb_store_bits" },
	{ 0x54abec3f, "devl_port_register_with_ops" },
	{ 0xd146cd40, "dev_get_by_index_rcu" },
	{ 0x64350f6d, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x51f9a0d5, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3c0bd174, "skb_push" },
	{ 0xcb7d63a6, "kmem_cache_free" },
	{ 0x9c0f952, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5d3f64e1, "debugfs_remove" },
	{ 0x731a562, "pci_read_config_word" },
	{ 0xafb1e9b4, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x18289f6e, "xsk_clear_rx_need_wakeup" },
	{ 0x58acca0d, "unregister_netdevice_notifier_net" },
	{ 0x59a9e936, "auxiliary_device_sysfs_irq_remove" },
	{ 0xbb0fac85, "xsk_uses_need_wakeup" },
	{ 0xbb728ab1, "register_netdev" },
	{ 0x827b7220, "unregister_fib_notifier" },
	{ 0x6a43ac0e, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x3042acc7, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xaa8297a6, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x8f386f18, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x2e39a2b1, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x153cbd28, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x391b8e52, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,tls,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "AE8B3B6F7F841AB839B0134");
