#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3baadcf5, "page_pool_create" },
	{ 0xafb1e9b4, "napi_enable" },
	{ 0x3f0a990e, "xdp_features_clear_redirect_target" },
	{ 0x2a285782, "xdp_features_set_redirect_target" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9b4e87f1, "netif_carrier_off" },
	{ 0xc4ff3322, "pcpu_hot" },
	{ 0x72b2fa57, "__tracepoint_xdp_bulk_tx" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x872d4f7c, "__SCT__tp_func_xdp_bulk_tx" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbd87b86, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xef5f7e8b, "rtnl_nla_parse_ifinfomsg" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x93116e7b, "rtnl_link_get_net" },
	{ 0x992aea40, "rtnl_create_link" },
	{ 0x177f8622, "netif_inherit_tso_max" },
	{ 0xcb3810d5, "register_netdevice" },
	{ 0x674a232f, "netdev_update_features" },
	{ 0xf2466b20, "rtnl_configure_link" },
	{ 0x3d343b4c, "__put_net" },
	{ 0x8f386f18, "free_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xeca238fc, "dev_addr_mod" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5f1b5b8f, "netif_carrier_on" },
	{ 0x92997ed8, "_printk" },
	{ 0x83829e7c, "xdp_rxq_info_is_reg" },
	{ 0x191e3679, "bpf_prog_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x58fffcee, "skb_pp_cow_data" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd347f61b, "consume_skb" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x58c66ac9, "bpf_warn_invalid_xdp_action" },
	{ 0xd64e0e06, "__tracepoint_xdp_exception" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x68f06dbe, "xdp_do_redirect" },
	{ 0x905c8798, "xdp_return_buff" },
	{ 0x9b84a71b, "xdp_master_redirect" },
	{ 0xe447eb15, "eth_type_trans" },
	{ 0xb97a3c10, "netif_receive_skb" },
	{ 0xa2e258c9, "pskb_expand_head" },
	{ 0x9aab9391, "const_pcpu_hot" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xe87584ea, "napi_complete_done" },
	{ 0x9485cd9e, "passthru_features_check" },
	{ 0x6ba2fc8d, "eth_mac_addr" },
	{ 0xa16636, "ethtool_op_get_link" },
	{ 0x85bfab82, "ethtool_op_get_ts_info" },
	{ 0x6faee233, "__SCK__tp_func_xdp_bulk_tx" },
	{ 0xc4b325ef, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb5523d16, "rtnl_link_register" },
	{ 0xf4084b32, "unregister_netdevice_queue" },
	{ 0x1db1b799, "netif_set_real_num_tx_queues" },
	{ 0xf273d655, "netif_set_real_num_rx_queues" },
	{ 0x6a8094a3, "ether_setup" },
	{ 0x1aee8509, "netif_set_tso_max_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc5473611, "__xdp_rxq_info_reg" },
	{ 0xba61225e, "xdp_rxq_info_reg_mem_model" },
	{ 0xede9ed9d, "netif_napi_add_weight" },
	{ 0xd73e718, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcc2e63b4, "xdp_rxq_info_unreg" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x7cbccab6, "page_pool_get_stats" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x812d5fc4, "__skb_get_hash_net" },
	{ 0xd3ce0501, "rtnl_link_unregister" },
	{ 0xc6601fc9, "xdp_set_features_flag" },
	{ 0x8ba3aee6, "xdp_return_frame" },
	{ 0x74808162, "sk_skb_reason_drop" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x16262628, "__dev_forward_skb" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3648d2c0, "napi_schedule_prep" },
	{ 0x3d564f94, "__napi_schedule" },
	{ 0x69ee3050, "sock_wfree" },
	{ 0x848efc44, "__pskb_pull_tail" },
	{ 0x25a5c3e8, "__netif_rx" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x958f5698, "skb_tstamp_tx" },
	{ 0xf7aca556, "dev_kfree_skb_any_reason" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd91dbd1f, "xdp_alloc_skb_bulk" },
	{ 0xfa38e6df, "napi_gro_receive" },
	{ 0x68c8123e, "__xdp_build_skb_from_frame" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x9240d3de, "napi_disable" },
	{ 0xda8489f, "page_pool_destroy" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CA3B563B9F75D72903155CC");
