#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf6446eb, "request_firmware" },
	{ 0xa580f9bd, "usb_register_driver" },
	{ 0x845cc524, "mt76_get_txpower" },
	{ 0xe64800bf, "mt76_wake_tx_queue" },
	{ 0xc7e225ae, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x6463f4fb, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa67dd507, "mt76x02_sta_ps" },
	{ 0x8c17fad8, "mt76u_resume_rx" },
	{ 0x3c5a0bfb, "mt76x02_sta_rate_tbl_update" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x797a1e7b, "mt76_alloc_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x330e1b61, "usb_put_dev" },
	{ 0x87264b0a, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x593f8567, "mt76x02_update_channel" },
	{ 0x492216f0, "usb_get_dev" },
	{ 0xc80d80a1, "_dev_info" },
	{ 0xca63e2a6, "mt76x02_configure_filter" },
	{ 0x8075439d, "mt76_free_device" },
	{ 0x1e2b51ba, "mt76x0_chip_onoff" },
	{ 0x1e272082, "mt76x02_queue_rx_skb" },
	{ 0x1989dfb9, "mt76u_queues_deinit" },
	{ 0x315fe6f4, "ieee80211_queue_delayed_work" },
	{ 0x58f2474b, "mt76x0_config" },
	{ 0x62479e17, "mt76x0_register_device" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0xac83a695, "mt76x02u_mcu_fw_reset" },
	{ 0xfdf63309, "mt76x0_phy_calibrate" },
	{ 0xe954732f, "mt76_set_tim" },
	{ 0xddf898f9, "mt76x02_sw_scan_complete" },
	{ 0x721a29ec, "mt76x02_tx" },
	{ 0x130bdd3f, "mt76x02_sta_remove" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x90c79b53, "usb_deregister" },
	{ 0xa9ffa4f2, "mt76x02_tx_status_data" },
	{ 0xbff06002, "mt76x02_sta_add" },
	{ 0xcf5added, "mt76x0_mac_stop" },
	{ 0x48f69709, "mt76x02u_mcu_fw_send_data" },
	{ 0xe3903588, "mt76u_init" },
	{ 0xc95e3bff, "mt76_get_survey" },
	{ 0xd5448069, "_dev_warn" },
	{ 0x8a89d3e1, "ieee80211_emulate_add_chanctx" },
	{ 0x7080d1d4, "mt76x02u_init_mcu" },
	{ 0xfc96f737, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x146341e0, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x61ff8b10, "mt76x02_set_rts_threshold" },
	{ 0xa63176c5, "mt76_sta_state" },
	{ 0xb88fac45, "mt76x0_init_hardware" },
	{ 0xb7ef4254, "mt76x02u_mac_start" },
	{ 0xd47f2da1, "mt76x02_bss_info_changed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x68159bc5, "mt76u_alloc_queues" },
	{ 0xfcaee810, "mt76u_stop_tx" },
	{ 0x2ab66209, "mt76x02u_init_beacon_config" },
	{ 0x57521b3e, "ieee80211_unregister_hw" },
	{ 0xca7fc858, "mt76u_vendor_request" },
	{ 0x1c21b10a, "mt76x02_add_interface" },
	{ 0x5ff8257a, "____mt76_poll_msec" },
	{ 0x59a650d8, "mt76x02u_exit_beacon_config" },
	{ 0xf3d57074, "mt76u_stop_rx" },
	{ 0x73027ced, "mt76x02_ampdu_action" },
	{ 0xf5190a64, "mt76x02_conf_tx" },
	{ 0xe1702b4, "mt76_sw_scan" },
	{ 0x7a74a4c3, "mt76_sta_pre_rcu_remove" },
	{ 0x16e71f6e, "__mt76_poll" },
	{ 0x227f458e, "ieee80211_emulate_remove_chanctx" },
	{ 0xf7b5975d, "mt76x02_remove_interface" },
	{ 0x702b7356, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf1c313c4, "devm_kmalloc" },
	{ 0x71d0f172, "mt76x0_set_sar_specs" },
	{ 0x5d919ba5, "firmware_request_nowarn" },
	{ 0xccaf804b, "mt76x02_set_ethtool_fwver" },
	{ 0x3e8af07e, "mt76x02_set_key" },
	{ 0xa90f34a8, "mt76_release_buffered_frames" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mt76,mac80211,mt76x02-lib,mt76-usb,mt76x0-common,mt76x02-usb");

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p010Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "34CD9DF443ABB11E2177106");
