#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_restorepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_writepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_savepowerindex, "_gpl", "");
KSYMTAB_FUNC(rtl92c_dm_write_dig, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_edca_turbo, "", "");
KSYMTAB_FUNC(rtl92c_dm_check_txpower_tracking, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_rate_adaptive_mask, "", "");
KSYMTAB_FUNC(rtl92c_dm_rf_saving, "", "");
KSYMTAB_FUNC(rtl92c_dm_init, "", "");
KSYMTAB_FUNC(rtl92c_dm_watchdog, "", "");
KSYMTAB_FUNC(rtl92c_bt_rssi_state_change, "", "");
KSYMTAB_FUNC(rtl92c_dm_bt_coexist, "", "");
KSYMTAB_FUNC(rtl92c_download_fw, "", "");
KSYMTAB_FUNC(rtl92c_fill_h2c_cmd, "", "");
KSYMTAB_FUNC(rtl92c_firmware_selfreset, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_pwrmode_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_rsvdpagepkt, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_joinbss_report_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_p2p_ps_offload_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92c_phy_query_bb_reg, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bb_reg, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_write, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_write, "", "");
KSYMTAB_FUNC(rtl92c_phy_rf_config, "", "");
KSYMTAB_FUNC(_rtl92c_phy_bb8192c_config_parafile, "", "");
KSYMTAB_FUNC(_rtl92c_store_pwrindex_diffrate_offset, "", "");
KSYMTAB_FUNC(_rtl92c_phy_init_bb_rf_register_definition, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_txpower_level, "", "");
KSYMTAB_FUNC(rtl92c_phy_update_txpower_dbm, "", "");
KSYMTAB_FUNC(_rtl92c_phy_dbm_to_txpwr_idx, "", "");
KSYMTAB_FUNC(_rtl92c_phy_txpwr_idx_to_dbm, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bw_mode, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl_callback, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl, "", "");
KSYMTAB_FUNC(rtl8192_phy_check_is_legal_rfpath, "", "");
KSYMTAB_FUNC(rtl92c_phy_iq_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_lc_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_ap_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_rfpath_switch, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io_cmd, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io, "", "");
KSYMTAB_FUNC(rtl92ce_phy_set_rf_on, "", "");
KSYMTAB_FUNC(_rtl92c_phy_set_rf_sleep, "", "");

SYMBOL_CRC(dm_restorepowerindex, 0xf64968f5, "_gpl");
SYMBOL_CRC(dm_writepowerindex, 0xd14c9b2a, "_gpl");
SYMBOL_CRC(dm_savepowerindex, 0xff6d34b2, "_gpl");
SYMBOL_CRC(rtl92c_dm_write_dig, 0x264f3342, "");
SYMBOL_CRC(rtl92c_dm_init_edca_turbo, 0x55985d5f, "");
SYMBOL_CRC(rtl92c_dm_check_txpower_tracking, 0x5b1ec60f, "");
SYMBOL_CRC(rtl92c_dm_init_rate_adaptive_mask, 0x7f31bbfb, "");
SYMBOL_CRC(rtl92c_dm_rf_saving, 0x0be33210, "");
SYMBOL_CRC(rtl92c_dm_init, 0xaa5b053a, "");
SYMBOL_CRC(rtl92c_dm_watchdog, 0x0d48604b, "");
SYMBOL_CRC(rtl92c_bt_rssi_state_change, 0x295cd79f, "");
SYMBOL_CRC(rtl92c_dm_bt_coexist, 0x1a1020d0, "");
SYMBOL_CRC(rtl92c_download_fw, 0xdd23dff3, "");
SYMBOL_CRC(rtl92c_fill_h2c_cmd, 0x47a317af, "");
SYMBOL_CRC(rtl92c_firmware_selfreset, 0x925ae736, "");
SYMBOL_CRC(rtl92c_set_fw_pwrmode_cmd, 0xbe8e29ac, "");
SYMBOL_CRC(rtl92c_set_fw_rsvdpagepkt, 0xc31a6cbe, "");
SYMBOL_CRC(rtl92c_set_fw_joinbss_report_cmd, 0xb2de3ab6, "");
SYMBOL_CRC(rtl92c_set_p2p_ps_offload_cmd, 0x8f8257cc, "_gpl");
SYMBOL_CRC(rtl92c_phy_query_bb_reg, 0x916d0c1d, "");
SYMBOL_CRC(rtl92c_phy_set_bb_reg, 0x85dff85f, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_read, 0x8765964d, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_write, 0x9502b3f0, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_read, 0x91fd7d6e, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_write, 0xf5d9d883, "");
SYMBOL_CRC(rtl92c_phy_rf_config, 0x1b93e866, "");
SYMBOL_CRC(_rtl92c_phy_bb8192c_config_parafile, 0x45e4ca9f, "");
SYMBOL_CRC(_rtl92c_store_pwrindex_diffrate_offset, 0x84f403ab, "");
SYMBOL_CRC(_rtl92c_phy_init_bb_rf_register_definition, 0xfd8653e6, "");
SYMBOL_CRC(rtl92c_phy_set_txpower_level, 0xda3c6cf1, "");
SYMBOL_CRC(rtl92c_phy_update_txpower_dbm, 0x26b668c5, "");
SYMBOL_CRC(_rtl92c_phy_dbm_to_txpwr_idx, 0xa410d220, "");
SYMBOL_CRC(_rtl92c_phy_txpwr_idx_to_dbm, 0xd84bb45a, "");
SYMBOL_CRC(rtl92c_phy_set_bw_mode, 0xea918ee0, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl_callback, 0x139614c4, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl, 0x2200147e, "");
SYMBOL_CRC(rtl8192_phy_check_is_legal_rfpath, 0xabe7d073, "");
SYMBOL_CRC(rtl92c_phy_iq_calibrate, 0xc4259ac9, "");
SYMBOL_CRC(rtl92c_phy_lc_calibrate, 0x04cdae5e, "");
SYMBOL_CRC(rtl92c_phy_ap_calibrate, 0x5fc6e322, "");
SYMBOL_CRC(rtl92c_phy_set_rfpath_switch, 0x0412ba35, "");
SYMBOL_CRC(rtl92c_phy_set_io_cmd, 0x003bf16a, "");
SYMBOL_CRC(rtl92c_phy_set_io, 0xf843310a, "");
SYMBOL_CRC(rtl92ce_phy_set_rf_on, 0x674f58d7, "");
SYMBOL_CRC(_rtl92c_phy_set_rf_sleep, 0xdc6f0719, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9da52b4e, "_rtl_dbg_print" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2a7a2896, "rtl_cmd_send_packet" },
	{ 0xf1981906, "_rtl_dbg_print_data" },
	{ 0xa1e6f53d, "rtl_fw_page_write" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4c7276af, "__netdev_alloc_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xded5b9f2, "rtl_dm_diginit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0xe8a6525a, "skb_put" },
	{ 0xe61f77e, "rtl_fw_block_write" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "B08EAA805B0AB0630BCBC30");
