#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x726865ea, "");
SYMBOL_CRC(ntb_unregister_client, 0x0dc2ca19, "");
SYMBOL_CRC(ntb_register_device, 0x1f91c09f, "");
SYMBOL_CRC(ntb_unregister_device, 0x93ea2e99, "");
SYMBOL_CRC(ntb_set_ctx, 0x8d14dad3, "");
SYMBOL_CRC(ntb_clear_ctx, 0xe2ec79bb, "");
SYMBOL_CRC(ntb_link_event, 0x0b1a1a6b, "");
SYMBOL_CRC(ntb_db_event, 0x4e1c4b44, "");
SYMBOL_CRC(ntb_msg_event, 0x674c39ef, "");
SYMBOL_CRC(ntb_default_port_number, 0x226004ab, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0xaba2941f, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x660c1242, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x563866bb, "");
SYMBOL_CRC(ntb_msi_init, 0xea03ec4d, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x4f8889ee, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0xd3d2481d, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x6c77a3f9, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xee46e38f, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0xafc29ded, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0xe545e753, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf9b1b70, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x3cdaddd6, "devm_iounmap" },
	{ 0x9f5c1dbd, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcf90cb7b, "devres_destroy" },
	{ 0x467fadb0, "msi_unlock_descs" },
	{ 0x124e7719, "devm_ioremap" },
	{ 0x185b35ba, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa6190ac2, "msi_lock_descs" },
	{ 0xa60241a4, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbf7ca517, "put_device" },
	{ 0xa22956f1, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x66f92d27, "bus_unregister" },
	{ 0x686d1972, "devm_kfree" },
	{ 0x708bf1d5, "irq_get_irq_data" },
	{ 0x66b640d4, "__devres_alloc_node" },
	{ 0x7bdfde3, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x519aab2, "device_register" },
	{ 0xd5448069, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9dd77db8, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x74b6ce09, "msi_next_desc" },
	{ 0xa58c4441, "driver_register" },
	{ 0x96f5f901, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x8ca0342f, "devm_request_threaded_irq" },
	{ 0xf1c313c4, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");
