#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(dead_socket, "", "");
KSYMTAB_DATA(pcmcia_socket_list, "", "");
KSYMTAB_DATA(pcmcia_socket_list_rwsem, "", "");
KSYMTAB_FUNC(pcmcia_get_socket, "", "");
KSYMTAB_FUNC(pcmcia_put_socket, "", "");
KSYMTAB_FUNC(pcmcia_register_socket, "", "");
KSYMTAB_FUNC(pcmcia_unregister_socket, "", "");
KSYMTAB_FUNC(pcmcia_get_socket_by_nr, "", "");
KSYMTAB_FUNC(pcmcia_parse_events, "", "");
KSYMTAB_FUNC(pcmcia_parse_uevents, "", "");
KSYMTAB_FUNC(pccard_register_pcmcia, "", "");
KSYMTAB_FUNC(pcmcia_reset_card, "", "");
KSYMTAB_DATA(pcmcia_socket_class, "", "");

SYMBOL_CRC(dead_socket, 0xcf97f3bd, "");
SYMBOL_CRC(pcmcia_socket_list, 0x212db8d2, "");
SYMBOL_CRC(pcmcia_socket_list_rwsem, 0xf942709b, "");
SYMBOL_CRC(pcmcia_get_socket, 0x227e5a84, "");
SYMBOL_CRC(pcmcia_put_socket, 0x60d8f7d9, "");
SYMBOL_CRC(pcmcia_register_socket, 0x49860586, "");
SYMBOL_CRC(pcmcia_unregister_socket, 0xb62dfbab, "");
SYMBOL_CRC(pcmcia_get_socket_by_nr, 0x43daa0ed, "");
SYMBOL_CRC(pcmcia_parse_events, 0x572ada72, "");
SYMBOL_CRC(pcmcia_parse_uevents, 0x5d5078b6, "");
SYMBOL_CRC(pccard_register_pcmcia, 0x9b815c1d, "");
SYMBOL_CRC(pcmcia_reset_card, 0xa9deb6fa, "");
SYMBOL_CRC(pcmcia_socket_class, 0x2bb6e0b6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdd92989, "pci_scan_bridge" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbf7ca517, "put_device" },
	{ 0x9aab9391, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa5f6b916, "pci_scan_slot" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x7f0feed5, "pci_bus_add_devices" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x33c4fed4, "class_unregister" },
	{ 0x9e0237c9, "sysfs_create_group" },
	{ 0x9773fc40, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x885a211f, "freezing_slow_path" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x519aab2, "device_register" },
	{ 0xd5448069, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x668b19a1, "down_read" },
	{ 0xfbef3b30, "kthread_create_on_node" },
	{ 0xebe67402, "sysfs_remove_group" },
	{ 0x97c69ba2, "_dev_notice" },
	{ 0x86559eea, "pci_bus_assign_resources" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x386f6052, "pci_write_config_byte" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7d0c8119, "pci_fixup_cardbus" },
	{ 0xca71197b, "pci_stop_and_remove_bus_device" },
	{ 0x97c78abf, "pci_set_cacheline_size" },
	{ 0x9d1e9fe2, "pci_read_config_byte" },
	{ 0x713905e4, "param_ops_int" },
	{ 0x53b954a2, "up_read" },
	{ 0xa7a68020, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x756e7030, "pci_bus_size_bridges" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xaf9b1b70, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x9f5c1dbd, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x185b35ba, "get_device" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x326006e5, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x1000e51, "schedule" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "72102893727F91370AFFE49");
