#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0xb4949a01, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x92fa26a9, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9d31bbde, "sdio_readb" },
	{ 0xd49d7d0f, "sdio_writeb" },
	{ 0x6a2809b, "alloc_etherdev_mqs" },
	{ 0x537d3630, "sdio_release_host" },
	{ 0x99316d44, "sdio_disable_func" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3e4a6cea, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0xe8a6525a, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x54eca9bb, "sdio_claim_host" },
	{ 0x629859db, "sdio_memcpy_fromio" },
	{ 0xd347f61b, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x368729fd, "unregister_netdev" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdf6446eb, "request_firmware" },
	{ 0x6d906a98, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4ff3322, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcedd5a8, "sdio_memcpy_toio" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc4954ddd, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeca238fc, "dev_addr_mod" },
	{ 0xc52042b9, "crypto_destroy_tfm" },
	{ 0xe447eb15, "eth_type_trans" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x55567816, "sdio_release_irq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xc80d80a1, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c38e93, "sdio_unregister_driver" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x7b21c3c2, "crypto_shash_setkey" },
	{ 0x24d273d1, "add_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe4b987b2, "wireless_send_event" },
	{ 0xbb728ab1, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8f386f18, "free_netdev" },
	{ 0xa43a75d4, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb3ff9344, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x7a8e9e9d, "__sdio_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa34b31ed, "netif_rx" },
	{ 0x4c7276af, "__netdev_alloc_skb" },
	{ 0x929b13a, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x950ede4, "crypto_shash_finup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b4e87f1, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5f1b5b8f, "netif_carrier_on" },
	{ 0x6e333a57, "sdio_claim_irq" },
	{ 0x69960243, "sdio_enable_func" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");

MODULE_ALIAS("sdio:c*v005Bd7910*");
MODULE_ALIAS("sdio:c*v0023d7910*");

MODULE_INFO(srcversion, "FEC3D83C3C31D600792C8F7");
