#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_run, "_gpl", "");
KSYMTAB_FUNC(xhci_stop, "_gpl", "");
KSYMTAB_FUNC(xhci_shutdown, "_gpl", "");
KSYMTAB_FUNC(xhci_suspend, "_gpl", "");
KSYMTAB_FUNC(xhci_resume, "_gpl", "");
KSYMTAB_FUNC(xhci_get_endpoint_index, "_gpl", "");
KSYMTAB_FUNC(xhci_drop_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_add_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_check_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_reset_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_update_hub_device, "_gpl", "");
KSYMTAB_FUNC(xhci_gen_setup, "_gpl", "");
KSYMTAB_FUNC(xhci_init_driver, "_gpl", "");
KSYMTAB_FUNC(xhci_initialize_ring_info, "_gpl", "");
KSYMTAB_FUNC(xhci_get_ep_ctx, "_gpl", "");
KSYMTAB_FUNC(xhci_remove_secondary_interrupter, "_gpl", "");
KSYMTAB_FUNC(xhci_create_secondary_interrupter, "_gpl", "");
KSYMTAB_FUNC(xhci_ext_cap_init, "_gpl", "");
KSYMTAB_FUNC(xhci_msi_irq, "_gpl", "");
KSYMTAB_FUNC(xhci_port_state_to_neutral, "_gpl", "");
KSYMTAB_FUNC(xhci_hub_control, "_gpl", "");
KSYMTAB_FUNC(xhci_dbg_trace, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_init, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_init, "_gpl", "");

SYMBOL_CRC(xhci_run, 0xbf345558, "_gpl");
SYMBOL_CRC(xhci_stop, 0xbb942e9f, "_gpl");
SYMBOL_CRC(xhci_shutdown, 0x1626e7a2, "_gpl");
SYMBOL_CRC(xhci_suspend, 0xeaa0dbe7, "_gpl");
SYMBOL_CRC(xhci_resume, 0xa7e757ab, "_gpl");
SYMBOL_CRC(xhci_get_endpoint_index, 0x57d4050a, "_gpl");
SYMBOL_CRC(xhci_drop_endpoint, 0x02b0a9af, "_gpl");
SYMBOL_CRC(xhci_add_endpoint, 0xd8f38e72, "_gpl");
SYMBOL_CRC(xhci_check_bandwidth, 0x54113058, "_gpl");
SYMBOL_CRC(xhci_reset_bandwidth, 0x4abad4d8, "_gpl");
SYMBOL_CRC(xhci_update_hub_device, 0x1ab7281e, "_gpl");
SYMBOL_CRC(xhci_gen_setup, 0x64be0968, "_gpl");
SYMBOL_CRC(xhci_init_driver, 0x81373e48, "_gpl");
SYMBOL_CRC(xhci_initialize_ring_info, 0x230020c0, "_gpl");
SYMBOL_CRC(xhci_get_ep_ctx, 0x11934394, "_gpl");
SYMBOL_CRC(xhci_remove_secondary_interrupter, 0x352bd14c, "_gpl");
SYMBOL_CRC(xhci_create_secondary_interrupter, 0x2441da0f, "_gpl");
SYMBOL_CRC(xhci_ext_cap_init, 0x7901841e, "_gpl");
SYMBOL_CRC(xhci_msi_irq, 0x88fac4e8, "_gpl");
SYMBOL_CRC(xhci_port_state_to_neutral, 0x1cdd0605, "_gpl");
SYMBOL_CRC(xhci_hub_control, 0x1b569d4d, "_gpl");
SYMBOL_CRC(xhci_dbg_trace, 0x3ea8938e, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_quirks, 0xa195851f, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_quirks, 0x4c549b36, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_quirks, 0x5db93cf4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_quirks, 0xabf03fc3, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_init, 0x1773a333, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_init, 0xa2402218, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_init, 0x99ae7afb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_init, 0x8a5c1029, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b922cde, "debugfs_create_regset32" },
	{ 0xc80d80a1, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x992a044e, "platform_device_add_resources" },
	{ 0x3e7a75a4, "usb_hcd_check_unlink_urb" },
	{ 0x1813f23a, "iommu_get_domain_for_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x40cb76be, "device_create_managed_software_node" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2aae84df, "perf_trace_run_bpf_submit" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x6ba793c2, "usb_hcd_end_port_resume" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xd0d061e, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9c0f952, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5d3f64e1, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x24d54896, "platform_device_add" },
	{ 0x6a43ac0e, "trace_event_reg" },
	{ 0xec081742, "platform_device_alloc" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x60af3c64, "bpf_trace_run1" },
	{ 0xc47eaa2b, "usb_hcd_link_urb_to_ep" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xd5448069, "_dev_warn" },
	{ 0x8daf18b7, "__kmalloc_cache_node_noprof" },
	{ 0x62ffae81, "usb_hcd_is_primary_hcd" },
	{ 0xb22e16d5, "radix_tree_maybe_preload" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xa307cb0b, "usb_acpi_power_manageable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x313235bd, "usb_hub_clear_tt_buffer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb6a379f3, "dma_set_coherent_mask" },
	{ 0x910c04bd, "trace_seq_acquire" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0xb173e312, "bpf_trace_run3" },
	{ 0xe30c008a, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x26d4135b, "pm_runtime_forbid" },
	{ 0x87eb4e80, "debugfs_create_file" },
	{ 0xb38c8596, "dma_free_attrs" },
	{ 0x2f5e2acc, "pm_runtime_allow" },
	{ 0x67464ef5, "trace_event_buffer_reserve" },
	{ 0xbf8dfe30, "usb_hcd_giveback_urb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3a65434, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7498c70b, "usb_hcd_poll_rh_status" },
	{ 0x877fe108, "usb_acpi_set_power_state" },
	{ 0x33745cca, "usb_disable_xhci_ports" },
	{ 0x8f41954, "single_release" },
	{ 0x58d85dee, "dma_set_mask" },
	{ 0xdc76b8af, "usb_debug_root" },
	{ 0x1602d55d, "__devm_add_action" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x713905e4, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb02e60e6, "single_open" },
	{ 0x402bb2d1, "usb_hcd_unmap_urb_for_dma" },
	{ 0x10a9186a, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x9b19b882, "usb_root_hub_lost_power" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x5e122549, "param_ops_ullong" },
	{ 0x56e925a7, "platform_device_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2eaa461b, "usb_asmedia_modifyflowcontrol" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe0a59f57, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3f2c0f4, "usb_hcd_resume_root_hub" },
	{ 0x8885eb9c, "usb_hcd_unlink_urb_from_ep" },
	{ 0x62d96774, "usb_hcd_start_port_resume" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x10dc0f9, "usb_amd_pt_check_port" },
	{ 0xda3f63d6, "usb_hc_died" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x5fd3914c, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcffb40c, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x3a302957, "__kmalloc_node_noprof" },
	{ 0x46b088c9, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7973a1b, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x27d160a3, "usb_wakeup_notification" },
	{ 0x46ed2888, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4ff3322, "pcpu_hot" },
	{ 0xa4a7d15c, "seq_lseek" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb993bf53, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x148653, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x474edef, "kstrtou16_from_user" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x61cf4a5a, "dev_driver_string" },
	{ 0x71924fbd, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x29ee3299, "dma_map_page_attrs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb205c935, "usb_hcd_map_urb_for_dma" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "478742670E5A8870FA969C1");
