#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0x330e1b61, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x912edc2d, "usbip_recv" },
	{ 0x492216f0, "usb_get_dev" },
	{ 0x720ba7bd, "usbip_dump_urb" },
	{ 0xc80d80a1, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3e7a75a4, "usb_hcd_check_unlink_urb" },
	{ 0x847e85e5, "usbip_pad_iso" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc60e6f6d, "kthread_stop_put" },
	{ 0x7b7dba05, "usbip_recv_iso" },
	{ 0x8f788ec6, "fput" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x117527e3, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xd0d061e, "platform_device_unregister" },
	{ 0x9ba16dda, "dev_attr_usbip_debug" },
	{ 0xb650bdce, "usbip_stop_eh" },
	{ 0xd61eb2d5, "kernel_sock_shutdown" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9e0237c9, "sysfs_create_group" },
	{ 0x9773fc40, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc47eaa2b, "usb_hcd_link_urb_to_ep" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xe1ea0586, "usbip_dump_header" },
	{ 0x62ffae81, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x74b114a4, "usbip_event_add" },
	{ 0xef1b00d7, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x68270645, "__platform_driver_register" },
	{ 0xfbef3b30, "kthread_create_on_node" },
	{ 0x35cbbdd4, "pv_ops" },
	{ 0xebe67402, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfc569696, "platform_device_register_full" },
	{ 0xbf8dfe30, "usb_hcd_giveback_urb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0x30cb6484, "usbip_alloc_iso_desc_pdu" },
	{ 0x7498c70b, "usb_hcd_poll_rh_status" },
	{ 0x7b08ec3, "usb_create_hcd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x5c43049c, "usb_remove_hcd" },
	{ 0x349cba85, "strchr" },
	{ 0x753a2eda, "usb_add_hcd" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x71c20f62, "sockfd_lookup" },
	{ 0x8fea12e2, "kernel_sendmsg" },
	{ 0xd02753dc, "usbip_header_correct_endian" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xc72d3358, "usb_create_shared_hcd" },
	{ 0x248f463e, "usbip_event_happened" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x5628e450, "usbip_pack_pdu" },
	{ 0xd7a0ef3d, "usbip_start_eh" },
	{ 0x3f2c0f4, "usb_hcd_resume_root_hub" },
	{ 0x8885eb9c, "usb_hcd_unlink_urb_from_ep" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4ba3a624, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x78b72f44, "usbip_debug_flag" },
	{ 0x443446f2, "usbip_recv_xbuff" },
	{ 0x37a0cba, "kfree" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaa4161f8, "platform_bus" },
	{ 0x326006e5, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbip-core");


MODULE_INFO(srcversion, "FCA4008342FEA28665CB2F5");
