#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x953b0b81, "bio_add_page" },
	{ 0xa43a75d4, "crypto_shash_update" },
	{ 0xc5b53cde, "from_vfsgid" },
	{ 0x61817b9e, "bio_split_rw" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x806a6b18, "alloc_pages_bulk_noprof" },
	{ 0xf08fd401, "iov_iter_alignment" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6a9226c3, "__audit_inode_child" },
	{ 0xcd2443db, "d_obtain_alias" },
	{ 0x596d41d2, "file_modified" },
	{ 0xca37c33c, "radix_tree_iter_resume" },
	{ 0x9e0237c9, "sysfs_create_group" },
	{ 0x1eeef779, "posix_acl_chmod" },
	{ 0x1913b8e2, "copy_page_to_iter" },
	{ 0xaeac049a, "generate_random_guid" },
	{ 0xdce64b6d, "__put_devmap_managed_folio_refs" },
	{ 0x9773fc40, "kthread_stop" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x21ec2dd9, "kthread_associate_blkcg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0xd243fd85, "read_cache_page_gfp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0xfe50d636, "inode_add_bytes" },
	{ 0x37af9efa, "__folio_start_writeback" },
	{ 0x60af3c64, "bpf_trace_run1" },
	{ 0xda62bdcf, "folio_end_writeback" },
	{ 0xc7c42ef, "folio_alloc_noprof" },
	{ 0x4ea31311, "from_kuid" },
	{ 0x739d4868, "bio_init" },
	{ 0x160e3c78, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x7d8072c1, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xac0ad89f, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0xb23b1fe8, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb88b51f8, "generic_remap_file_range_prep" },
	{ 0xd9d445da, "misc_register" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x93246c4e, "inode_owner_or_capable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x646511fe, "__insert_inode_hash" },
	{ 0xd9eb7620, "bio_reset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9a5717ad, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x20c15421, "inode_update_time" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf086575e, "filemap_get_folios" },
	{ 0xa2a367e8, "blkcg_root_css" },
	{ 0xe3180648, "blkcg_punt_bio_submit" },
	{ 0x15bd7435, "psi_memstall_leave" },
	{ 0xbef79ae3, "make_kgid" },
	{ 0xc48ff238, "invalidate_bdev" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x495183dc, "d_delete" },
	{ 0xeefc5f8d, "wbc_account_cgroup_owner" },
	{ 0x4047276e, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xc01f9063, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xe1c5d23d, "truncate_setsize" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x764e58a2, "insert_inode_locked4" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfbef3b30, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xebe67402, "sysfs_remove_group" },
	{ 0xb173e312, "bpf_trace_run3" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb15b4109, "crc32c" },
	{ 0x3dacc21e, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdc36f012, "super_setup_bdi" },
	{ 0xf5fbe25, "igrab" },
	{ 0x258a2c02, "_raw_write_trylock" },
	{ 0x7292cb05, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xb2247c34, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe73e4743, "kobject_del" },
	{ 0x64a6bb04, "d_instantiate_new" },
	{ 0x67464ef5, "trace_event_buffer_reserve" },
	{ 0x33b3d77d, "bio_uninit" },
	{ 0x2ac52068, "set_page_writeback" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0xf541e52b, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x15110213, "filemap_fdatawait_range" },
	{ 0x56972e80, "add_to_page_cache_lru" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xea6f9a36, "zlib_deflate_dfltcc_enabled" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xae970775, "bioset_init" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x10475a3c, "init_user_ns" },
	{ 0x267025a1, "simple_rename_timestamp" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x2103b83f, "invalidate_inode_pages2" },
	{ 0xe091c977, "list_sort" },
	{ 0xdb5d5ab5, "inode_set_ctime_current" },
	{ 0x29e82034, "inc_nlink" },
	{ 0xd8bd24df, "seq_write" },
	{ 0x6d2065e3, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x26ce6b1, "sysfs_create_files" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd3228c5d, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3a65434, "seq_printf" },
	{ 0x929e95cf, "psi_memstall_enter" },
	{ 0xacb9ba0a, "dput" },
	{ 0xf09cc34, "schedule_timeout_killable" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x6200c31c, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12b8a268, "deactivate_locked_super" },
	{ 0xcd446b22, "touch_atime" },
	{ 0x420b2440, "filemap_read" },
	{ 0xd908d8f2, "__percpu_down_read" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x58dfde18, "tag_pages_for_writeback" },
	{ 0x8cf65aa, "balance_dirty_pages_ratelimited_flags" },
	{ 0xf5b7fb77, "kobject_uevent" },
	{ 0x180b03cf, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x8797526d, "posix_acl_update_mode" },
	{ 0x6cae443d, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xb1219784, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x1e5b80ed, "alloc_pages_noprof" },
	{ 0x77926715, "__folio_lock" },
	{ 0x68c0ae88, "folio_wait_bit" },
	{ 0xb120c657, "filemap_dirty_folio" },
	{ 0xb6873689, "pagecache_get_page" },
	{ 0x3f48ab72, "is_bad_inode" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x4da62f65, "rcuwait_wake_up" },
	{ 0x717f4d17, "file_bdev" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x34166c92, "__iomap_dio_rw" },
	{ 0xc078d22c, "zstd_init_cstream" },
	{ 0x171e73c0, "file_ra_state_init" },
	{ 0xb080a20b, "__fs_parse" },
	{ 0x1c9acc16, "filemap_splice_read" },
	{ 0x3b79a32d, "posix_acl_to_xattr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfa9e56f7, "dget_parent" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x34e5e7c2, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xcb0ec8c9, "d_parent_ino" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0xc6472cc5, "filemap_write_and_wait_range" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xff79b0fe, "fsverity_ioctl_measure" },
	{ 0xc1f2e296, "generic_write_checks" },
	{ 0x1bba982e, "iov_iter_revert" },
	{ 0xba28947e, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1be1ef83, "generic_write_checks_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x6622fd76, "filemap_fault" },
	{ 0x27864d57, "memparse" },
	{ 0xb4949a01, "crypto_alloc_shash" },
	{ 0xaf9e2e20, "d_invalidate" },
	{ 0x11980748, "__mark_inode_dirty" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0xfa7fc25c, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xebd1f686, "mtree_insert" },
	{ 0x3a16c11d, "bio_alloc_bioset" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0xacf45493, "iomap_dio_bio_end_io" },
	{ 0x89f09404, "submit_bio_wait" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x93ec4f86, "drop_nlink" },
	{ 0xd82b65bf, "fault_in_iov_iter_readable" },
	{ 0x3624dae6, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4cdd1f89, "fs_param_is_u64" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x8149943a, "iget_failed" },
	{ 0xa5111784, "kernel_write" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xfc208dca, "fs_bio_set" },
	{ 0x7d52603e, "kmem_cache_destroy" },
	{ 0x313566dd, "bio_split" },
	{ 0x4e8f828, "mtree_load" },
	{ 0x1defc6ca, "kset_create_and_add" },
	{ 0x3f728e3c, "blkdev_issue_discard" },
	{ 0x1ac06a4, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x475395fe, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9d26675e, "zstd_cstream_workspace_bound" },
	{ 0x87b29b38, "truncate_inode_pages" },
	{ 0x2fb6504a, "folio_invalidate" },
	{ 0x703dd114, "inode_update_timestamps" },
	{ 0x21bb808c, "inode_init_owner" },
	{ 0x85ab2fdf, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x52ef1826, "vfs_fsync_range" },
	{ 0xe354d40c, "setattr_prepare" },
	{ 0xfed54b64, "filemap_migrate_folio" },
	{ 0x5207a823, "bdev_file_open_by_path" },
	{ 0x907cd113, "shrinker_alloc" },
	{ 0xce928d85, "clear_nlink" },
	{ 0x6f149fb3, "sync_blockdev_range" },
	{ 0x841d521f, "file_check_and_advance_wb_err" },
	{ 0xbe1ed9a3, "filemap_flush" },
	{ 0x8594ea99, "page_cache_async_ra" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e055093, "filemap_get_folios_tag" },
	{ 0xba79b9f, "wbc_detach_inode" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc13baff8, "d_instantiate" },
	{ 0x77e533b0, "_copy_to_iter" },
	{ 0xe5800b79, "fsverity_ioctl_enable" },
	{ 0x8e044d26, "pagecache_isize_extended" },
	{ 0xef8a390d, "misc_deregister" },
	{ 0xa5d02f51, "__bio_add_page" },
	{ 0xc24bcc18, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd24649bb, "clear_inode" },
	{ 0xea67f8b7, "bpf_trace_run4" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xffc4f200, "zstd_compress_stream" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0x6b9a3869, "filemap_range_has_page" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5742147d, "simple_dir_inode_operations" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x97b946f2, "discard_new_inode" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xf2e5bd87, "security_free_mnt_opts" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5e180046, "__fsverity_cleanup_inode" },
	{ 0x80a717a8, "__percpu_counter_compare" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x67e94627, "fs_param_is_string" },
	{ 0xfe79780a, "__folio_batch_release" },
	{ 0x67797cf3, "folio_unlock" },
	{ 0x14e2c6d4, "set_blocksize" },
	{ 0xaf1af120, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd92325dd, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xda0b6831, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8579454e, "try_to_writeback_inodes_sb" },
	{ 0x6ea90ed0, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x5fd3914c, "trace_raw_output_prep" },
	{ 0x5565f8f6, "kobject_rename" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x9c2efaf5, "init_special_inode" },
	{ 0x3a2b36d2, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x338a88d2, "import_iovec" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xff34ec9a, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb2243e13, "generic_error_remove_folio" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4cfa0b79, "filemap_fdatawrite_range" },
	{ 0xcffb40c, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x1803a6ed, "raid6_2data_recov" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0x3687a41b, "bio_add_folio_nofail" },
	{ 0x9704cd8, "d_make_root" },
	{ 0x7973a1b, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd14407dd, "__fsverity_file_open" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x1057a279, "bsearch" },
	{ 0xeeecdb33, "fget" },
	{ 0x787c882b, "lzo1x_1_compress" },
	{ 0x23967b1, "xas_find" },
	{ 0x379d0223, "invalidate_mapping_pages" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x90647843, "sync_filesystem" },
	{ 0x32ce3777, "radix_tree_preload" },
	{ 0x6fbde754, "kobject_init" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0xb494b068, "fsnotify" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x277d0c2c, "sget_fc" },
	{ 0x4636371b, "d_splice_alias" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xd08ffbda, "current_time" },
	{ 0x46ed2888, "trace_event_raw_init" },
	{ 0x92a062b5, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x80848990, "from_vfsuid" },
	{ 0x588a343e, "ihold" },
	{ 0xf8ee27e, "fsverity_verify_blocks" },
	{ 0xa7b927e, "page_get_link" },
	{ 0x3bd33eaf, "inode_dio_wait" },
	{ 0xe6233691, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xec731944, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xb7a3e990, "invalidate_inode_pages2_range" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x6c39868b, "finish_open" },
	{ 0x79065887, "iput" },
	{ 0xdd97aa46, "filemap_range_has_writeback" },
	{ 0xdbccb239, "kset_unregister" },
	{ 0xc4ff3322, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0x27924fae, "fs_param_is_enum" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xab741ea5, "wbc_attach_and_unlock_inode" },
	{ 0x76214370, "iter_file_splice_write" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x7b3afebe, "filemap_release_folio" },
	{ 0xb993bf53, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe64927ed, "sysfs_remove_files" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0xf96daecd, "filemap_alloc_folio_noprof" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xba9a6ea2, "register_filesystem" },
	{ 0x77f048ca, "d_tmpfile" },
	{ 0x20a7769d, "kmem_cache_create" },
	{ 0xf12074f5, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x89434b4b, "radix_tree_tag_clear" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x45d52314, "kthread_park" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb40e926e, "filemap_add_folio" },
	{ 0xb988e3cd, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x2efa24f2, "clear_page_dirty_for_io" },
	{ 0x72f53ee, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf730108a, "iget5_locked_rcu" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x660663d7, "d_prune_aliases" },
	{ 0x326006e5, "wake_up_process" },
	{ 0x2292081e, "shrinker_free" },
	{ 0x71924fbd, "trace_event_buffer_commit" },
	{ 0x38be1a85, "fscrypt_setup_filename" },
	{ 0xc575719, "__cond_resched_rwlock_write" },
	{ 0xf2fb2da8, "filemap_get_folios_contig" },
	{ 0xc52042b9, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xaa71bfc, "simple_inode_init_ts" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65c747b1, "inode_get_bytes" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x3ba3c1f2, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bb07d95, "inode_set_bytes" },
	{ 0x3f8af38, "migrate_folio" },
	{ 0x916d9ee1, "lookup_one" },
	{ 0xa858aec3, "iomap_dio_rw" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc3afd159, "add_swap_extent" },
	{ 0x1c4c7ae4, "fs_param_is_u32" },
	{ 0xe4b051cf, "raid6_datap_recov" },
	{ 0x7e9c1739, "inode_newsize_ok" },
	{ 0x9907ee07, "lock_two_nondirectories" },
	{ 0xd33ee83e, "mnt_want_write_file" },
	{ 0xe67ab207, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x2d056d6a, "posix_acl_from_xattr" },
	{ 0xa84b9d1d, "blkdev_zone_mgmt" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xb4d2e322, "make_kuid" },
	{ 0xee338f5d, "truncate_inode_pages_final" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x287b3aed, "inode_sub_bytes" },
	{ 0xf37ac5b1, "sync_blockdev" },
	{ 0xe6871d38, "fs_kobj" },
	{ 0xf3842f0a, "bio_add_folio" },
	{ 0x5482d829, "__filemap_set_wb_err" },
	{ 0x65d31600, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x4e20bcf8, "radix_tree_tag_set" },
	{ 0x6c043ad9, "shrinker_register" },
	{ 0x33b84f74, "copy_page" },
	{ 0xaf048b9e, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1d9672bd, "fault_in_subpage_writeable" },
	{ 0x618911fc, "numa_node" },
	{ 0x9aab9391, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe13a1e8d, "mtree_erase" },
	{ 0x2899603e, "__check_sticky" },
	{ 0xcfdc9e9, "__free_pages" },
	{ 0x6b27729b, "radix_tree_gang_lookup" },
	{ 0x9f984513, "strrchr" },
	{ 0x55f7f2c5, "xattr_full_name" },
	{ 0xe05a50c0, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x8ae5fb13, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf36dbd17, "submit_bio" },
	{ 0xf860d0d8, "mnt_drop_write_file" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5b03d4be, "sysfs_create_link" },
	{ 0x1a9be2e2, "copy_page_from_iter_atomic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xd6893ba0, "mntput" },
	{ 0x65707fd9, "__folio_swap_cache_index" },
	{ 0xc2c5802, "work_busy" },
	{ 0xac9ff268, "inode_init_once" },
	{ 0x55216210, "bioset_exit" },
	{ 0x468a9a0a, "compat_ptr_ioctl" },
	{ 0x801966bf, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xf6428f2c, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xa2a61bbd, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x9287bf4f, "bio_endio" },
	{ 0xe1e1363d, "mount_subtree" },
	{ 0x576d7fab, "__inode_attach_wb" },
	{ 0x7205dcd, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5cb9e6f4, "posix_acl_create" },
	{ 0xd333b64, "zstd_end_stream" },
	{ 0x4c4e7c44, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2aae84df, "perf_trace_run_bpf_submit" },
	{ 0x2e7b1721, "__bio_advance" },
	{ 0x68169e47, "sysfs_update_group" },
	{ 0x48a8159e, "sysfs_unmerge_group" },
	{ 0x8f788ec6, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x5a89f0e2, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0x4984e5e, "vfs_dup_fs_context" },
	{ 0xb7c0f443, "sort" },
	{ 0xa94809b, "inode_maybe_inc_iversion" },
	{ 0xd40118ec, "unlock_page" },
	{ 0x333312d5, "filemap_fdatawrite_wbc" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xdf279bc0, "thp_get_unmapped_area" },
	{ 0x117527e3, "sysfs_remove_link" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb9af1d0d, "__xa_clear_mark" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe744f3cf, "set_cached_acl" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0x923fbd41, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa6195198, "put_fs_context" },
	{ 0xda23eec0, "unlock_two_nondirectories" },
	{ 0x71473ebc, "kobj_sysfs_ops" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xa1a0b083, "wait_on_page_writeback" },
	{ 0xc5049f6c, "noop_llseek" },
	{ 0x344a2c84, "iomap_dio_complete" },
	{ 0xd4e15156, "folio_mark_accessed" },
	{ 0x188ea5ea, "sysfs_merge_group" },
	{ 0x6626afca, "down" },
	{ 0x6185b747, "radix_tree_gang_lookup_tag" },
	{ 0x70be5e0c, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x191bd150, "setattr_copy" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xfe57e61d, "file_update_time" },
	{ 0x66699c85, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xeb9d25de, "kmem_cache_alloc_lru_noprof" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xcb7d63a6, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0xeb74f939, "security_inode_init_security" },
	{ 0x6aa0763d, "from_kgid" },
	{ 0x6a43ac0e, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x95ec6ad1, "crypto_shash_digest" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xebe776e4, "folio_wait_writeback" },
	{ 0xf31b3fd1, "workqueue_set_max_active" },
	{ 0x478abcce, "rw_verify_area" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4f47f1f0, "blkdev_issue_zeroout" },
	{ 0x1c28b715, "fault_in_iov_iter_writeable" },
	{ 0xe066b6bf, "file_remove_privs" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xf2a35f94, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0xff1320cc, "kobject_init_and_add" },
	{ 0x26439c17, "zero_fill_bio_iter" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "xor,raid6_pq,libcrc32c");


MODULE_INFO(srcversion, "5926E535CABEED06691C4DC");
