#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_control_add, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_down, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_run, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_stop, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0xc7a7aa31, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0xb7956831, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0x839c3c5d, "_gpl");
SYMBOL_CRC(wm_adsp_control_add, 0x0f816282, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x20fc798b, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0x86d27c21, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0x784d1186, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0xc812c549, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0xbb3e1a08, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0xa145a92a, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0xd1776b2a, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0xf66bf135, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x7599a776, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0x9fcd445a, "_gpl");
SYMBOL_CRC(wm_adsp_run, 0xd3752214, "_gpl");
SYMBOL_CRC(wm_adsp_stop, 0x48d50bbb, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0x2dc8e713, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0xe0cce957, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0xfa4aef0c, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0x12fd6ca5, "_gpl");
SYMBOL_CRC(wm_halo_init, 0x04459e00, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x7a4d5e14, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x3d806f1c, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0x2c56a4b4, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0xcd9dc557, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0xd06b9c7e, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0xe0917715, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0xf5c9341b, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0x3130bb4e, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0x1e0359de, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96848186, "scnprintf" },
	{ 0x442de52d, "cs_dsp_adsp1_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xcb968811, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4d1cc227, "cs_dsp_init_debugfs" },
	{ 0xe2964344, "__wake_up" },
	{ 0xac803a7, "cs_dsp_halo_bus_error" },
	{ 0x12ca74b0, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91c03777, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc48e440, "cs_dsp_find_alg_region" },
	{ 0x723c6592, "cs_dsp_coeff_write_acked_control" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xcf8911c7, "cs_dsp_get_ctl" },
	{ 0xc80d80a1, "_dev_info" },
	{ 0x2b8bae1f, "_dev_err" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xada7b61e, "cs_dsp_halo_init" },
	{ 0x89c91580, "cs_dsp_power_down" },
	{ 0x28e82dff, "cs_dsp_adsp2_init" },
	{ 0xdcbf9b13, "snd_soc_add_component_controls" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x46469cd7, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0x9787b37b, "cs_dsp_set_dspclk" },
	{ 0xd5448069, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xda8cc1a5, "cs_dsp_power_up" },
	{ 0x7c3c9cea, "cs_dsp_coeff_lock_and_write_ctrl" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0x7d29a624, "cs_dsp_run" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x13a7f9f, "cs_dsp_write_data_word" },
	{ 0xe17e5e19, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5836ab9, "cs_dsp_halo_wdt_expire" },
	{ 0x82eabb5d, "snd_soc_component_disable_pin" },
	{ 0xc51a29b1, "snd_soc_bytes_tlv_callback" },
	{ 0xdf57a8a4, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xa4de0cbc, "cs_dsp_read_raw_data_block" },
	{ 0x754d539c, "strlen" },
	{ 0x30716b3a, "cs_dsp_read_data_word" },
	{ 0x94b94cdd, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb5e753ad, "cs_dsp_coeff_lock_and_read_ctrl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc6e8580d, "snd_soc_component_force_enable_pin" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5d919ba5, "firmware_request_nowarn" },
	{ 0x9308763c, "cs_dsp_cleanup_debugfs" },
	{ 0xa67acd73, "cs_dsp_coeff_read_ctrl" },
	{ 0x17f2f161, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9af5d0e, "cs_dsp_stop" },
	{ 0x99b9586b, "cs_dsp_adsp1_power_up" },
	{ 0x842c619d, "cs_dsp_adsp1_power_down" },
	{ 0x89e1e642, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "6307A40EBAAB254FDFB7FAF");
